local _get_melee_weapon_stats = PlayerInventoryGui._get_melee_weapon_stats
function PlayerInventoryGui:_get_melee_weapon_stats(name)
    local base_stats, mods_stats, skill_stats = _get_melee_weapon_stats(self, name)
    local base_charge_time = base_stats.charge_time.value
    local multiplier = managers.player:upgrade_value("player", "melee_swing_multiplier_delay", 1)

    if base_charge_time > 0 and multiplier ~= 1 then
        skill_stats.charge_time = {value = (base_charge_time * multiplier) - base_charge_time, skill_in_effect = true}
    end

    return base_stats, mods_stats, skill_stats
end