dofile(ModPath .. "lua/core/sydchSO.lua")

function NewSkillTreeGui:setbgimg(page, init)
	local bgpanels = {}
	
	if sydchSO.settings.userINTERFACE == 3 then
		bgpanels = {"_sso_image1", "_sso_image2", "_sso_image3", "_sso_image4", "_sso_image5"}
	elseif sydchSO.settings.userINTERFACE == 2 then
		bgpanels = {"_original_image1", "_original_image2", "_original_image3", "_original_image4", "_original_image5"}
	else
		bgpanels = {"_bg_image1", "_bg_image2", "_bg_image3", "_bg_image4", "_bg_image5"}
	end

	if init then
		if self._fullscreen_ws then
			managers.gui_data:destroy_workspace(self._fullscreen_ws)
		end
		self._fullscreen_ws = nil
		self._fullscreen_panel = nil
		
		if sydchSO.settings.userINTERFACE == 3 then	
		self._sso_image1 = nil
		self._sso_image2 = nil
		self._sso_image3 = nil
		self._sso_image4 = nil
		self._sso_image5 = nil
		elseif sydchSO.settings.userINTERFACE == 2 then
		self._original_image1 = nil
		self._original_image2 = nil
		self._original_image3 = nil
		self._original_image4 = nil
		self._original_image5 = nil
		else
		self._bg_image1 = nil
		self._bg_image2 = nil
		self._bg_image3 = nil
		self._bg_image4 = nil
		self._bg_image5 = nil
		end

		self._fullscreen_ws = managers.gui_data:create_fullscreen_workspace()
		self._fullscreen_panel = self._fullscreen_ws:panel():panel({name = "fullscreen"})

		if sydchSO.settings.userINTERFACE == 3 then	
		self._sso_image1 = self._fullscreen_panel:bitmap({
			name = "sso_image1",
			texture = "guis/textures/sso/background",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._sso_image2 = self._fullscreen_panel:bitmap({
			name = "sso_image2",
			texture = "guis/textures/sso/background",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._sso_image3 = self._fullscreen_panel:bitmap({
			name = "sso_image3",
			texture = "guis/textures/sso/background",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._sso_image4 = self._fullscreen_panel:bitmap({
			name = "sso_image4",
			texture = "guis/textures/sso/background",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._sso_image5 = self._fullscreen_panel:bitmap({
			name = "sso_image5",
			texture = "guis/textures/sso/background",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
		elseif sydchSO.settings.userINTERFACE == 2 then
		self._original_image1 = self._fullscreen_panel:bitmap({
			name = "original_image1",
			texture = "guis/textures/sso/mastermind",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._original_image2 = self._fullscreen_panel:bitmap({
			name = "original_image2",
			texture = "guis/textures/sso/enforcer",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._original_image3 = self._fullscreen_panel:bitmap({
			name = "original_image3",
			texture = "guis/textures/sso/technician",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._original_image4 = self._fullscreen_panel:bitmap({
			name = "original_image4",
			texture = "guis/textures/sso/ghost",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._original_image5 = self._fullscreen_panel:bitmap({
			name = "original_image5",
			texture = "guis/textures/sso/fugitive",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
		else
		self._bg_image1 = self._fullscreen_panel:bitmap({
			name = "bg_image1",
			texture = "guis/textures/pd2/skilltree/bg_mastermind",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._bg_image2 = self._fullscreen_panel:bitmap({
			name = "bg_image2",
			texture = "guis/textures/pd2/skilltree/bg_enforcer",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._bg_image3 = self._fullscreen_panel:bitmap({
			name = "bg_image3",
			texture = "guis/textures/pd2/skilltree/bg_technician",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._bg_image4 = self._fullscreen_panel:bitmap({
			name = "bg_image4",
			texture = "guis/textures/pd2/skilltree/bg_ghost",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
	
		self._bg_image5 = self._fullscreen_panel:bitmap({
			name = "bg_image5",
			texture = "guis/textures/pd2/skilltree/bg_fugitive",
			w = self._fullscreen_panel:w(),
			h = self._fullscreen_panel:h(),
			layer = 1,
			blend_mode = "add"
		})
		end
	end
	
	for i, panel in ipairs(bgpanels) do
		if sydchSO.settings.userINTERFACE == 1 then
		self[panel]:set_alpha(0)
		elseif sydchSO.settings.userINTERFACE == 2 then
		self[panel]:set_alpha(0.2)
		elseif sydchSO.settings.userINTERFACE == 3 then
		self[panel]:set_alpha(0.8)
		elseif sydchSO.settings.userINTERFACE == 4 then
		self[panel]:set_alpha(0.4)
		end
		local aspect = self._fullscreen_panel:w() / self._fullscreen_panel:h()
		local texture_width = self[panel]:texture_width()
		local texture_height = self[panel]:texture_height()
		local correct_height = self._fullscreen_panel:w() / (16/9)
		self[panel]:set_size(correct_height, correct_height)
		local sw = math.max(texture_width, texture_height * aspect)
		local sh = math.max(texture_height, texture_width / aspect)
		local dw = texture_width / sw
		local dh = texture_height / sh
		self[panel]:set_size(dw * self._fullscreen_panel:w(), dh * self._fullscreen_panel:h())
		self[panel]:set_right(self._fullscreen_panel:w())
		self[panel]:set_center_y(self._fullscreen_panel:h() / 2)
	end

	for i, panel in ipairs(bgpanels) do
		self[panel]:set_visible(false)
	end

	if page == 1 then
		if sydchSO.settings.userINTERFACE == 3 then
		self._sso_image1:set_visible(true)
		elseif sydchSO.settings.userINTERFACE == 2 then	
		self._original_image1:set_visible(true)
		else
		self._bg_image1:set_visible(true)
		end
	elseif page == 2 then
		if sydchSO.settings.userINTERFACE == 3 then	
		self._sso_image2:set_visible(true)
		elseif sydchSO.settings.userINTERFACE == 2 then	
		self._original_image2:set_visible(true)
		else
		self._bg_image2:set_visible(true)
		end
	elseif page == 3 then
		if sydchSO.settings.userINTERFACE == 3 then	
		self._sso_image3:set_visible(true)
		elseif sydchSO.settings.userINTERFACE == 2 then	
		self._original_image3:set_visible(true)
		else
		self._bg_image3:set_visible(true)
		end
	elseif page == 4 then
		if sydchSO.settings.userINTERFACE == 3 then	
		self._sso_image4:set_visible(true)
		elseif sydchSO.settings.userINTERFACE == 2 then	
		self._original_image4:set_visible(true)
		else
		self._bg_image4:set_visible(true)
		end
	elseif page == 5 then
		if sydchSO.settings.userINTERFACE == 3 then	
		self._sso_image5:set_visible(true)
		elseif sydchSO.settings.userINTERFACE == 2 then	
		self._original_image5:set_visible(true)
		else
		self._bg_image5:set_visible(true)
		end
	end
end

Hooks:PreHook(NewSkillTreeGui, "init", "sydchSO", function(self, params)
	NewSkillTreeGui:setbgimg(1, true)
end)

Hooks:PostHook(NewSkillTreeGui, "set_active_page", "sydchSO", function(self, params)
	NewSkillTreeGui:setbgimg(self._active_page, false)
end)

Hooks:PostHook(NewSkillTreeGui, "close", "sydchSO", function(self, params)
	NewSkillTreeGui:setbgimg(0, false)
end)

function NewSkillTreeSkillItem:_sso_set_visible(status)
	if alive(self._skill_panel) then
		local skill_id = self._skill_id
		if skill_id then
			local skill_icon_panel = self._skill_panel:child("SkillIconPanel")
			if skill_icon_panel then
				local sso_maxed_indicator = skill_icon_panel:child("SSOIndicator")
				local maxed_indicator = skill_icon_panel:child("MaxedIndicator")
				if maxed_indicator and managers.skilltree:skill_completed(skill_id) then
					maxed_indicator:set_visible(not status)
				end
				if sso_maxed_indicator then
					maxed_indicator:set_visible(false)
					sso_maxed_indicator:set_visible(status)
					if not managers.skilltree:skill_completed(skill_id) or not managers.skilltree:skill_unlocked(nil, skill_id) then
						sso_maxed_indicator:set_visible(false)
					end
				end
			end
		end
	end
end

NewSkillTreeTreeItem = NewSkillTreeTreeItem or class(NewSkillTreeItem)

function NewSkillTreeTreeItem:init(tree, tree_data, tree_panel, fullscreen_panel, gui, page)
	NewSkillTreeTreeItem.super.init(self)

	self._gui = gui
	self._selected = false
	self._tiers = {}
	self._tree_panel = tree_panel
	self._tree = tree
	self._page = page
	self._event_listener = gui:event_listener()

	self._event_listener:add(tree_data, {
		"refresh"
	}, callback(self, self, "_on_refresh_event"))

	local num_tiers = #tree_data.tiers
	local tier_height = tree_panel:h() / num_tiers
	local tier_panel, tier_item = nil

	for tier, tier_data in ipairs(tree_data.tiers) do
		tier_panel = tree_panel:panel({
			name = "Tier" .. tostring(tier),
			h = tier_height,
			y = (num_tiers - tier) * tier_height
		})
		tier_item = NewSkillTreeTierItem:new(tier, tier_data, tier_panel, tree_panel, tree, self, fullscreen_panel, gui)
		self._tiers[tier] = tier_item
	end

	for tier, tier_item in ipairs(self._tiers) do
		tier_item:link(self._tiers[tier + 1], self._tiers[tier - 1])
		tier_item:connect(self._tiers[tier + 1])
	end

	local tier, points_spent, points_max = self:_tree_points()
	local tier_height = self._tree_panel:h() / num_tiers
	self._progress_start = self._tree_panel:h()
	self._progress_tier_height = tier_height
	self._progress_pos_current = math.max(0, self._progress_start - self._progress_tier_height * tier - self._progress_tier_height * points_spent / points_max)
	self._progress_pos_wanted = self._progress_pos_current
	
	if sydchSO.settings.userINTERFACE == 3 then
	self._progress = tree_panel:bitmap({
		texture = "guis/textures/sso/subtree"
	})
	elseif sydchSO.settings.userINTERFACE == 2 then
	self._progress = tree_panel:bitmap({
		texture = "guis/textures/pd2/box_ai_bg"
	})
	else
	self._progress = tree_panel:bitmap({
		texture = "guis/textures/pd2/skilltree_2/subtree_fill"
	})
	end

	self._progress:set_width(tree_panel:w())
	self._progress:set_height(tree_panel:h())
	self._progress:set_y(self._progress_pos_current)
end

Hooks:PostHook(NewSkillTreeSkillItem, "init", "sydchSO", function(self)
	if alive(self._skill_panel) then
		local skill_id = self._skill_id
		local completed = self._skilltree:skill_completed(skill_id)
		if skill_id then
			local skill_icon_panel = self._skill_panel:child("SkillIconPanel")
			if skill_icon_panel and sydchSO.settings.userINTERFACE == 3 then
				local sso_indicator = skill_icon_panel:bitmap({
					texture = "guis/textures/sso/acespade",
					name = "SSOIndicator",
					blend_mode = "add",
					color = tweak_data.screen_colors.button_stage_2
				})
				sso_indicator:set_size(skill_icon_panel:w() * 1.2, skill_icon_panel:h() * 1.2)
				sso_indicator:set_center(skill_icon_panel:w() / 2, skill_icon_panel:h() / 2)
				self:_sso_set_visible(completed)
			end
			if skill_icon_panel and sydchSO.settings.userINTERFACE == 2 then
				local sso_indicator = skill_icon_panel:bitmap({
					texture = "guis/textures/pd2/skilltree/ace",
					name = "SSOIndicator",
					blend_mode = "add",
					color = tweak_data.screen_colors.button_stage_2
				})
				sso_indicator:set_size(skill_icon_panel:w() * 0.9, skill_icon_panel:h() * 0.9)
				sso_indicator:set_center(skill_icon_panel:w() / 2, skill_icon_panel:h() / 2)
				self:_sso_set_visible(completed)
			end
			if skill_icon_panel and (sydchSO.settings.userINTERFACE == 1 or sydchSO.settings.userINTERFACE == 4) then
				local sso_indicator = skill_icon_panel:bitmap({
					texture = "guis/textures/pd2/skilltree_2/ace_symbol",
					name = "SSOIndicator",
					blend_mode = "add",
					color = tweak_data.screen_colors.button_stage_2
				})
				sso_indicator:set_size(skill_icon_panel:w() * 1, skill_icon_panel:h() * 1)
				sso_indicator:set_center(skill_icon_panel:w() / 2, skill_icon_panel:h() / 2)
				self:_sso_set_visible(completed)
			end
		end
	end
end)

Hooks:PostHook(NewSkillTreeGui, "_update_description", "sydchSO", function(self, item)
	local skill_id = item:skill_id()
	local completed = self._skilltree:skill_completed(skill_id)
	item:_sso_set_visible(completed)
end)

Hooks:PostHook(NewSkillTreeSkillItem, "refresh", "sydchSO", function(self)
	if not alive(self._skill_panel) then
		return
	end
	local skill_icon_panel = self._skill_panel:child("SkillIconPanel")
	local maxed_indicator = skill_icon_panel:child("MaxedIndicator")
	maxed_indicator:set_visible(false)
end)