dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.restorePROJOB == true then
function MoneyManager:get_real_job_money_values(num_winners, potential_payout)
	local has_active_job = managers.job:has_active_job()
	local has_failed_job = managers.job:has_failed_job()
	local job_and_difficulty_stars = has_active_job and managers.job:current_job_and_difficulty_stars() or 1
	local job_id = managers.job:current_job_id()
	local level_id = managers.job:current_level_id()
	local job_stars = has_active_job and managers.job:current_job_stars() or 1
	local difficulty_stars = has_active_job and managers.job:current_difficulty_stars() or 0
	local current_stage = has_active_job and managers.job:current_stage() or 1
	local is_professional = has_active_job and not has_failed_job and managers.job:is_current_job_professional() or false
	local on_last_stage = potential_payout and true or has_active_job and managers.job:on_last_stage()

	return self:get_money_by_params({
		success = true,
		job_id = job_id,
		level_id = level_id,
		job_stars = job_stars,
		difficulty_stars = difficulty_stars,
		current_stage = current_stage,
		professional = is_professional,
		num_winners = num_winners,
		on_last_stage = on_last_stage
	})
end
end