dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.crimeWAVE == false then
	return
end

function sydchSO:make_tables_unique(table_table)
	for name1, tbl1 in pairs(table_table) do
		for name2, tbl2 in pairs(table_table) do
			if tbl1 == tbl2 and name1 ~= name2 then
				table_table[name2] = deep_clone(tbl1)
			end
		end
	end
end

function ModifierDozerMedic:init(data)
	ModifierDozerMedic.super.init(self, data)
	local difficulty = Global.game_settings and Global.game_settings.difficulty
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	if difficulty_index > 7 then
		return
	end
	local unit_types = tweak_data.group_ai.unit_categories.FBI_tank.unit_types
	local unit_name = Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic")
	sydchSO:make_tables_unique(unit_types)

	table.insert(unit_types.america, unit_name)
	table.insert(unit_types.russia, unit_name)
	table.insert(unit_types.zombie, unit_name)
	table.insert(unit_types.murkywater, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_medic/ene_murkywater_bulldozer_medic"))
	table.insert(unit_types.federales , Idstring("units/pd2_dlc_bex/characters/ene_swat_dozer_medic_policia_federale/ene_swat_dozer_medic_policia_federale"))
end