dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.betterMUTATORS == false then
	return
end

MutatorBirthday = MutatorBirthday or class(BaseMutator)
MutatorBirthday._type = "MutatorBirthday"
MutatorBirthday.name_id = "mutator_birthday"
MutatorBirthday.desc_id = "mutator_birthday_desc"
MutatorCloakerEffect.has_options = false
MutatorBirthday.reductions = {money = 1.1, exp = 1}
MutatorBirthday.disables_achievements = false
MutatorBirthday.disables_challenges = false
MutatorBirthday.disables_trophies = false
MutatorBirthday.disables_statistics = false
MutatorBirthday.categories = {"event"}
MutatorBirthday.icon_coords = {5, 1}

function MutatorBirthday.activate_god_mode_buff()
	if managers.mutators:is_mutator_active(MutatorBirthday) then
		local unit = managers.player:player_unit()
		local unit_damage = alive(unit) and unit:character_damage() or nil

		if unit_damage then
			local td = tweak_data.mutators.birthday.buffs.god_mode

			managers.player:activate_temporary_property("birthday_god", td.duration, 1)
			unit_damage:set_god_mode(true)
			managers.hud:add_buff("god_mode", "hud_buff_birthday_god_mode", td.color, td.duration)
		end
	end
end

function MutatorBirthday.activate_double_damage_buff()
	if managers.mutators:is_mutator_active(MutatorBirthday) and alive(managers.player:player_unit()) then
		local td = tweak_data.mutators.birthday.buffs.double_damage

		managers.player:activate_temporary_property("birthday_multiplier", td.duration, 2)
		managers.hud:add_buff("double_damage", "hud_buff_birthday_2x_damage", td.color, td.duration)
	end
end

function MutatorBirthday.activate_inf_ammo_buff()
	if managers.mutators:is_mutator_active(MutatorBirthday) and alive(managers.player:player_unit()) then
		local td = tweak_data.mutators.birthday.buffs.inf_ammo

		managers.player:activate_temporary_property("bullet_storm", td.duration, 1)
		managers.hud:add_buff("inf_ammo", "hud_buff_birthday_inf_ammo", td.color, td.duration)
	end
end