dofile(ModPath .. "lua/core/sydchSO.lua")

Hooks:PostHook(BlackMarketTweakData, "_init_melee_weapons", "sydchSO", function(self, params)
	for k, v in pairs(self.melee_weapons) do
		if sydchSO.settings.weaponOVERHAUL == true then
			if sydchSO.settings.variousTEXT == true then
				v.info_id = v.name_id .. "_info_desc"
			else
				v.info_id = v.name_id .. "_info_plain"
			end
		elseif sydchSO.settings.variousTEXT == true and not v.info_id then
			v.info_id = v.name_id .. "_info"
		end
	end
	if sydchSO.settings.weaponOVERHAUL == true then
	-- CHAINSAW --
		self.melee_weapons.ostry.chainsaw_delay = 0.70
		self.melee_weapons.ostry.repeat_chainsaw_delay = 0.20
		self.melee_weapons.ostry.chainsaw = true
		self.melee_weapons.road.chainsaw_delay = 0.70
		self.melee_weapons.road.repeat_chainsaw_delay = 2
		self.melee_weapons.road.chainsaw = true
		self.melee_weapons.cs.chainsaw_delay = 1.00
		self.melee_weapons.cs.chainsaw = true
		self.melee_weapons.cs.stance_mod = {translation = Vector3(-15, 10, 5), rotation = Rotation(10, -35, 0)}
		-- SUCKER PUNCH --
		self.melee_weapons.weapon.sucker_punch = true
		self.melee_weapons.fight.sucker_punch = true
		self.melee_weapons.fists.sucker_punch = true
		self.melee_weapons.brass_knuckles.sucker_punch = true
		-- PARRY --
		self.melee_weapons.kabartanto.deflect = true
		self.melee_weapons.kabar.deflect = true
		self.melee_weapons.bayonet.deflect = true
		self.melee_weapons.kampfmesser.deflect = true
		self.melee_weapons.scoutknife.deflect = true
		self.melee_weapons.scoutknife.dot_data = {
			type = "poison",
			custom_data = {
				dot_length = 1,
				hurt_animation_chance = 0.5
		}}
		self.melee_weapons.gerber.deflect = true
		self.melee_weapons.rambo.deflect = true
		self.melee_weapons.twins.deflect = true
		self.melee_weapons.boxing_gloves.deflect = true
		self.melee_weapons.hauteur.deflect = true
		self.melee_weapons.x46.deflect = true
		-- BLEED --
		self.melee_weapons.toothbrush.bleed = true
		self.melee_weapons.toothbrush.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.clean.bleed = true
		self.melee_weapons.clean.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.fork.bleed = true
		self.melee_weapons.fork.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.shawn.bleed = true
		self.melee_weapons.shawn.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.ballistic.bleed = true
		self.melee_weapons.ballistic.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.push.bleed = true
		self.melee_weapons.push.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.pugio.bleed = true
		self.melee_weapons.pugio.dot_data = {
			type = "bleed"
		}
		--self.melee_weapons.pugie.bleed = true
		--self.melee_weapons.pugie.bleed_damage = 1
		--self.melee_weapons.pugie.bleed_tick = 1
		self.melee_weapons.switchblade.bleed = true
		self.melee_weapons.switchblade.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.grip.bleed = true
		self.melee_weapons.grip.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.bowie.bleed = true
		self.melee_weapons.bowie.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.wing.bleed = true
		self.melee_weapons.wing.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.fairbair.bleed = true
		self.melee_weapons.fairbair.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.tiger.bleed = true
		self.melee_weapons.tiger.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.barbedwire.bleed = true
		self.melee_weapons.barbedwire.dot_data = {
			type = "bleed"
		}
		self.melee_weapons.pitchfork.bleed = true
		self.melee_weapons.pitchfork.dot_data = {
			type = "bleed"
		}
		-- DEEP WOUND --
		self.melee_weapons.gator.deep_wound = true
		self.melee_weapons.gator.bleed = true
		self.melee_weapons.gator.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		self.melee_weapons.oxide.deep_wound = true
		self.melee_weapons.oxide.bleed = true
		self.melee_weapons.oxide.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		self.melee_weapons.agave.deep_wound = true
		self.melee_weapons.agave.bleed = true
		self.melee_weapons.agave.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		self.melee_weapons.catch.deep_wound = true
		self.melee_weapons.catch.bleed = true
		self.melee_weapons.catch.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		self.melee_weapons.poker.deep_wound = true
		self.melee_weapons.poker.bleed = true
		self.melee_weapons.poker.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		self.melee_weapons.becker.deep_wound = true
		self.melee_weapons.becker.bleed = true
		self.melee_weapons.becker.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		self.melee_weapons.machete.deep_wound = true
		self.melee_weapons.machete.bleed = true
		self.melee_weapons.machete.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		self.melee_weapons.bullseye.deep_wound = true
		self.melee_weapons.bullseye.bleed = true
		self.melee_weapons.bullseye.dot_data = {
			type = "bleed",
			custom_data = {
				dot_damage = 0,
				dot_length = 1
		}}
		-- BREACHER --
		self.melee_weapons.alien_maul.breach = true
		self.melee_weapons.shovel.breach = true
		self.melee_weapons.fireaxe.breach = true
		self.melee_weapons.dingdong.breach = true
		-- BLOCK --
		self.melee_weapons.buck.block = true
		self.melee_weapons.buck.block_shots = 0.75
		self.melee_weapons.briefcase.block = true
		self.melee_weapons.briefcase.block_shots = 0.85
		-- SWING --
		self.melee_weapons.swagger.multiply = true
		self.melee_weapons.swagger.multiply_range = 175
		self.melee_weapons.spoon.multiply = true
		self.melee_weapons.spoon.multiply_range = 225
		self.melee_weapons.selfie.multiply = true
		self.melee_weapons.selfie.multiply_range = 200
		self.melee_weapons.baseballbat.multiply = true
		self.melee_weapons.baseballbat.multiply_range = 200
		self.melee_weapons.hockey.multiply = true
		self.melee_weapons.hockey.multiply_range = 200
		self.melee_weapons.meter.multiply = true
		self.melee_weapons.meter.multiply_range = 225
		self.melee_weapons.micstand.multiply = true
		self.melee_weapons.micstand.multiply_range = 200
		self.melee_weapons.barbedwire.multiply = true
		self.melee_weapons.barbedwire.multiply_range = 150
		-- KNOCKDOWN --
		self.melee_weapons.spatula.knockdown = true
		self.melee_weapons.baton.knockdown = true
		self.melee_weapons.chac.knockdown = true
		self.melee_weapons.oldbaton.knockdown = true
		self.melee_weapons.happy.knockdown = true
		self.melee_weapons.croupier_rake.knockdown = true
		self.melee_weapons.brick.knockdown = true
		self.melee_weapons.sap.knockdown = true
		self.melee_weapons.pitchfork.knockdown = true
		self.melee_weapons.shillelagh.knockdown = true
		self.melee_weapons.stick.knockdown = true
		self.melee_weapons.morning.knockdown = true
		self.melee_weapons.whiskey.knockdown = true
		self.melee_weapons.tenderizer.knockdown = true
		self.melee_weapons.freedom.knockdown = true
		-- EXECUTION --
		self.melee_weapons.iceaxe.execution = true
		self.melee_weapons.iceaxe.execution_health = 0.5
		self.melee_weapons.scalper.execution = true
		self.melee_weapons.scalper.execution_health = 0.5
		self.melee_weapons.meat_cleaver.execution = true
		self.melee_weapons.meat_cleaver.execution_health = 0.5
		self.melee_weapons.sandsteel.execution = true
		self.melee_weapons.sandsteel.execution_health = 0.5
		self.melee_weapons.cleaver.execution = true
		self.melee_weapons.cleaver.execution_health = 0.5
		self.melee_weapons.mining_pick.execution = true
		self.melee_weapons.mining_pick.execution_health = 0.5
		self.melee_weapons.beardy.execution = true
		self.melee_weapons.beardy.execution_health = 0.5
		self.melee_weapons.tomahawk.execution = true
		self.melee_weapons.tomahawk.execution_health = 0.5
		self.melee_weapons.freedom.execution = true
		self.melee_weapons.freedom.execution_health = 0.2
		self.melee_weapons.morning.execution = true
		self.melee_weapons.morning.execution_health = 0.2
		self.melee_weapons.great.execution = true
		self.melee_weapons.great.execution_health = 0.2
		-- PANIC --
		self.melee_weapons.sword.panic = true
		self.melee_weapons.sword.panic_on_hit = 0
		self.melee_weapons.sword.panic_on_kill = 1
		self.melee_weapons.branding_iron.panic = true
		self.melee_weapons.branding_iron.panic_on_hit = 0.3
		self.melee_weapons.branding_iron.panic_on_kill = 0.7
		self.melee_weapons.chef.panic = true
		self.melee_weapons.chef.panic_on_hit = 0.5
		self.melee_weapons.chef.panic_on_kill = 0.5
		self.melee_weapons.model24.panic = true
		self.melee_weapons.model24.panic_on_hit = 1
		self.melee_weapons.model24.panic_on_kill = 0
		self.melee_weapons.hammer.panic = true
		self.melee_weapons.hammer.panic_on_hit = 0.7
		self.melee_weapons.hammer.panic_on_kill = 0.3
		-- MONEY MAKER --
		self.melee_weapons.moneybundle.moneymaker = true
		self.melee_weapons.spoon_gold.moneymaker = true
		-- ELECTRIFIED --
		self.melee_weapons.taser.tase_data = {
			tase_strength = "light"
		}
		self.melee_weapons.zeus.tase_data = {
			tase_strength = "light"
		}
		self.melee_weapons.microphone.tase_data = {
			tase_strength = "light"
		}
		self.melee_weapons.detector.tase_data = {
			tase_strength = "light"
		}
		-- MARK --
		self.melee_weapons.detector.mark_enemy = true
		self.melee_weapons.branding_iron.mark_enemy = true
		-- SNATCH --
		self.melee_weapons.catch.snatch = true
		self.melee_weapons.croupier_rake.snatch = true
		-- OTHER --
		self.melee_weapons.nin.repeat_expire_t = 0.3
		self.melee_weapons.nin.stats.min_damage_effect = 0.1
		self.melee_weapons.nin.stats.max_damage_effect = 0.65
		self.melee_weapons.nin.stats.charge_time = 0.4
		self.melee_weapons.nin.stats.concealment = 25
		self.melee_weapons.nin.melee_charge_shaker = "player_melee_charge_wing"
		self.melee_weapons.nin.ranged = true
		self.melee_weapons.wing.backstab = true
		self.melee_weapons.fear.revive_on_hit = true
		self.melee_weapons.fear.revive_cooldown = 20
		self.melee_weapons.boxcutter.cable_interaction = true
		self.melee_weapons.cutters.fence_interaction = true
		self.melee_weapons.shock.repair_interaction = true
		self.melee_weapons.slot_lever.randomizer = true
	end
end)

sydchSO.Load()
sydchSO.Save()