local init = BlackMarketTweakData._init_projectiles
function BlackMarketTweakData:_init_projectiles(tweak_data)
    init(self, tweak_data)
    self.projectiles.chico_injector.base_cooldown = 20
    self.projectiles.chico_injector.max_amount = 1
    self.projectiles.tag_team.base_cooldown = 70
    self.projectiles.smoke_screen_grenade.base_cooldown = 40
	self.projectiles.pocket_ecm_jammer.base_cooldown = 90
end

Hooks:PostHook(BlackMarketTweakData, "_init_armors", "sydchSO", function(self)
	self.armors.level_1.name_id = "bm_armor_two_piece"
	self.armors.level_2.name_id = "bm_armor_lightweight"
	self.armors.level_3.name_id = "bm_armor_ballistic"
	self.armors.level_4.name_id = "bm_armor_heavy"
	self.armors.level_5.name_id = "bm_armor_flak"
	self.armors.level_6.name_id = "bm_armor_tactical"
	self.armors.level_7.name_id = "bm_armor_ictv"
end)

Hooks:PostHook(BlackMarketTweakData, "_init_projectiles", "sydchSO", function(self, tweak_data)
	self.projectiles.chico_injector.name_id = "bm_ability_kingpin"
	self.projectiles.damage_control.name_id = "bm_ability_stoic"
	self.projectiles.smoke_screen_grenade.name_id = "bm_ability_sicario"
	self.projectiles.pocket_ecm_jammer.name_id = "bm_ability_hacker"
	self.projectiles.tag_team.name_id = "bm_ability_tagteam"
end)
