dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.crimeWAVE == false then
	return
end

function CrimeSpreeTweakData:init_exclusion_data()
	self.excluded_enemies = {
	damage = table.list_to_set({}),
	health = table.list_to_set({})}
end

Hooks:PostHook(CrimeSpreeTweakData, "init_gage_assets", "sydchSO", function(self, tweak_data)
	self.assets.quick_locks.stealth = nil
end)

Hooks:PostHook(CrimeSpreeTweakData,"init_missions", "sydchSO", function(self, tweak_data)
	for i,v in pairs(self.missions) do
		for i2,v in pairs(self.missions[i]) do
			if self.missions[i][i2].add == debug_short_add then
				self.missions[i][i2].add = 5 + (sydchSO.crimeWAVE_add or 0)
			elseif self.missions[i][i2].add == debug_med_add then
				self.missions[i][i2].add = 7 + (sydchSO.crimeWAVE_add or 0)
			elseif self.missions[i][i2].add == debug_long_add then
				self.missions[i][i2].add = 10 + (sydchSO.crimeWAVE_add or 0)
			end
		end
	end
end)