dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.assaultTWEAKS == 1 then
	return
end

if Network and Network:is_client() then
	return
end

sydchSO.oneonefive = {
	"crojob2",
	"friend", 
	"kenaz", 
	"peta",
	"mad", 
	"watchdogs_2_day", 
	"watchdogs_2", 
	"bex", 
	"trai"
}

sydchSO.eightfive = {
	"welcome_to_the_jungle_2",
	"cane",
	"brb", 
	"mus",
	"run", 
	"ranc",
	"glace", 
	"pbr",
	"dinner", 
	"flat", 
	"gallery",
	"framing_frame_1", 
	"framing_frame_3", 
	"spa",
	"man", 
	"jolly", 
	"firestarter_3",
	"roberts", 
	"family", 
	"chca", 
	"jewelry_store", 
	"rat",
	"chas", 
	"pent", 
	"rvd1",
	"crojob3", 
	"crojob3_night"
}

sydchSO.seven = {
	"pbr2",
	"rvd2",
	"vit",
	"nmh", 
	"bph", 
	"born", 	
	"fex", 	
	"skmc_mad",
	"skm_red2",
	"skm_watchdogs_stage2"
}

sydchSO.fivefive = {
	"hvh",
	"peta2",
	"mia_2",
	"sah",
	"des",	
	"help",	
	"nail",
	"chill_combat",	
	"mex",
	"mex_cooking",	
	"sand", 
	"skm_nightmare_lvl"
}

sydchSO.worse = {
	sah = {
		force_pool = { 
			15, 30, 45
		},
		force_pool_balance_mul = { 
			1, 2, 3, 4
		},
		initial_spawn_delay = 30
	},
	nmh = {
		force_pool = { 
			15, 30, 45
		},
		force_pool_balance_mul = { 
			1, 2, 3, 4
		}
	},
	kenaz = {
		force_pool = {
			0, 15, 30
		},
		force_pool_balance_mul = {
			1, 2, 3, 4
}}}

sydchSO.worse.cas = deep_clone(sydchSO.worse.kenaz)

Hooks:PostHook(GroupAITweakData, "init", "sydchSO", function(self)
	self.ai_tick_rate = 1 / 145
end)

Hooks:PostHook(GroupAITweakData, "init_task_data", "sydchSO", function(self, difficulty_index, difficulty)
	self.besiege.assault.force = {
		7,
		9,
		14
	}
	
	local size_scaling = 1
	local heat_scaling = 1
	if difficulty_index then
		heat_scaling = 1 + (difficulty_index / 20)
	end

	for _,i in pairs(sydchSO.oneonefive) do
		if job == i then
			size_scaling = 1.15
		end
	end	
	for _,v in pairs(sydchSO.eightfive) do
		if job == v then
			size_scaling = 0.95
		end
	end
	for _,r in pairs(sydchSO.seven) do
		if job == r then
			size_scaling = 0.85
		end
	end
	for _,k in pairs(sydchSO.fivefive) do
		if job == k then
			size_scaling = 0.75
		end
	end

	if is_console then
		self.besiege.assault.force_balance_mul = {
			1.1 * heat_scaling * size_scaling,
			1.3 * heat_scaling * size_scaling,
			1.6 * heat_scaling * size_scaling,
			1.9 * heat_scaling * size_scaling
		}
		self.besiege.assault.force_pool_balance_mul = {
			1.1 * heat_scaling * size_scaling,
			1.3 * heat_scaling * size_scaling,
			1.6 * heat_scaling * size_scaling,
			1.9 * heat_scaling * size_scaling
		}
	else
		self.besiege.assault.force_balance_mul = {
			1.1 * heat_scaling * size_scaling,
			1.3 * heat_scaling * size_scaling,
			1.6 * heat_scaling * size_scaling,
			1.9 * heat_scaling * size_scaling
		}
		self.besiege.assault.force_pool_balance_mul = {
			1.1 * heat_scaling * size_scaling,
			1.3 * heat_scaling * size_scaling,
			1.6 * heat_scaling * size_scaling,
			1.9 * heat_scaling * size_scaling
		}
	end
if sydchSO.settings.assaultTWEAKS == 3 then
	self.besiege.assault.force_pool = {30, 45, 60}
	self.phalanx.vip.damage_reduction = {
		max = 0.35,
		start = 0.15,
		increase_intervall = 3000,
		increase = 0.02
	}
	
	self.besiege.regroup.duration = {
		30,
		30,
		30
	}
	
	if difficulty_index <= 2 then
		self.besiege.assault.delay = {
			105,
			85,
			70
		}
	elseif difficulty_index == 3 then
		self.besiege.assault.delay = {
			85,
			75,
			65
		}
	elseif difficulty_index == 4 then
		self.besiege.assault.delay = {
			80,
			70,
			60
		}
	elseif difficulty_index == 5 then
		self.besiege.assault.delay = {
			70,
			60,
			50
		}
	else
		self.besiege.assault.delay = {
			60,
			55,
			50
		}
	end
	
	if difficulty_index <= 5 then
		self.besiege.assault.hostage_hesitation_delay = {
			60,
			55,
			50
		}
	else
		self.besiege.assault.hostage_hesitation_delay = {
			55,
			50,
			50
		}
	end
	
	self.besiege.recon.groups = {
		tac_hostagerescue_flanking = {
			0.1,
			0.1,
			0.1
		},
		single_spooc = {
			0,
			0,
			0
		},
		Phalanx = {
			0,
			0,
			0
	}}
	
	self.besiege.assault.groups.tac_hostagerescue_flanking = {
		0,
		0,
		0
	}
	
	if difficulty_index <= 3 then
		self.besiege.assault.groups.tac_swat_shotgun_rush = {
			0.1,
			0.1,
			0.1
		}
		self.besiege.assault.groups.tac_swat_shotgun_flank = {
			0.1,
			0.1,
			0.1
		}
		self.besiege.assault.groups.tac_swat_rifle = {
			0.1,
			0.1,
			0.1
		}
		self.besiege.assault.groups.tac_swat_rifle_flank = {
			0.1,
			0.1,
			0.1
		}
	elseif difficulty_index <= 5 then
		self.besiege.assault.groups.tac_swat_shotgun_rush = {
			0.04,
			0.04,
			0.04
		}
		self.besiege.assault.groups.tac_swat_shotgun_flank = {
			0.05,
			0.05,
			0.05
		}
		self.besiege.assault.groups.tac_swat_rifle = {
			0.05,
			0.05,
			0.05
		}
		self.besiege.assault.groups.tac_swat_rifle_flank = {
			0.05,
			0.05,
			0.05
		}
	elseif difficulty_index <= 8 then
		self.besiege.assault.groups.tac_swat_shotgun_rush = {
			0.04,
			0.04,
			0.04
		}
		self.besiege.assault.groups.tac_swat_shotgun_flank = {
			0.04,
			0.04,
			0.04
		}
		self.besiege.assault.groups.tac_swat_rifle = {
			0.05,
			0.05,
			0.05
		}
		self.besiege.assault.groups.tac_swat_rifle_flank = {
			0.05,
			0.05,
			0.05
		}
	else
		self.besiege.assault.groups.tac_swat_shotgun_rush = {
			0.06,
			0.06,
			0.06
		}
		self.besiege.assault.groups.tac_swat_shotgun_flank = {
			0.06,
			0.06,
			0.06
		}
		self.besiege.assault.groups.tac_swat_rifle = {
			0.07,
			0.07,
			0.07
		}
		self.besiege.assault.groups.tac_swat_rifle_flank = {
			0.07,
			0.07,
			0.07
		}
	end

	local job = Global.level_data and Global.level_data.level_id
	if job and bad_heist_overrides[job] then	
		self.besiege.assault.force_pool = bad_heist_overrides[job].force_pool
		self.besiege.assault.force_pool_balance_mul = bad_heist_overrides[job].force_pool_balance_mul
	end
end
end)

Hooks:PostHook(GroupAITweakData, "init_enemy_spawn_groups", "sydchSO", function(self, difficulty_index)
	self._tactics.tazer_flanking = {
		"flank",
		"charge",
		"provide_coverfire",
		"smoke_grenade",
		"murder"
	}
	
	if difficulty_index <= 2 then
		self.enemy_spawn_groups.tac_hostagerescue_flanking = {
			amount = {
				5,
				6
			},
			spawn = {{
					amount_min = 0,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_flanking
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 1,
					unit = "FBI_suit_C45_M4",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 3,
					freq = 1,
					amount_max = 3,
					rank = 1,
					unit = "CS_cop_C45_R870",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 2,
					unit = "CS_cop_stealth_MP5",
					tactics = self._tactics.swat_rifle_flank
		}}}
	elseif difficulty_index == 3 then
		self.enemy_spawn_groups.tac_hostagerescue_flanking = {
			amount = {
				6,
				6
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_flanking
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "FBI_suit_stealth_MP5",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 1,
					unit = "FBI_suit_C45_M4",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_cop_stealth_MP5",
					tactics = self._tactics.swat_rifle_flank
		}}}
	elseif difficulty_index == 4 then
		self.enemy_spawn_groups.tac_hostagerescue_flanking = {
			amount = {
				6,
				7
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_flanking
				},
				{
					amount_min = 3,
					freq = 1,
					amount_max = 3,
					rank = 2,
					unit = "FBI_suit_stealth_MP5",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 1,
					unit = "FBI_suit_C45_M4",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 0,
					freq = 0.2,
					amount_max = 1,
					rank = 1,
					unit = "CS_cop_C45_R870",
					tactics = self._tactics.tazer_flanking
		}}}
	elseif difficulty_index == 5 then
		self.enemy_spawn_groups.tac_hostagerescue_flanking = {
			amount = {
				7,
				7
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_flanking
				},
				{
					amount_min = 4,
					freq = 1,
					amount_max = 4,
					rank = 2,
					unit = "FBI_suit_stealth_MP5",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 1,
					unit = "FBI_suit_C45_M4",
					tactics = self._tactics.swat_rifle_flank
		}}}
	elseif difficulty_index == 6 then
		self.enemy_spawn_groups.tac_hostagerescue_flanking = {
			amount = {
				7,
				7
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_flanking
				},
				{
					amount_min = 4,
					freq = 1,
					amount_max = 4,
					rank = 2,
					unit = "FBI_suit_stealth_MP5",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 1,
					unit = "FBI_suit_C45_M4",
					tactics = self._tactics.swat_rifle_flank
		}}}
	else
		self.enemy_spawn_groups.tac_hostagerescue_flanking = {
			amount = {
				7,
				8
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_flanking
				},
				{
					amount_min = 4,
					freq = 1,
					amount_max = 4,
					rank = 2,
					unit = "FBI_suit_stealth_MP5",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 1,
					unit = "FBI_suit_C45_M4",
					tactics = self._tactics.swat_rifle_flank
		}}}
	end

	if difficulty_index <= 2 then
		self.enemy_spawn_groups.tac_tazer_charge = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_charge
				},
				{
					amount_min = 2,
					freq = 3,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_MP5",
					tactics = self._tactics.swat_rifle_flank
		}}}
	elseif difficulty_index == 3 then
		self.enemy_spawn_groups.tac_tazer_charge = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_charge
				},
				{
					amount_min = 2,
					freq = 3,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_MP5",
					tactics = self._tactics.swat_rifle_flank
		}}}
	elseif difficulty_index == 4 then
		self.enemy_spawn_groups.tac_tazer_charge = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_charge
				},
				{
					amount_min = 1,
					freq = 3,
					amount_max = 1,
					rank = 2,
					unit = "CS_swat_MP5",
					tactics = self._tactics.swat_rifle_flank
				},
				{
					amount_min = 1,
					freq = 3,
					amount_max = 1,
					rank = 2,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle_flank
		}}}
	elseif difficulty_index == 5 then
		self.enemy_spawn_groups.tac_tazer_charge = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_charge
				},
				{
					amount_min = 2,
					freq = 3,
					amount_max = 2,
					rank = 2,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle_flank
		}}}
	elseif difficulty_index == 6 then
		self.enemy_spawn_groups.tac_tazer_charge = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_charge
				},
				{
					amount_min = 2,
					freq = 3,
					amount_max = 2,
					rank = 2,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle_flank
		}}}
	else
		self.enemy_spawn_groups.tac_tazer_charge = {
			amount = {
				3,
				4
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_tazer",
					tactics = self._tactics.tazer_charge
				},
				{
					amount_min = 0,
					freq = 1,
					amount_max = 1,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 2,
					freq = 3,
					amount_max = 2,
					rank = 1,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle_flank
		}}}
	end
	
	if difficulty_index <= 2 then
		self.enemy_spawn_groups.tac_swat_shotgun_rush = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 3 then
		self.enemy_spawn_groups.tac_swat_shotgun_rush = {
			amount = {
				4,
				4
			},
			spawn = {{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 3,
					unit = "CS_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 4 then
		self.enemy_spawn_groups.tac_swat_shotgun_rush = {
			amount = {
				4,
				4
			},
			spawn = {{
					amount_min = 3,
					freq = 1,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 5 then
		self.enemy_spawn_groups.tac_swat_shotgun_rush = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 0.2,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 6 then
		self.enemy_spawn_groups.tac_swat_shotgun_rush = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 3,
					freq = 3,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 7 then
		self.enemy_spawn_groups.tac_swat_shotgun_rush = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	else
		self.enemy_spawn_groups.tac_swat_shotgun_rush = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 3,
					freq = 3,
					amount_max = 3,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	end
	
	if difficulty_index <= 2 then
		self.enemy_spawn_groups.tac_swat_shotgun_flank = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_heavy_R870",
					tactics = self._tactics.swat_shotgun_flank
		}}}
	elseif difficulty_index == 3 then
		self.enemy_spawn_groups.tac_swat_shotgun_flank = {
			amount = {
				4,
				4
			},
			spawn = {{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 3,
					unit = "CS_heavy_R870",
					tactics = self._tactics.swat_shotgun_flank
		}}}
	elseif difficulty_index == 4 then
		self.enemy_spawn_groups.tac_swat_shotgun_flank = {
			amount = {
				4,
				4
			},
			spawn = {{
					amount_min = 3,
					freq = 1,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_flank
		}}}
	elseif difficulty_index == 5 then
		self.enemy_spawn_groups.tac_swat_shotgun_flank = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 0,
					freq = 0.2,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_flank
		}}}
	elseif difficulty_index == 6 then
		self.enemy_spawn_groups.tac_swat_shotgun_flank = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 3,
					freq = 3,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 0,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_flank
		}}}
	elseif difficulty_index == 7 then
		self.enemy_spawn_groups.tac_swat_shotgun_flank = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 0,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_flank
		}}}
	else
		self.enemy_spawn_groups.tac_swat_shotgun_flank = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 3,
					freq = 3,
					amount_max = 3,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_flank
				},
				{
					amount_min = 0,
					freq = 0.5,
					amount_max = 1,
					rank = 2,
					unit = "medic_R870",
					tactics = self._tactics.swat_shotgun_flank
		}}}
	end
	
	if difficulty_index <= 2 then
		self.enemy_spawn_groups.tac_swat_rifle = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_MP5",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle
		}}}
	elseif difficulty_index == 3 then
		self.enemy_spawn_groups.tac_swat_rifle = {
			amount = {
				4,
				4
			},
			spawn = {{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_MP5",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 2,
					freq = 1,
					amount_max = 2,
					rank = 3,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle
		}}}
	elseif difficulty_index == 4 then
		self.enemy_spawn_groups.tac_swat_rifle = {
			amount = {
				4,
				4
			},
			spawn = {{
					amount_min = 3,
					freq = 1,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
		}}}
	elseif difficulty_index == 5 then
		self.enemy_spawn_groups.tac_swat_rifle = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 0,
					freq = 0.2,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	elseif difficulty_index == 6 then
		self.enemy_spawn_groups.tac_swat_rifle = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 3,
					freq = 3,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 0,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	elseif difficulty_index == 7 then
		self.enemy_spawn_groups.tac_swat_rifle = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 2,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 0,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	else
		self.enemy_spawn_groups.tac_swat_rifle = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 3,
					freq = 3,
					amount_max = 3,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 0,
					freq = 0.5,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	end
	
	if difficulty_index <= 2 then
		self.enemy_spawn_groups.tac_swat_combined_arms = {
			amount = {
				3,
				3
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_MP5",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "CS_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 3 then
		self.enemy_spawn_groups.tac_swat_combined_arms = {
			amount = {
				3,
				4
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_MP5",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 3,
					unit = "CS_heavy_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "CS_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 3,
					unit = "CS_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 4 then
		self.enemy_spawn_groups.tac_swat_combined_arms = {
			amount = {
				4,
				4
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
		}}}
	elseif difficulty_index == 5 then
		self.enemy_spawn_groups.tac_swat_combined_arms = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 0,
					freq = 0.2,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	elseif difficulty_index == 6 then
		self.enemy_spawn_groups.tac_swat_combined_arms = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 1,
					freq = 3,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 3,
					amount_max = 3,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 1,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 0,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	elseif difficulty_index == 7 then
		self.enemy_spawn_groups.tac_swat_combined_arms = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 2,
					amount_max = 2,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 0,
					freq = 0.35,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	else
		self.enemy_spawn_groups.tac_swat_combined_arms = {
			amount = {
				4,
				5
			},
			spawn = {{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_M4",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 3,
					amount_max = 3,
					rank = 3,
					unit = "FBI_heavy_G36",
					tactics = self._tactics.swat_rifle
				},
				{
					amount_min = 1,
					freq = 1,
					amount_max = 2,
					rank = 2,
					unit = "FBI_swat_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 1,
					freq = 3,
					amount_max = 3,
					rank = 3,
					unit = "FBI_heavy_R870",
					tactics = self._tactics.swat_shotgun_rush
				},
				{
					amount_min = 0,
					freq = 0.5,
					amount_max = 1,
					rank = 2,
					unit = "medic_M4",
					tactics = self._tactics.swat_rifle
		}}}
	end
end)

Hooks:PostHook(GroupAITweakData, "_init_enemy_spawn_groups_level", "sydchSO", function(self, tweak_data, difficulty_index, ...)
	local lvl_tweak_data = tweak_data.levels[Global.game_settings and Global.game_settings.level_id or Global.level_data and Global.level_data.level_id]

	if lvl_tweak_data and not lvl_tweak_data.ai_marshal_spawns_disabled and (sydchSO.settings.mixedSPAWN == 1 or sydchSO.settings.mixedSPAWN == 2) then
		if not ai_marshal_spawns_fast then
			self.enemy_spawn_groups.marshal_squad = nil
		end
	end
end)

Hooks:PostHook(GroupAITweakData, "_init_unit_categories", "sydchSO", function(self, difficulty_index)	
	self.unit_categories.FBI_suit_C45_M4.unit_types.federales = self.unit_categories.FBI_suit_C45_M4.unit_types.america
	self.unit_categories.FBI_suit_M4_MP5.unit_types.federales = self.unit_categories.FBI_suit_M4_MP5.unit_types.america
	self.unit_categories.FBI_suit_C45_M4.unit_types.murkywater = self.unit_categories.FBI_suit_C45_M4.unit_types.america
	self.unit_categories.FBI_suit_M4_MP5.unit_types.murkywater = self.unit_categories.FBI_suit_M4_MP5.unit_types.america
	
	if difficulty_index == 6 or difficulty_index == 7 then
		table.insert(self.unit_categories.FBI_swat_M4.unit_types.america, Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"))
		table.insert(self.unit_categories.FBI_swat_R870.unit_types.america, Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"))
	end
	
	if sydchSO.settings.mixedSPAWN == 2 then
		table.delete(self.unit_categories.FBI_tank.unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"))
		table.delete(self.unit_categories.FBI_tank.unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"))
		table.delete(self.unit_categories.FBI_tank.unit_types.russia, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"))
		table.delete(self.unit_categories.FBI_tank.unit_types.zombie, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"))
		table.delete(self.unit_categories.FBI_tank.unit_types.murkywater, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_1/ene_murkywater_bulldozer_1"))
		table.delete(self.unit_categories.FBI_tank.unit_types.federales, Idstring("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_minigun/ene_swat_dozer_policia_federale_minigun"))
		table.delete(self.unit_categories.FBI_tank.unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"))
		table.delete(self.unit_categories.FBI_tank.unit_types.russia, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"))
		table.delete(self.unit_categories.FBI_tank.unit_types.zombie, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"))
		table.delete(self.unit_categories.FBI_tank.unit_types.murkywater, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_medic/ene_murkywater_bulldozer_medic"))
		table.delete(self.unit_categories.FBI_tank.unit_types.federales, Idstring("units/pd2_dlc_bex/characters/ene_swat_dozer_medic_policia_federale/ene_swat_dozer_medic_policia_federale"))
	end
end)