dofile(ModPath .. "lua/core/sydchSO.lua")

Hooks:RegisterHook("sso_skilltweak_init_complete")
-- Default Player Skills
local old_init = SkillTreeTweakData.init
function SkillTreeTweakData:init()
	old_init(self)
	self.HIDE_TIER_BONUS = false
	if sydchSO.settings.skillOVERHAUL == 2 then
	self.trees = {{
		skill = "mastermind",
		name_id = "st_menu_mastermind_inspire",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"combat_medic"
			},
			{
				"tea_time",
				"fast_learner"
			},
			{
				"tea_cookies",
				"medic_2x"
			},
			{
				"inspire"
	}}},
	{
		skill = "mastermind",
		name_id = "st_menu_mastermind_dominate",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"triathlete"
			},
			{
				"cable_guy",
				"joker"
			},
			{
				"stockholm_syndrome",
				"control_freak"
			},
			{
				"black_marketeer"
	}}},
	{
		skill = "mastermind",
		name_id = "st_menu_mastermind_single_shot",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"stable_shot"
			},
			{
				"rifleman",
				"sharpshooter"
			},
			{
				"spotter_teamwork",
				"speedy_reload"
			},
			{
				"single_shot_ammo_return"
	}}},
	{
		skill = "enforcer",
		name_id = "st_menu_enforce_shotgun",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"underdog"
			},
			{
				"shotgun_cqb",
				"shotgun_impact"
			},
			{
				"far_away",
				"close_by"
			},
			{
				"overkill"
	}}},
	{
		skill = "enforcer",
		name_id = "st_menu_enforcer_armor",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"oppressor"
			},
			{
				"show_of_force",
				"pack_mule"
			},
			{
				"iron_man",
				"prison_wife"
			},
			{
				"juggernaut"
	}}},
	{
		skill = "enforcer",
		name_id = "st_menu_enforcer_ammo",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"scavenging"
			},
			{
				"ammo_reservoir",
				"portable_saw"
			},
			{
				"ammo_2x",
				"carbon_blade"
			},
			{
				"bandoliers"
	}}},
	{
		skill = "technician",
		name_id = "st_menu_technician_sentry",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"defense_up"
			},
			{
				"sentry_targeting_package",
				"eco_sentry"
			},
			{
				"engineering",
				"jack_of_all_trades"
			},
			{
				"tower_defense"
	}}},
	{
		skill = "technician",
		name_id = "st_menu_technician_breaching",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"hardware_expert"
			},
			{
				"combat_engineering",
				"drill_expert"
			},
			{
				"more_fire_power",
				"kick_starter"
			},
			{
				"fire_trap"
	}}},
	{
		skill = "technician",
		name_id = "st_menu_technician_auto",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"steady_grip"
			},
			{
				"heavy_impact",
				"fire_control"
			},
			{
				"shock_and_awe",
				"fast_fire"
			},
			{
				"body_expertise"
	}}},
	{
		skill = "ghost",
		name_id = "st_menu_ghost_stealth",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"jail_workout"
			},
			{
				"cleaner",
				"chameleon"
			},
			{
				"second_chances",
				"ecm_booster"
			},
			{
				"ecm_2x"
	}}},
	{
		skill = "ghost",
		name_id = "st_menu_ghost_concealed",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"sprinter"
			},
			{
				"awareness",
				"thick_skin"
			},
			{
				"dire_need",
				"insulation"
			},
			{
				"jail_diet"
	}}},
	{
		skill = "ghost",
		name_id = "st_menu_ghost_silencer",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"scavenger"
			},
			{
				"optic_illusions",
				"silence_expert"
			},
			{
				"backstab",
				"hitman"
			},
			{
				"unseen_strike"
	}}},
	{
		skill = "hoxton",
		name_id = "st_menu_fugitive_pistol_akimbo",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"equilibrium"
			},
			{
				"dance_instructor",
				"akimbo"
			},
			{
				"gun_fighter",
				"expert_handling"
			},
			{
				"trigger_happy"
	}}},
	{
		skill = "hoxton",
		name_id = "st_menu_fugitive_undead",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"nine_lives"
			},
			{
				"running_from_death",
				"up_you_go"
			},
			{
				"perseverance",
				"feign_death"
			},
			{
				"messiah"
	}}},
	{
		skill = "hoxton",
		name_id = "st_menu_fugitive_berserker",
		unlocked = true,
		background_texture = "guis/textures/pd2/skilltree/background",
		tiers = {{
				"martial_arts"
			},
			{
				"bloodthirst",
				"steroids"
			},
			{
				"drop_soap",
				"wolverine"
			},
			{
				"frenzy"
			}
	}}}
	self.skills["mastermind"] = {
		name_id = "menu_mastermind",
		desc_id = "menu_mastermind_desc",
		icon_xy = {
			2, 
			7 
		},
		[1] = {
			upgrades = { 
				
			}, 
			desc_id = "menu_mastermind_tier_1"
		},
		[2] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_mastermind_tier_2" 
		},
		[3] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_mastermind_tier_3" 
		},
		[4] = { 
			upgrades = {
				
			}, 
			desc_id="menu_mastermind_tier_4" 
		},
	}
	self.skills["enforcer"] = {
	name_id = "menu_enforcer",
		desc_id = "menu_enforcer_desc",
		icon_xy = {
			2, 
			7 
		},
		[1] = {
			upgrades = { 
				
			}, 
			desc_id = "menu_enforcer_tier_1"
		},
		[2] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_enforcer_tier_2" 
		},
		[3] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_enforcer_tier_3" 
		},
		[4] = { 
			upgrades = {
				
			}, 
			desc_id="menu_enforcer_tier_4" 
		},
	}
	self.skills["technician"] = {
		name_id = "menu_technician",
		desc_id = "menu_technician_desc",
		icon_xy = {
			2, 
			7 
		},
		[1] = {
			upgrades = { 
				
			}, 
			desc_id = "menu_technician_tier_1"
		},
		[2] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_technician_tier_2" 
		},
		[3] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_technician_tier_3" 
		},
		[4] = { 
			upgrades = {
				
			}, 
			desc_id="menu_technician_tier_4" 
		},
	}
	self.skills["ghost"] = {
	name_id = "menu_ghost",
		desc_id = "menu_ghost_desc",
		icon_xy = {
			2, 
			7 
		},
		[1] = {
			upgrades = { 
				
			}, 
			desc_id = "menu_ghost_tier_1"
		},
		[2] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_ghost_tier_2" 
		},
		[3] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_ghost_tier_3" 
		},
		[4] = { 
			upgrades = {
				
			}, 
			desc_id="menu_ghost_tier_4" 
		},
	}
	self.skills["hoxton"] = {
	desc_id = "menu_hoxton_desc",
		icon_xy = {
			2, 
			7 
		},
		[1] = {
			upgrades = { 
				
			}, 
			desc_id = "menu_hoxton_tier_1"
		},
		[2] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_hoxton_tier_2" 
		},
		[3] = { 
			upgrades = {
				
			}, 
			desc_id = "menu_hoxton_tier_3" 
		},
		[4] = { 
			upgrades = {
				
			}, 
			desc_id="menu_hoxton_tier_4" 
		},
	}
	self.default_upgrades = {	
		"temporary_first_aid_damage_reduction",
		"temporary_passive_revive_damage_reduction_2",
		"temporary_damage_absorption",
		"player_special_enemy_highlight",
		"player_hostage_trade",
		"player_sec_camera_highlight",
		"player_corpse_dispose",
		"player_corpse_dispose_amount_1",
		"player_civ_harmless_melee",
		"player_can_strafe_run",
		"armor_kit",	
		"cable_tie"
    }
--  $$$$$$\  $$\   $$\ $$$$$$\ $$\       $$\             $$$$$$$$\ $$$$$$$\  $$$$$$$$\ $$$$$$$$\ 
-- $$  __$$\ $$ | $$  |\_$$  _|$$ |      $$ |            \__$$  __|$$  __$$\ $$  _____|$$  _____|
-- $$ /  \__|$$ |$$  /   $$ |  $$ |      $$ |               $$ |   $$ |  $$ |$$ |      $$ |      
-- \$$$$$$\  $$$$$  /    $$ |  $$ |      $$ |               $$ |   $$$$$$$  |$$$$$\    $$$$$\    
--  \____$$\ $$  $$<     $$ |  $$ |      $$ |               $$ |   $$  __$$< $$  __|   $$  __|   
-- $$\   $$ |$$ |\$$\    $$ |  $$ |      $$ |               $$ |   $$ |  $$ |$$ |      $$ |      
-- \$$$$$$  |$$ | \$$\ $$$$$$\ $$$$$$$$\ $$$$$$$$\          $$ |   $$ |  $$ |$$$$$$$$\ $$$$$$$$\ 
--  \______/ \__|  \__|\______|\________|\________|         \__|   \__|  \__|\________|\________| SKILL TREE
------------------------------------------------------------------------------------------------------------------------------------
-- MASTERMIND
------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------
-- PHYSICIAN --
-----------------------------------------------------------
-- Surgeon
	self.skills.combat_medic = {
		{
			upgrades = {
				"first_aid_kit",
				--"temporary_combat_medic_damage_multiplier1",
				"temporary_combat_medic_enter_steelsight_speed_multiplier"
				--"temporary_combat_medic_reload_speed_multiplier"
				--"temporary_combat_medic_swap_speed_multiplier"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"doctor_bag",
				"player_revive_health_boost",
				"player_revive_interaction_speed_multiplier_1" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_combat_medic_beta",
		desc_id = "menu_combat_medic_beta_desc",
		icon_xy = {
			10,
			27
		}
	}
-- Quick Fix
	self.skills.tea_time = {
		{
			upgrades = {
				"doctor_bag",
				"player_revive_interaction_speed_multiplier_1", --tier bonus
				"first_aid_kit_deploy_time_multiplier"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"first_aid_kit_damage_reduction_upgrade"
			},
			cost = self.costs.pro
		},
		name_id = "menu_tea_time_beta",
		desc_id = "menu_tea_time_beta_desc",
		icon_xy = {
			5,
			20
		}
	}
-- Painkiller
	self.skills.fast_learner = {
		{
			upgrades = {
				"doctor_bag",
				"passive_doctor_bag_interaction_speed_multiplier",
				"player_revive_interaction_speed_multiplier_1" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"temporary_revive_damage_reduction_1",
				"player_revive_damage_reduction_1",
				"player_revive_damage_reduction_level_2"
			},
			cost = self.costs.pro
		},
		name_id = "menu_fast_learner_beta",
		desc_id = "menu_fast_learner_beta_desc",
		icon_xy = {
			0,
			23
		}
	}
-- Uppers
	self.skills.tea_cookies = {
		{
			upgrades = {
				"first_aid_kit_quantity_increase_1",
				"first_aid_kit_quantity_increase_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"first_aid_kit_auto_recovery_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_tea_cookies_beta",
		desc_id = "menu_tea_cookies_beta_desc",
		icon_xy = {
			2,
			24
		}
	}
-- Doctor's Order
	self.skills.medic_2x = {
		{
			upgrades = {"doctor_bag_amount_increase1"},
			cost = self.costs.default
		},
		{
			upgrades = {"doctor_bag_quantity"},
			cost = self.costs.pro
		},
		name_id = "menu_medic_2x_beta",
		desc_id = "menu_medic_2x_beta_desc",
		icon_xy = {
			5,
			21
		}
	}
-- Inspire
	self.skills.inspire = {
		{
			upgrades = {
				"player_morale_boost",
				"player_morale_boost_cooldown_multiplier"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"cooldown_long_dis_revive"
		},
			cost = self.costs.hightierpro
		},
		name_id = "menu_inspire_beta",
		desc_id = "menu_inspire_beta_desc",
		icon_xy = {
			4,
			22
		}
	}
-----------------------------------------------------------
-- DOMINATOR --
-----------------------------------------------------------
-- Cable Guy
	self.skills.triathlete = {
		{
			upgrades = {
				"first_aid_kit",
				"cable_tie_quantity"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"doctor_bag",
				"team_damage_hostage_absorption",
				"cable_tie_interact_speed_multiplier" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_triathlete_beta",
		desc_id = "menu_triathlete_beta_desc",
		icon_xy = {
			4,
			20
		}
	}
-- Control Freak
	self.skills.cable_guy = {
		{
			upgrades = {
				"doctor_bag",
				"player_civ_calming_alerts",
				"player_convert_enemies_interaction_speed_multiplier", --tier bonus
				"cable_tie_interact_speed_multiplier" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_intimidate_range_mul",
				"player_intimidate_aura",
				"player_civ_intimidation_mul"
			},
			cost = self.costs.pro
		},
		name_id = "menu_cable_guy_beta",
		desc_id = "menu_cable_guy_beta_desc",
		icon_xy = {
			6,
			20
		}
	}
-- Endurance
	self.skills.joker = {
		{
			upgrades = {
				"doctor_bag",
				"team_passive_stamina_multiplier_1",
				"player_convert_enemies_interaction_speed_multiplier", --tier bonus
				"cable_tie_interact_speed_multiplier" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_stamina_regen_timer_multiplier",
				"player_stamina_regen_multiplier",
				--"player_stamina_multiplier", haha team boosts go choof, believe me it's for a better future
				"team_stamina_multiplier"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_control_freak_beta",
		desc_id = "menu_control_freak_beta_desc",
		icon_xy = {
			1,
			21
		}
	}
-- Stockholm Syndrome
	self.skills.stockholm_syndrome = {
		{
			upgrades = {
				"player_civilian_reviver"
				--"player_civilian_gives_ammo"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_super_syndrome_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_stockholm_syndrome_beta",
		desc_id = "menu_stockholm_syndrome_beta_desc",
		icon_xy = {
			3,
			21
		}
	}
-- Joker in Crime
	self.skills.control_freak = {
		{
			upgrades = {
				"player_convert_enemies",
				"player_convert_enemies_max_minions_1",
				"player_convert_enemies_max_minions_2",
				"player_convert_enemies_damage_multiplier_1"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				--"player_convert_enemies_damage_multiplier_2",
				"player_passive_convert_enemies_health_multiplier_1",
				"player_passive_convert_enemies_health_multiplier_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_joker_beta",
		desc_id = "menu_joker_beta_desc",
		icon_xy = {
			1,
			23
		}
	}
-- Hostage Taker
	self.skills.black_marketeer = {
		{
			upgrades = {
				"player_passive_intimidate_range_mul"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_hostage_health_regen_addend_2"
				--"player_hostage_cover_chance"
				--"player_minion_master_health_multiplier"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_black_marketeer_beta",
		desc_id = "menu_black_marketeer_beta_desc",
		icon_xy = {
			2,
			23
		}
	}
-----------------------------------------------------------
-- RIFLEMAN --
-----------------------------------------------------------
-- Kilmer
	self.skills.stable_shot = {
		{
			upgrades = {
				"first_aid_kit",
				"player_steelsight_normal_movement_speed"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"doctor_bag",
				"assault_rifle_zoom_increase",
				"snp_zoom_increase",
				"smg_zoom_increase",
				"lmg_zoom_increase",
				"pistol_zoom_increase",
				--"player_weapon_movement_stability_1"
				"player_weapon_accuracy_increase_1" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_rifleman_beta",
		desc_id = "menu_rifleman_beta_desc",
		icon_xy = {
			9,
			27
		}
	}
-- High Value
	self.skills.rifleman = {
		{
			upgrades = {
				"doctor_bag",
				"weapon_steelsight_highlight_specials",
				--"player_weapon_movement_stability_1" 
				"player_weapon_accuracy_increase_1" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_marked_enemy_extra_damage",
				"player_marked_inc_dmg_distance_1"
				
			},
			cost = self.costs.pro
		},
		name_id = "menu_spotter_teamwork_beta",
		desc_id = "menu_spotter_teamwork_desc",
		icon_xy = {
			6,
			27
		}
	}
-- Sharpshooter
	self.skills.sharpshooter = {
		{
			upgrades = {
				"doctor_bag",
				"team_weapon_recoil_index_addend",
				"team_weapon_suppression_recoil_index_addend",
				--"player_weapon_movement_stability_1" 
				"player_weapon_accuracy_increase_1" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_graze_shave"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_sharpshooter_beta",
		desc_id = "menu_sharpshooter_beta_desc",
		icon_xy = {
			3,
			27
		}
	}
-- Reserve
	self.skills.spotter_teamwork = {
		{
			upgrades = {
				"player_special_double_drop"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"head_shot_ammo_return_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_single_shot_ammo_return_beta",
		desc_id = "menu_single_shot_ammo_return_beta_desc",
		icon_xy = {
			8,
			17
		}
	}
-- Aggressive Reload
	self.skills.speedy_reload = {
		{
			upgrades = {
				--"player_full_reload_speed_multiplier"
				"player_automatic_faster_reload_1"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				--"weapon_half_magazine_fire_rate"
				--"temporary_reload_fire_rate"
				"player_primary_reload_secondary"
				--"player_secondary_reload_primary_1",
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_speedy_reload_beta",
		desc_id = "menu_speedy_reload_beta_desc",
		icon_xy = {
			8,
			16
		}
	}
-- Graze
	self.skills.single_shot_ammo_return = {
		{
			upgrades = {
				"player_graze_damage"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"snp_graze_damage_1",
				"snp_graze_damage_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_sniper_graze_damage",
		desc_id = "menu_sniper_graze_damage_desc",
		icon_xy = {
			11,
			22
		}
	}
------------------------------------------------------------------------------------------------------------------------------------
-- ENFORCER
------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------
-- ASSAULT --
-----------------------------------------------------------
-- Hard Boiled
	self.skills.underdog = {
		{
			upgrades = {
				"player_double_drop_1"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"ammo_bag",
				"player_stability_increase_bonus_1", --tier bonus
				"player_stability_increase_bonus_2", --tier bonus
				"shotgun_consume_no_ammo_chance_1",
				"saw_consume_no_ammo_chance"
			},
			cost = self.costs.pro
		},
		name_id = "menu_underdog_beta",
		desc_id = "menu_underdog_beta_desc",
		icon_xy = {
			5,
			13
		}
	}
-- Nimble
	self.skills.shotgun_cqb = {
		{
			upgrades = {
				"ammo_bag",
				"weapon_enter_steelsight_speed_multiplier",
				"weapon_swap_speed_multiplier",
				"player_stability_increase_bonus_1", --tier bonus
				"player_stability_increase_bonus_2" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"shell_reload_speed_multiplier",
				"saw_reload_speed_multiplier"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_shotgun_cqb_beta",
		desc_id = "menu_shotgun_cqb_beta_desc",
		icon_xy = {
			8,
			20
		}
	}
-- Gun Runner
	self.skills.shotgun_impact = {
		{
			upgrades = {
				"ammo_bag",
				"player_run_and_reload",
				"player_stability_increase_bonus_1", --tier bonus
				"player_stability_increase_bonus_2" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"shotgun_hip_run_and_shoot_1",
				"player_run_and_shoot_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_shotgun_impact_beta",
		desc_id = "menu_shotgun_impact_beta_desc",
		icon_xy = {
			10,
			19
		}
	}
-- Solid Impact
	self.skills.far_away = {
		{
			upgrades = {
				"pump_action_fire_rate_multiplier",
				"saw_fire_rate_multiplier_1"
				--"shotgun_steelsight_accuracy_inc_1",
				--"saw_steelsight_accuracy_inc",
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"pump_action_extra_rays"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_close_by_beta",
		desc_id = "menu_close_by_beta_desc",
		icon_xy = {
			10,
			13
		}
	}
-- Far Away
	self.skills.close_by = {
		{
			upgrades = {
				"player_weapon_movement_stability_1"
				--"shotgun_ignore_shields"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"shotgun_steelsight_range_inc_1",
				"shotgun_steelsight_accuracy_inc_1"
				--"shell_clip_ammo_increase"
			},
			cost = self.costs.pro
		},
		name_id = "menu_far_away_beta",		
		desc_id = "menu_far_away_beta_desc",
		icon_xy = {
			4,
			14
		}	
	}
-- Overkill
	self.skills.overkill = {
		{
			upgrades = {
				"player_overkill_damage_multiplier"
				--"player_overkill_all_weapons"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_overkill_close_range"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_overkill_beta",
		desc_id = "menu_overkill_beta_desc",
		icon_xy = {
			3,
			15
		}
	}
-----------------------------------------------------------
-- JUGGERNAUT --
-----------------------------------------------------------
-- Nerves of Steel
	self.skills.oppressor = {
		{
			upgrades = {			
				"player_interacting_damage_multiplier"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"ammo_bag",
				"player_flashbang_multiplier_1",
				"player_flashbang_multiplier_2",
				"carry_movement_penalty_nullifier" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_oppressor_beta",
		desc_id = "menu_oppressor_beta_desc",
		icon_xy = {
			10,
			26
		}
	}
-- Thick Skin
	self.skills.show_of_force = {
		{
			upgrades = {
				"ammo_bag",
				"player_level_1_armor_addend",
				"player_level_2_armor_addend",
				"player_level_3_armor_addend",
				"player_level_4_armor_addend",
				"player_level_5_armor_addend",
				"player_level_6_armor_addend",
				"player_level_7_armor_addend",
				"carry_movement_penalty_nullifier" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_armor_carry_bonus_1"
			},
			cost = self.costs.pro
		},
		name_id = "menu_show_of_force_beta",
		desc_id = "menu_show_of_force_beta_desc",
		icon_xy = {
			2,
			25
		}
	}
-- Pack Mule
	self.skills.pack_mule = {
		{
			upgrades = {
				"ammo_bag",
				"carry_throw_distance_multiplier",
				"carry_movement_penalty_nullifier" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"carry_movement_speed_multiplier"
			},
			cost = self.costs.pro
		},
		name_id = "menu_pack_mule_beta",
		desc_id = "menu_pack_mule_beta_desc",
		icon_xy = {
			6,
			13
		}
	}
-- Die Hard
	self.skills.iron_man = {
		{
			upgrades = {
				--"player_armor_multiplier"
				"team_armor_regen_time_multiplier"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				--"player_armor_regen_time_mul_1",
				--"team_passive_armor_regen_time_multiplier",
				--"player_armor_absorption",
				"player_dmg_interval_upgrade"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_iron_man_beta",
		desc_id = "menu_iron_man_beta_desc",
		icon_xy = {
			6,
			17
		}
	}
-- Bullseye
	self.skills.prison_wife = {
		{
			upgrades = {
				"player_headshot_regen_armor_bonus_1",
				"player_headshot_regen_armor_bonus_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_lethal_headshot_regen_armor_extra"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_prison_wife_beta",
		desc_id = "menu_prison_wife_beta_desc",
		icon_xy = {
			6,
			24
		}
	}
-- Bulletproof
	self.skills.juggernaut = {
		{
			upgrades = {
				"player_add_armor_stat_skill_ammo_mul"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"body_armor6"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_juggernaut_beta",
		desc_id = "menu_juggernaut_beta_desc",
		icon_xy = {
			3,
			14
		}
	}
-----------------------------------------------------------
-- SUPPORT --
-----------------------------------------------------------
-- Scavenger
	self.skills.scavenging = {
		{
			upgrades = {
				"cable_tie_pickup_chance"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"ammo_bag",
				"player_regain_throwable_from_ammo_1", 
				"player_increased_pickup_area_1" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_scavenging_beta",
		desc_id = "menu_scavenging_beta_desc",
		icon_xy = {
			2,
			27
		}
	}
-- Bulletstorm
	self.skills.ammo_reservoir = {
		{
			upgrades = {
				"ammo_bag",
				"temporary_no_ammo_cost_1",
				"player_increased_pickup_area_1" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"temporary_no_ammo_cost_2",
				"temporary_no_ammo_cost_buff"
			},
			cost = self.costs.pro
		},
		name_id = "menu_ammo_reservoir_beta",
		desc_id = "menu_ammo_reservoir_beta_desc",
		icon_xy = {
			4,
			18
		}
	}
-- Big Game Hunter
	self.skills.portable_saw = {
		{
			upgrades = {
				"ammo_bag",
				"player_increased_pickup_area_1", --tier bonus
				"ammo_bag_take_less_from_ammo_bag"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"saw_extra_ammo_multiplier",
				"rocket_launcher_extra_ammo_multiplier"
			},
			cost = self.costs.pro
		},
		name_id = "menu_portable_saw_beta",
		desc_id = "menu_portable_saw_beta_desc",
		icon_xy = {
			2,
			13
		}
	}
-- Extra Lead
	self.skills.ammo_2x = {
		{
			upgrades = {"ammo_bag_ammo_increase1"},
			cost = self.costs.default
		},
		{
			upgrades = {"ammo_bag_quantity"},
			cost = self.costs.pro
		},
		name_id = "menu_ammo_2x_beta",
		desc_id = "menu_ammo_2x_beta_desc",
		icon_xy = {
			7,
			14
		}
	}
-- Saw Massacre
	self.skills.carbon_blade = {
		{
			upgrades = {
				"player_saw_speed_multiplier_2",
				"saw_lock_damage_multiplier_2",
				"saw_enemy_slicer"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"saw_rip_and_tear",
				"saw_ignore_shields_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_carbon_blade_beta",
		desc_id = "menu_carbon_blade_beta_desc",
		icon_xy = {
			0,
			15
		}
	}
-- Fully Loaded
	self.skills.bandoliers = {
		{
			upgrades = {
				--"player_throwables_multiplier",
				"extra_ammo_multiplier1"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_pick_up_ammo_multiplier_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_bandoliers_beta",
		desc_id = "menu_bandoliers_beta_desc",
		icon_xy = {
			3,
			13
		}
	}
------------------------------------------------------------------------------------------------------------------------------------
-- TECHNICIAN
------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------
-- ENGINEER --
-----------------------------------------------------------
-- Fast Hands
	self.skills.defense_up = {
		{
			upgrades = {
				"trip_mine",
				"trip_mine_can_switch_on_off",
				"carry_interact_speed_multiplier_1",
				"carry_interact_speed_multiplier_2",
				"carry_catch_interaction_speed_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"carry_no_cooldown",
				"player_level_interaction_timer_multiplier" --tier bonus
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_defense_up_beta",
		desc_id = "menu_defense_up_beta_desc",
		icon_xy = {
			11,
			26
		}
	}
-- Third Law
	self.skills.sentry_targeting_package = {
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"sentry_gun_can_mark_enemy",
				"player_level_interaction_timer_multiplier" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"sentry_gun_marked_enemy_damage_bonus"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_sentry_targeting_package_beta",
		desc_id = "menu_sentry_targeting_package_beta_desc",
		icon_xy = {
			9,
			14
		}
	}
-- Dead President
	self.skills.eco_sentry = {
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"player_small_loot_multiplier_1",
				"player_loot_drop_multiplier_2",
				"secured_bags_money_multiplier",
				"player_passive_loot_drop_multiplier",
				"player_level_interaction_timer_multiplier" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_buy_cost_multiplier_2",
				"player_sell_cost_multiplier_1",
				"player_loot_drop_multiplier_1",
				"player_crafting_weapon_multiplier",
				"player_passive_crafting_weapon_multiplier_1",
				"player_crafting_mask_multiplier",
				"player_passive_crafting_mask_multiplier_1",
				"player_dye_pack_cash_loss_multiplier",
				"player_crime_net_deal_2",
				"passive_player_assets_cost_multiplier",
				"player_premium_contract_cost_multiplier",
				"player_assets_cost_multiplier_b",
				"player_cleaner_cost_multiplier"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_eco_sentry_beta",
		desc_id = "menu_eco_sentry_beta_desc",
		icon_xy = {
			4,
			26
		}
	}
-- Upgrade Package
	self.skills.engineering = {
		{
			upgrades = {
				"sentry_gun_armor_piercing_chance_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"sentry_gun_ap_bullets",
				"sentry_gun_fire_rate_reduction_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_engineering_beta",
		desc_id = "menu_engineering_beta_desc",
		icon_xy = {
			9,
			13
		}
	}
-- Tower Defense
	self.skills.tower_defense = {
		{
			upgrades = {
				"sentry_gun_shield"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"sentry_gun_quantity_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_tower_defense_beta",
		desc_id = "menu_tower_defense_beta_desc",
		icon_xy = {
			9,
			18
		}
	}
-----------------------------------------------------------
-- BREACHER --
-----------------------------------------------------------
-- DRILL SAWGEANT
	self.skills.hardware_expert = {
		{
			upgrades = {
				"trip_mine",
				"trip_mine_can_switch_on_off",
				"player_drill_speed_multiplier1",
				"player_drill_speed_multiplier2"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"player_drill_alert",
				"player_silent_drill",
				"player_drill_fix_interaction_speed_multiplier",
				"player_trip_mine_deploy_time_multiplier_2" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_hardware_expert_beta",
		desc_id = "menu_hardware_expert_beta_desc",
		icon_xy = {
			9,
			19
		}
	}
-- TACTICAL CHARGES
	self.skills.combat_engineering = {
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"trip_mine_sensor_toggle",
				"trip_mine_sensor_highlight",
				"player_drill_fix_interaction_speed_multiplier",
				"player_trip_mine_deploy_time_multiplier_2" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"trip_mine_marked_enemy_extra_damage"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_combat_engineering",
		desc_id = "menu_combat_engineering_desc",
		icon_xy = {
			0,
			20
		}
	}
-- WIDE AWAKE
	self.skills.drill_expert = {
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"player_respawn_time_multiplier",
                "player_pick_lock_arrested_speed_multiplier",
                "player_pick_lock_easy_speed_multiplier",
				"player_drill_fix_interaction_speed_multiplier",
				"player_trip_mine_deploy_time_multiplier_2" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_pick_lock_hard"
			},
			cost = self.costs.pro
		},
		name_id = "menu_drill_expert_beta",
		desc_id = "menu_drill_expert_beta_desc",
		icon_xy = {
			10,
			17
		}
	}
-- SHAPED CHARGES
	self.skills.more_fire_power = {
		{
			upgrades = {
				"shape_charge_quantity_increase_1",
				"trip_mine_quantity_increase_1",
				"shape_charge_quantity_increase_2",
				"trip_mine_quantity_increase_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"trip_mine_explosion_size_multiplier_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_more_fire_power",
		desc_id = "menu_more_fire_power_desc",
		icon_xy = {
			9,
			20
		}
	}
-- KICK STARTER
	self.skills.kick_starter = {
		{
			upgrades = {
				"player_drill_autorepair_1",
				"player_drill_autorepair_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_drill_melee_hit_restart_chance_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_kick_starter_beta",
		desc_id = "menu_kick_starter_beta_desc",
		icon_xy = {
			9,
			21
		}
	}
-----------------------------------------------------------
-- AGGRESSOR --
-----------------------------------------------------------
-- Rapid Fire
	self.skills.steady_grip = {
		{
			upgrades = {
				"trip_mine",
				"trip_mine_can_switch_on_off",
				"player_suppression_bonus",
				"player_suppression_mul_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"weapon_fire_rate_multiplier",
				"weapon_passive_damage_multiplier" --tier bonus
				--"weapon_damage_addend"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_steady_grip_beta",
		desc_id = "menu_steady_grip_beta_desc",
		icon_xy = {
			0,
			27
		}
	}
-- Noob Lube
	self.skills.heavy_impact = {
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"player_intimidate_enemies",
				--"weapon_passive_armor_piercing_chance",
				"weapon_passive_damage_multiplier" --tier bonus
				--"weapon_damage_addend"
				},
			cost = self.costs.default
		},
		{
			upgrades = {
				--"weapon_armor_piercing_chance_2",
				"empowered_intimidation_mul"
			},
			cost = self.costs.pro
		},
		name_id = "menu_fast_fire_beta",
		desc_id = "menu_fast_fire_beta_desc",
		icon_xy = {
			2,
			21
		}
	}
-- Shock and Awe
	self.skills.fire_control = {
		{
			upgrades = {
				"sentry_gun",
				"sentry_gun_silent",
				"sentry_gun_quantity_1",
				"player_threat_intimidate",
				"weapon_passive_damage_multiplier" --tier bonus
				--"weapon_damage_addend"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_panic_suppression"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_heavy_impact_beta",
		desc_id = "menu_heavy_impact_beta_desc",
		icon_xy = {
			7,
			13
		}
	}
-- Lock and Load
	self.skills.fast_fire = {
		{
			upgrades = {
				"weapon_full_auto_free_ammo"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				--"weapon_clip_ammo_increase_2"
				"player_automatic_mag_increase_1",
				"shotgun_magazine_capacity_inc_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_fire_control_beta",
		desc_id = "menu_fire_control_beta_desc",
		icon_xy = {
			10,
			15
		}
	}
-- Heavy Impact
	self.skills.shock_and_awe = {
		{
			upgrades = {
				"weapon_knock_down_1",
				"weapon_knock_down_2"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_ap_bullets_1",
				"weapon_silencer_armor_piercing_chance_1", 
				"weapon_silencer_armor_piercing_chance_2",
				"saw_armor_piercing_chance"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_shock_and_awe_beta",
		desc_id = "menu_shock_and_awe_beta_desc",
		icon_xy = {
			1,
			27
		}
	}
-- Body Expertise
	self.skills.body_expertise = {
		{
			upgrades = {
				"weapon_automatic_head_shot_add_1"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"weapon_automatic_head_shot_add_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_body_expertise_beta",
		desc_id = "menu_body_expertise_beta_desc",
		icon_xy = {
			10,
			16
		}
	}
------------------------------------------------------------------------------------------------------------------------------------
-- GHOST
------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------
-- DISGUISED --
-----------------------------------------------------------
-- Insider
	self.skills.jail_workout = {
		{
			upgrades = {
				"bodybags_bag",
				"player_additional_assets",
				"player_buy_spotter_asset",
				"player_buy_bodybags_asset"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_camouflage_bonus_1",
				"player_camouflage_bonus_2",
				"player_suspicion_bonus",
				"player_sec_camera_highlight_mask_off",
				"player_special_enemy_highlight_mask_off",
				"player_mask_off_pickup" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_jail_workout_beta",
		desc_id = "menu_jail_workout_beta_desc",
		icon_xy = {
			3,
			26
		}
	}
-- Sixth Sense
	self.skills.cleaner = {
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_mark_enemy_time_multiplier",
				"player_marked_distance_mul",
				"player_sec_camera_highlight_mask_off",
				"player_special_enemy_highlight_mask_off",
				"player_mask_off_pickup" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_standstill_omniscience",
				"player_not_moving_accuracy_increase_bonus_1"
			},
			cost = self.costs.pro
		},
		name_id = "menu_chameleon_beta",
		desc_id = "menu_chameleon_beta_desc",
		icon_xy = {
			6,
			23
		}
	}
-- Cleaner 
	self.skills.chameleon = {
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_tape_spotter",
				"player_sec_camera_highlight_mask_off",
				"player_special_enemy_highlight_mask_off",
				"player_mask_off_pickup" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_tape_loop_duration_1",
				"player_tape_loop_duration_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_second_chances_beta",
		desc_id = "menu_second_chances_beta_desc",
		icon_xy = {
			7,
			26
		}
	}
-- Camera Loop
	self.skills.ecm_booster = {
		{
			upgrades = {
				"player_corpse_dispose_amount_2",
				"player_extra_corpse_dispose_amount"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"bodybags_bag_quantity"
			},
			cost = self.costs.pro
		},
		name_id = "menu_cleaner_beta",
		desc_id = "menu_cleaner_beta_desc",
		icon_xy = {
			9,
			26
		}
	}
-- System Crash
	self.skills.second_chances = {
		{
			upgrades = {
				"ecm_jammer_can_open_sec_doors"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"ecm_jammer_affects_pagers"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_ecm_booster_beta",
		desc_id = "menu_ecm_booster_beta_desc",
		icon_xy = {
			8,
			27
		}
	}
-- Overdrive
	self.skills.ecm_2x = {
		{
			upgrades = {
				"ecm_jammer_duration_multiplier",
				"ecm_jammer_feedback_duration_boost",
				"ecm_jammer_duration_multiplier_2",
				"ecm_jammer_feedback_duration_boost_2"
				--"ecm_jammer_interaction_speed_multiplier"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"ecm_jammer_quantity_increase_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_ecm_2x_beta",
		desc_id = "menu_ecm_2x_beta_desc",
		icon_xy = {
			4,
			27
		}
	}
-----------------------------------------------------------
-- LIGHTWEIGHT --
-----------------------------------------------------------
-- Jail Workout
	self.skills.sprinter = {
		{
			upgrades = {
				"bodybags_bag",
				"player_fall_damage_multiplier",
				"player_temp_fall_damage_regen"
				--"player_fall_health_damage_multiplier"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_detection_risk_add_movement_speed",
				"player_run_speed_multiplier",
				"player_climb_speed_multiplier_1"
				--"player_walk_speed_multiplier",
				--"player_movement_speed_multiplier"
			},
			cost = self.costs.pro
		},
		name_id = "menu_sprinter_beta",
		desc_id = "menu_sprinter_beta_desc",
		icon_xy = {
			0,
			17			
			
		}
	}
-- Duck and Cover
	self.skills.awareness = {
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_run_dodge_chance",
				"player_on_zipline_dodge_chance",
				"player_vehicle_dodge_chance",
				"player_run_speed_multiplier",
				"player_climb_speed_multiplier_1"
				--"player_walk_speed_multiplier",
				--"player_movement_speed_multiplier"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_dodge_ricochet_bullets"
			},
			cost = self.costs.pro
		},
		name_id = "menu_awareness_beta",
		desc_id = "menu_awareness_beta_desc",
		icon_xy = {
			1,
			25
		}
	}
-- Moving Target
	self.skills.thick_skin = {
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_can_free_run",
				--"player_can_strafe_run",
				"player_run_speed_multiplier",
				"player_climb_speed_multiplier_1"
				--"player_walk_speed_multiplier",
				--"player_movement_speed_multiplier"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_dodge_replenish_stamina"
			},
			cost = self.costs.pro
		},
		name_id = "menu_thick_skin_beta",
		desc_id = "menu_thick_skin_beta_desc",
		icon_xy = {
			2,
			17			
			
		}
	}
-- Unseen Strike
	self.skills.dire_need = {
		{
			upgrades = {
				--"player_unseen_increased_crit_chance_1",
				--"player_unseen_temp_increased_crit_chance_1",
				--"player_unseen_increased_crit_chance_2",
				--"player_unseen_temp_increased_crit_chance_2"
				"player_critical_hit_chance_1"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_detection_risk_add_crit_chance_1",
				"player_detection_risk_add_crit_chance_2"
			},
			cost = self.costs.pro
		},
		name_id = "menu_unseen_strike_beta",
		desc_id = "menu_unseen_strike_beta_desc",
		icon_xy = {
			10,
			24
		}
	}
-- Low Blow
	self.skills.insulation= {
		{
			upgrades = {
				--"player_critical_hit_chance_1",
				"player_backstab_crit"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_passive_extend_critical_hit"
			},
			cost = self.costs.pro
		},
		name_id = "menu_backstab",
		desc_id = "menu_backstab_desc",
		icon_xy = {
			0,
			25
		}
	}
-- Lucky Bastard
	self.skills.jail_diet = {
		{
			upgrades = {
				--"player_dodge_replenish_health"
				"player_dodge_grace"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_detection_risk_add_dodge_chance_1",
				"player_detection_risk_add_dodge_chance_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_jail_diet_beta",
		desc_id = "menu_jail_diet_beta_desc",
		icon_xy = {
			6,
			25
		}
	}
-----------------------------------------------------------
-- ZEALOUS --
-----------------------------------------------------------
-- Undertaker
	self.skills.scavenger = {
		{
			upgrades = {
				"bodybags_bag",
				"player_damage_multiplier_outnumbered"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_electrocution_resistance_multiplier",
				"player_silent_kill" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_stable_shot_beta",
		desc_id = "menu_stable_shot_beta_desc",
		icon_xy = {
			1,
			15
		}
	}
-- Second Wind
	self.skills.optic_illusions = {
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_team_damage_speed_multiplier_send",
				"player_silent_kill" --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_passive_armor_movement_penalty_multiplier"
			},
			cost = self.costs.pro
		},
		name_id = "menu_scavenger_beta",
		desc_id = "menu_scavenger_beta_desc",
		icon_xy = {
			10,
			22
		}
	}
-- Chameleon
	self.skills.silence_expert = {
		{
			upgrades = {
				"ecm_jammer",
				"ecm_jammer_affects_cameras",
				"ecm_jammer_can_activate_feedback",
				"ecm_jammer_can_retrigger",
				"player_melee_concealment_modifier",
				"player_ballistic_vest_concealment_1",
				"player_silencer_concealment_penalty_decrease_1",
				"player_silent_kill" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_silencer_concealment_increase_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_optic_illusions",
		desc_id = "menu_optic_illusions_desc",
		icon_xy = {
			10,
			23
		}
	}	
-- Dire Need
	self.skills.backstab = {
		{
			upgrades = {
				"weapon_special_damage_taken_multiplier"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_armor_depleted_stagger_shot_1"
				--"player_armor_depleted_stagger_shot_2"
			},
			cost = self.costs.pro
		},
		name_id = "menu_dire_need_beta",
		desc_id = "menu_dire_need_beta_desc",
		icon_xy = {
			10,
			21
		}
	}
-- Insulation
	self.skills.hitman = {
		{
			upgrades = {
				"player_taser_malfunction"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_taser_self_shock",
				"player_escape_taser_1"
			},
			cost = self.costs.pro
		},
		name_id = "menu_insulation_beta",
		desc_id = "menu_insulation_beta_desc",
		icon_xy = {
			5,
			27
		}
	}
-- Professional
	self.skills.unseen_strike = {
		{
			upgrades = {
				"weapon_silencer_recoil_index_addend",
				--"weapon_silencer_enter_steelsight_speed_multiplier"
				--"weapon_silencer_spread_index_addend" 
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				--"weapon_silencer_damage_multiplier_1", 
				"weapon_silencer_instant_kill" 
				--"weapon_special_silencer_damage_multiplier" 
			},
			cost = self.costs.pro
		},
		name_id = "menu_silence_expert",
		desc_id = "menu_silence_expert_desc",
		icon_xy = {
			5,
			22
		}
	}
------------------------------------------------------------------------------------------------------------------------------------
-- FUGITIVE
------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------
-- GUNSLINGER --
-----------------------------------------------------------
-- Pull Out
	self.skills.equilibrium = {
		{
			upgrades = {
				"akimbo_recoil_index_addend_1",
				"akimbo_fire_rate_multiplier_1",
				"jowi",
				"x_1911",
				"x_m1911",
				"x_b92fs",
				"x_deagle",
				"x_g22c",
				"x_g17",
				"x_usp",
				"x_packrat",							
				"x_p226",
				"x_ppk",
				"x_rage",
				"x_pl14",
				"x_sparrow",
				"x_legacy",
				"x_c96",
				"x_breech",
				"x_chinchilla",
				"x_shrew",
				"x_hs2000",
				"x_g18c",
				"x_beer",
				"x_czech",
				"x_stech",
				"x_holt",
				"x_model3",
				"x_2006m",
				"x_type54",
				"x_korth",
				"x_maxim9",
				"weapon_exit_run_speed_multiplier"
				--"akimbo_swap_speed_multiplier"
			},
			
			cost = self.costs.default
		},
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				"pistol_swap_speed_multiplier",
				"magazine_reload_speed_multiplier", --tier bonus
				"revolver_reload_speed_multiplier" --tier bonus
				--"akimbo_reload_speed_multiplier", --tier bonus
				--"pistol_reload_speed_multiplier" --tier bonus
			},
			cost = self.costs.pro
		},
		name_id = "menu_equilibrium_beta",
		desc_id = "menu_equilibrium_beta_desc",
		icon_xy = {
			11,
			24
		}
	}
-- Equilbrium
	self.skills.dance_instructor = {
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				--"pistol_spread_index_addend",
				"team_pistol_recoil_index_addend",
				"team_pistol_suppression_recoil_index_addend",
				"magazine_reload_speed_multiplier", --tier bonus
				"revolver_reload_speed_multiplier" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"pistol_stacked_accuracy_bonus"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_trigger_happy_beta",
		desc_id = "menu_trigger_happy_beta_desc",
		icon_xy = {
			7,
			25
		}
	}
-- Dual Wield
	self.skills.akimbo = {
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				"akimbo_fire_rate_multiplier_2",
				--"akimbo_reload_speed_multiplier", --tier bonus
				--"pistol_reload_speed_multiplier" --tier bonus
				"magazine_reload_speed_multiplier"
				
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"akimbo_recoil_index_addend_2",
				"akimbo_recoil_index_addend_3",
				"akimbo_recoil_index_addend_4"
			},	
			cost = self.costs.hightierpro
		},
		name_id = "menu_akimbo_skill_beta",
		desc_id = "menu_akimbo_skill_beta_desc",
		icon_xy = {
			3,
			24
		}
	}
-- Trigger Happy
	self.skills.gun_fighter = {
		{
			upgrades = {
				"weapon_single_shot_fire_rate_multiplier"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"pistol_fire_rate_multiplier"	
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_gun_fighter_beta",
		desc_id = "menu_gun_fighter_beta_desc",
		icon_xy = {
			8,
			26
		}
	}
-- Gun Fever
	self.skills.expert_handling = {
		{
			upgrades = { 
				"pistol_extra_ammo_multiplier",
				"akimbo_extra_ammo_multiplier_1"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"pistol_magazine_capacity_inc_1"
				--"pistol_last_bullet_refill_chance"
			},
			cost = self.costs.pro
		},
		name_id = "menu_dance_instructor",
		desc_id = "menu_dance_instructor_desc",
		icon_xy = {
			11,
			13
		}
	}
-- Hand Talent
	self.skills.trigger_happy = {
		{
			upgrades = {
				"pistol_reload_speed_multiplier",
				"akimbo_reload_speed_multiplier"
				--"akimbo_damage_addend_1",	
				--"akimbo_damage_addend_2"	
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				--"pistol_damage_multiplier"
				--"pistol_damage_addend_1",
				"pistol_damage_addend_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_expert_handling",
		desc_id = "menu_expert_handling_desc",
		icon_xy = {
			11,
			15
		}
	}
-----------------------------------------------------------
-- REVENANT --
-----------------------------------------------------------
-- Nine Lives
	self.skills.nine_lives = {
		{
			upgrades = {
				"akimbo_recoil_index_addend_1",
				"akimbo_fire_rate_multiplier_1",
				"jowi",
				"x_1911",
				"x_m1911",
				"x_b92fs",
				"x_deagle",
				"x_g22c",
				"x_g17",
				"x_usp",
				"x_packrat",							
				"x_p226",
				"x_ppk",
				"x_rage",
				"x_pl14",
				"x_sparrow",
				"x_legacy",
				"x_c96",
				"x_breech",
				"x_chinchilla",
				"x_shrew",
				"x_hs2000",
				"x_g18c",
				"x_beer",
				"x_czech",
				"x_stech",
				"x_holt",
				"x_model3",
				"x_2006m",
				"x_type54",
				"x_korth",
				"x_maxim9",
				"player_primary_weapon_when_downed",
				"player_steelsight_when_downed"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				"player_damage_absorption_low_revives",
				--"player_damage_absorption_addend",
				"player_additional_lives_1"  --tier bonus
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_nine_lives_beta",
		desc_id = "menu_nine_lives_beta_desc",
		icon_xy = {
			5,
			15
		}
	}
-- What Doesn't Kill
	self.skills.running_from_death = {
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				--"player_temp_swap_weapon_faster_1",
				"player_temp_increased_movement_speed_1",
				--"player_temp_reload_weapon_faster_1",
				--"player_temp_steelsight_weapon_faster_1",
				"player_revive_reload",
				"player_additional_lives_1" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_revived_damage_resist_1",
				"player_temp_health_regen"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_running_from_death_beta",
		desc_id = "menu_running_from_death_beta_desc",
		icon_xy = {
			11,
			17
		}
	}
-- More Blood to Bleed
	self.skills.up_you_go = {
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				--"player_health_addend",
				"player_health_multiplier",
				"player_additional_lives_1" --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_bleed_out_health_multiplier"
				--"player_temp_health_regen"
		},
			cost = self.costs.hightierpro
		},
		name_id = "menu_up_you_go_beta",
		desc_id = "menu_up_you_go_beta_desc",
		icon_xy = {
			1,
			14
		}
	}
-- Swan Song
	self.skills.perseverance = {
		{
			upgrades = {
				"player_survive_one_hit"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"temporary_berserker_damage_multiplier_1",
				"player_berserker_no_ammo_cost"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_perseverance_beta",
		desc_id = "menu_perseverance_beta_desc",
		icon_xy = {
			5,
			25
		}
	}
-- Feign Death
	self.skills.feign_death = {
		{
			upgrades = {
				"player_cheat_death_once"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_cheat_death_chance"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_feign_death",
		desc_id = "menu_feign_death_desc",
		icon_xy = {
			11,
			18
		}
	}
-- Messiah
	self.skills.messiah = {
		{
			upgrades = {
				"player_messiah_revive_from_bleed_out_1"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_infinite_messiah"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_pistol_beta_messiah",
		desc_id = "menu_pistol_beta_messiah_desc",
		icon_xy = {
			2,
			22
		}
	}
-----------------------------------------------------------
-- BERSERKER --
-----------------------------------------------------------
-- Underdog
	self.skills.martial_arts = {
		{
			upgrades = {
				"akimbo_recoil_index_addend_1",
				"akimbo_fire_rate_multiplier_1",
				"jowi",
				"x_1911",
				"x_m1911",
				"x_b92fs",
				"x_deagle",
				"x_g22c",
				"x_g17",
				"x_usp",
				"x_packrat",							
				"x_p226",
				"x_ppk",
				"x_rage",
				"x_pl14",
				"x_sparrow",
				"x_legacy",
				"x_c96",
				"x_breech",
				"x_chinchilla",
				"x_shrew",
				"x_hs2000",
				"x_g18c",
				"x_beer",
				"x_czech",
				"x_stech",
				"x_holt",
				"x_model3",
				"x_2006m",
				"x_type54",
				"x_korth",
				"x_maxim9",
				"player_damage_dampener_outnumbered"
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				"player_resist_firing_tased",
				"player_suppressed_multiplier",  --tier bonus
				"player_damage_shake_multiplier"  --tier bonus
				
			},
			cost = self.costs.pro
		},
		name_id = "menu_martial_arts_beta",
		desc_id = "menu_martial_arts_beta_desc",
		icon_xy = {
			2,
			14
		}
	}
-- Bloodthirst
	self.skills.bloodthirst = {
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				"player_melee_swing_multiplier_delay",
				"player_suppressed_multiplier",  --tier bonus
				"player_damage_shake_multiplier"  --tier bonus
			},
			cost = self.costs.default
		},
		{
			upgrades = {
				"player_melee_damage_dampener",
				"player_melee_knockdown_mul"
			},
			cost = self.costs.pro
		},
		name_id = "menu_steroids_beta",
		desc_id = "menu_steroids_beta_desc",
		icon_xy = {
			11,
			20
		}
	}
-- Pumping Iron
	self.skills.steroids = {
		{
			upgrades = {
				"x_sr2",
				"x_mp5",
				"x_akmsu",
				"x_sko12",
				"x_judge",
				"x_hajk",
				"x_mac10",
				"x_cobray",
				"x_m1928",
				"x_scorpion",
				"x_baka",
				"x_mp9",
				"x_vityaz",
				"x_schakal",
				"x_shepheard",
				"x_erma",
				"x_tec9",
				"x_p90",
				"x_polymer",
				"x_coal",
				"x_sterling",
				"x_uzi",
				"x_pm9",
				"x_rota",
				"x_basset",
				"x_olympic",
				"x_mp7",
				"x_m45",
				"player_melee_damage_stacking_1",
				--"melee_stacking_hit_expire_t",
				--"melee_stacking_hit_damage_multiplier_1",
				"temporary_melee_kill_stacking_hit_damage_multiplier",
				--"player_temp_melee_kill_increase_reload_speed_1",
				"player_suppressed_multiplier",  --tier bonus
				"player_damage_shake_multiplier"  --tier bonus
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_non_special_melee_multiplier",
				"player_melee_damage_multiplier"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_bloodthirst",
		desc_id = "menu_bloodthirst_desc",
		icon_xy = {
			11,
			19
		}
	}
-- Kick in the teeth
	self.skills.drop_soap = {
		{
			upgrades = {
				"player_shield_knock"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_counter_strike_melee",
				"player_counter_strike_spooc"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_drop_soap_beta",
		desc_id = "menu_drop_soap_beta_desc",
		icon_xy = {
			4,
			25
		}

	}
-- Brothers Keeper
	self.skills.wolverine = {
		{
			upgrades = {
				"player_damage_dampener"
				--"player_health_damage_reduction_1",
				--"player_health_damage_reduction_2"
				--"player_health_multiplier"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"player_gangster_damage_dampener"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_frenzy",
		desc_id = "menu_frenzy_desc",
		icon_xy = {
			4,
			24
		}
	}
-- Frenzy
	self.skills.frenzy = {
		{
			upgrades = {
				"player_melee_damage_health_ratio_multiplier",
				"player_damage_health_ratio_multiplier"
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				--"player_health_damage_reduction_2",
				"player_max_health_reduction_1"
				--"player_healing_reduction_1",
				--"player_healing_reduction_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_wolverine_beta",
		desc_id = "menu_wolverine_beta_desc",
		icon_xy = {
			11,
			21
		}
	}
-- $$$$$$$\  $$$$$$$$\ $$$$$$$\  $$\   $$\       $$$$$$$\  $$$$$$$$\  $$$$$$\  $$\   $$\ 
-- $$  __$$\ $$  _____|$$  __$$\ $$ | $$  |      $$  __$$\ $$  _____|$$  __$$\ $$ | $$  |
-- $$ |  $$ |$$ |      $$ |  $$ |$$ |$$  /       $$ |  $$ |$$ |      $$ /  \__|$$ |$$  / 
-- $$$$$$$  |$$$$$\    $$$$$$$  |$$$$$  /        $$ |  $$ |$$$$$\    $$ |      $$$$$  /  
-- $$  ____/ $$  __|   $$  __$$< $$  $$<         $$ |  $$ |$$  __|   $$ |      $$  $$<   
-- $$ |      $$ |      $$ |  $$ |$$ |\$$\        $$ |  $$ |$$ |      $$ |  $$\ $$ |\$$\  
-- $$ |      $$$$$$$$\ $$ |  $$ |$$ | \$$\       $$$$$$$  |$$$$$$$$\ \$$$$$$  |$$ | \$$\ 
-- \__|      \________|\__|  \__|\__|  \__|      \_______/ \________| \______/ \__|  \__| PERK DECK
----------------------------------------------------------------------------------------------------------------------
-- SHARED DECK BONUS
----------------------------------------------------------------------------------------------------------------------
	for a = 1, 21, 1 do
		self.specializations[a][2].upgrades = {
			"weapon_passive_armor_piercing_chance"
			--"weapon_passive_headshot_damage_multiplier"
		}
		self.specializations[a][4].upgrades = {
			"player_passive_suspicion_bonus"
		}
		self.specializations[a][6].upgrades = {
			"player_pick_up_ammo_multiplier"
		}
		self.specializations[a][8].upgrades = {
			"saw",
			"saw_secondary",
			"plainsrider",
			"hunter",
			"frankish",
			"ecp",
			"slap",
			"long",
			"shuno",
			"elastic",
			"m134",
			"rpg7",
			"arblast",
			"china",
			"ray",
			"m32",
			"flamethrower_mk2",
			"gre_m79",
			"system",
			"arbiter",
			"hailstorm",
			"ms3gl",
			"tkb",
			"contender"
		}
	end
-----------------------------------------------------------
-- OPPRESSOR
-----------------------------------------------------------
	self.specializations[1].category = {
		"supportive",
		"stealth"
	}
	self.specializations[1][1].icon_xy = {6,4}
	self.specializations[1][5].icon_xy = {0,0}
	self.specializations[1][1].upgrades = {
		"team_damage_reduction_1"
		--"player_passive_damage_reduction_1"
	}
	self.specializations[1][3].upgrades = {
		--"player_dmg_dampener_hostage_taker"
		--"player_damage_dampener_close_contact_1"
		"player_hostage_interval_multiplier"
	}
	self.specializations[1][5].upgrades = {
		"temporary_revive_cheat_death"
	}
	self.specializations[1][7].upgrades = {
		"team_passive_health_multiplier",
		"team_passive_armor_multiplier"	
	}
	self.specializations[1][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"team_hostage_health_multiplier",
		"team_hostage_damage_dampener_multiplier",
		"team_hostage_stamina_multiplier"
	}
-----------------------------------------------------------
-- MUSCLE
-----------------------------------------------------------
	self.specializations[2].category = "offensive"
	self.specializations[2][1].icon_xy = {1,6}
	self.specializations[2][3].icon_xy = {4,2}
	self.specializations[2][5].icon_xy = {4,1}
	self.specializations[2][9].icon_xy = {1,1}
	self.specializations[2][1].upgrades = {
		"player_passive_health_regen"
	}
	self.specializations[2][3].upgrades = {
		"player_uncover_multiplier"
	}
	self.specializations[2][5].upgrades = {
		"player_passive_health_multiplier_1",
		"player_passive_health_multiplier_2",
		"player_passive_health_multiplier_3",
		"player_passive_health_multiplier_4",
		"player_passive_health_multiplier_5"
	}
	self.specializations[2][7].upgrades = {
		"player_panic_when_kill"
	}
	self.specializations[2][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_kill_change_regenerate_speed"
	}
-----------------------------------------------------------
-- Armorer
-----------------------------------------------------------
	self.specializations[3].category = "defensive"
	self.specializations[3][3].icon_xy = {6,1}
	self.specializations[3][7].icon_xy = {0,3}
	self.specializations[3][1].upgrades = {
		"player_armor_regen_timer_multiplier_passive",
		"player_fall_health_damage_multiplier"
	}
	self.specializations[3][3].upgrades = {
		"player_armor_absorption"
	}
	self.specializations[3][5].upgrades = {
		"temporary_armor_break_invulnerable"
	}
	self.specializations[3][7].upgrades = {
		--"player_tier_armor_multiplier_1",
		--"player_tier_armor_multiplier_2",
		--"player_tier_armor_multiplier_3"
		"player_armor_increase_1"
	}
	self.specializations[3][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_immune_to_suppression"
	}
-----------------------------------------------------------
-- Rogue
-----------------------------------------------------------
    self.specializations[4].category = { 
		"covert",
		"stealth"
	}
	self.specializations[4][1].upgrades = {
		"player_passive_dodge_chance_1",
		"player_passive_dodge_chance_2",
		"player_passive_dodge_chance_3",
		"player_tier_dodge_chance_1",
		"player_tier_dodge_chance_2",
		"player_tier_dodge_chance_3"
    }
    self.specializations[4][3].upgrades = {
		"player_camouflage_multiplier"
    }
    self.specializations[4][5].upgrades = {
		--"player_temp_dodge"
		"player_dmg_interval_perk"
    }
    self.specializations[4][7].upgrades = {
		"player_movement_speed_multiplier"
		--"player_hostage_dodge_chance"
		--"temporary_dodge_movement_speed"
    }
    self.specializations[4][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		--"player_armor_piercing_chance_1",
		--"player_armor_piercing_chance_2",
		--"temporary_gun_kata_onplayerdodge"
		"player_dodge_low_revives"
    }
-----------------------------------------------------------
-- Hitman
-----------------------------------------------------------
	self.specializations[5].category = "covert"
	self.specializations[5][1].icon_xy = {1,2}
	self.specializations[5][3].icon_xy = {6,1}
	self.specializations[5][7].icon_xy = {3,2}
	self.specializations[5][1].upgrades = {
		"player_damage_dodge_outnumbered"
		--"player_passive_dodge_chance_1",
		--"player_passive_dodge_chance_2",
		--"player_level_2_dodge_addend_1",
		--"player_level_2_dodge_addend_2",
		--"player_level_2_dodge_addend_3",
		--"player_level_3_dodge_addend_1",
		--"player_level_3_dodge_addend_2",
		--"player_level_3_dodge_addend_3",
		--"player_level_4_dodge_addend_1",
		--"player_level_4_dodge_addend_2",
		--"player_level_4_dodge_addend_3"
	}
	self.specializations[5][3].upgrades = {
		--"melee_stacking_hit_damage_multiplier_1"
		"player_damage_absorption_outnumbered"
	}
	self.specializations[5][5].upgrades = {
		"player_passive_always_regen_armor_1"
	}
	self.specializations[5][7].upgrades = {
		"player_dodge_shot_gain"
	}
	self.specializations[5][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		--"player_armor_piercing_chance_1",
		--"player_armor_piercing_chance_2",
		--"temporary_gun_kata_onenemykilled"
		"player_level_2_less_dodge_penalty"
		--"player_level_3_less_dodge_penalty",
		--"player_level_4_less_dodge_penalty"
	}
-----------------------------------------------------------
-- Crook
-----------------------------------------------------------
	self.specializations[6].category = "defensive"
	self.specializations[6][3].icon_xy = {6,1}
	self.specializations[6][5].icon_xy = {4,3}
	self.specializations[6][7].icon_xy = {5,3}
	self.specializations[6][9].icon_xy = {6,3}
	self.specializations[6][1].upgrades = {
		--"player_passive_dodge_chance_1",
		--"player_passive_dodge_chance_2",
		--"player_tier_dodge_chance_1",
		--"player_tier_dodge_chance_2",
		"player_level_2_dodge_addend_1",
		"player_level_2_dodge_addend_2",
		"player_level_2_dodge_addend_3",
		"player_level_2_dodge_addend_4",
		"player_level_3_dodge_addend_1",
		"player_level_3_dodge_addend_2",
		"player_level_3_dodge_addend_3",
		"player_level_3_dodge_addend_4",
		"player_level_4_dodge_addend_1",
		"player_level_4_dodge_addend_2",
		"player_level_4_dodge_addend_3",
		"player_level_4_dodge_addend_4"
	}
	self.specializations[6][3].upgrades = {
		"player_perk_armor_regen_timer_multiplier_4"
	}
	self.specializations[6][5].upgrades = {
		"player_dodge_replenish_armor"
	}
	self.specializations[6][7].upgrades = {
		"player_level_2_armor_multiplier_1",
		"player_level_2_armor_multiplier_2",
		"player_level_2_armor_multiplier_3",
		"player_level_3_armor_multiplier_1",
		"player_level_3_armor_multiplier_2",
		"player_level_3_armor_multiplier_3",
		"player_level_4_armor_multiplier_1",
		"player_level_4_armor_multiplier_2",
		"player_level_4_armor_multiplier_3"
	}
	self.specializations[6][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		--"player_immune_to_suppression"
		--"temporary_gun_kata_onplayerdodge"
		"player_level_2_less_dodge_penalty",
		"player_level_3_less_dodge_penalty",
		"player_level_4_less_dodge_penalty"
	}
-----------------------------------------------------------
-- Burglar
-----------------------------------------------------------
	self.specializations[7].category =  {
		"covert",
		"stealth"
	}
	self.specializations[7][3].icon_xy = {1,4}
	self.specializations[7][5].icon_xy = {2,4}
	self.specializations[7][7].icon_xy = {0,4}
	self.specializations[7][9].icon_xy = {7,3}
	self.specializations[7][1].upgrades = {
		--"player_passive_dodge_chance_1",
		--"player_passive_dodge_chance_2",
		--"player_tier_dodge_chance_1",
		--"player_tier_dodge_chance_2",
		"player_crouch_dodge_chance_1",
		"player_crouch_dodge_chance_2"
	}
	self.specializations[7][3].upgrades = {
		"player_stand_still_crouch_camouflage_bonus_1",
		"player_stand_still_crouch_camouflage_bonus_2",
		"player_stand_still_crouch_camouflage_bonus_3"
	}
	self.specializations[7][5].upgrades = {
		"player_armor_regen_timer_stand_still_multiplier_1",
		"player_armor_regen_timer_stand_still_multiplier_2"
	}
	self.specializations[7][7].upgrades = {
		"player_alarm_pager_interrupt"
	}
	self.specializations[7][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_corpse_dispose_speed_multiplier",
		"player_pick_lock_speed_multiplier",
		"player_crouch_speed_multiplier_2",
		"player_alarm_pager_speed_multiplier"
	}
-----------------------------------------------------------
-- Infiltrator
-----------------------------------------------------------
	self.specializations[8].category = "defensive"
	self.specializations[8][1].desc_id = "menu_deck8_1_desc"
	self.specializations[8][1].name_id = "menu_deck8_1"
	self.specializations[8][3].desc_id = "menu_deck8_3_desc"
	self.specializations[8][3].name_id = "menu_deck8_3"
	self.specializations[8][5].desc_id = "menu_deck8_5_desc"
	self.specializations[8][5].name_id = "menu_deck8_5"	
	self.specializations[8][7].desc_id = "menu_deck8_7_desc"
	self.specializations[8][7].name_id = "menu_deck8_7"
	self.specializations[8][9].desc_id = "menu_deck8_9_desc"
	self.specializations[8][9].name_id = "menu_deck8_9"
	self.specializations[8][1].upgrades = {
		"player_damage_dampener_outnumbered_strong"
		--"player_damage_dampener_close_contact_1"
		--"player_damage_dampener_close_contact_2",
		--"player_damage_dampener_close_contact_3"
	}
	self.specializations[8][3].upgrades = {
		"player_melee_instant_kill"
	}
	self.specializations[8][5].upgrades = {
		--"player_killshot_regen_armor_bonus"
		--"player_killshot_close_regen_armor_bonus"
		"temporary_passive_armor_regen"
	}
	self.specializations[8][7].upgrades = {
		"player_tier_armor_multiplier_1",
		"player_tier_armor_multiplier_2"
	}
	self.specializations[8][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"temporary_melee_life_leech"
		--"player_melee_kill_life_leech"
	}	
-----------------------------------------------------------
-- Sociopath
-----------------------------------------------------------
	self.specializations[9].category = "covert"
	self.specializations[9][3].icon_xy = {1,5}
	self.specializations[9][5].icon_xy = {0,5}
	self.specializations[9][9].icon_xy = {3,5}
	self.specializations[9][1].upgrades = {
		--"player_tier_dodge_chance_1",
		--"player_passive_dodge_chance_1",
		--"player_stamina_to_dodge"
		--"player_moving_dodge_chance"
		--"player_damage_dodge_close_contact"
		--"player_distance_dodge_chance"
		"player_killshot_combo_meter",
		"temporary_killshot_combo_regen_dodge"
	}
	self.specializations[9][3].upgrades = {
		"player_melee_instant_kill"
	}
	self.specializations[9][5].upgrades = {
		"player_killshot_combo_regen_armor"
		--"player_killshot_regen_armor_bonus"
		--"player_killshot_close_regen_armor_bonus"
	}
	self.specializations[9][7].upgrades = {
		"player_killshot_close_panic_chance"
	}
	self.specializations[9][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		--"player_melee_life_leech",
		--"player_melee_kill_life_leech"
		"player_killshot_combo_regen_health"
	}
-----------------------------------------------------------
-- Gambler
-----------------------------------------------------------
	self.specializations[10].category = "supportive"
	self.specializations[10][3].icon_xy = {7,5}
	self.specializations[10][5].icon_xy = {0,6}
	self.specializations[10][7].icon_xy = {5,5}
	self.specializations[10][9].icon_xy = {6,5}
	self.specializations[10][1].upgrades = {
		"temporary_loose_ammo_restore_health_1",
		"temporary_loose_ammo_restore_health_2",
		"temporary_loose_ammo_restore_health_3",
		"player_gain_life_per_players"
	}
	self.specializations[10][3].upgrades = {
		"player_passive_health_multiplier_1",
		"player_passive_health_multiplier_2",
		"player_passive_health_multiplier_3",
		"player_passive_health_multiplier_4"
	}
	self.specializations[10][5].upgrades = {
		"player_loose_ammo_damage_absorption"
	}
	self.specializations[10][7].upgrades = {
		"player_loose_ammo_no_restriction",
		"temporary_loose_ammo_give_team",
		"player_loose_ammo_restore_health_give_team"
	}
	self.specializations[10][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_loose_ammo_give_armor"
	}
-----------------------------------------------------------
-- Grinder
-----------------------------------------------------------
	self.specializations[11].category = "offensive"
	self.specializations[11][1].upgrades = {
		"player_damage_to_hot_1",
		"player_damage_to_hot_2"
		--"player_damage_to_hot_3"
		--"player_damage_to_hot_4"
	}
	self.specializations[11][5].upgrades = {
		"player_damage_to_hot_extra_ticks"
	}
	self.specializations[11][3].upgrades = {
		"player_damage_to_hot_3",
		"player_damage_to_hot_4"
	}
	self.specializations[11][7].upgrades = {
		"player_tier_armor_multiplier_1"
	}
	self.specializations[11][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		--"player_armor_piercing_chance_1",
		--"player_armor_piercing_chance_2",
		"player_level_2_less_dodge_penalty"
	}
-----------------------------------------------------------
-- Yakuza
-----------------------------------------------------------
	self.specializations[12].category = {
		"defensive",
		"stealth"
	}
	self.specializations[12][1].icon_xy = {7,6}
	self.specializations[12][3].icon_xy = {6,6}
	self.specializations[12][1].upgrades = {
		"player_armor_regen_damage_health_ratio_threshold_multiplier", --this one makes 100%
		"player_movement_speed_damage_health_ratio_threshold_multiplier",
		"player_movement_speed_damage_health_ratio_multiplier"		
	}
	self.specializations[12][3].upgrades = {
		"player_dmg_interval_health_ratio_multiplier"
	}
	self.specializations[12][5].upgrades = {
		"player_armor_regen_damage_health_ratio_multiplier_1",
		"player_armor_regen_damage_health_ratio_multiplier_2"
		--"player_armor_regen_damage_health_ratio_multiplier_3"
	}
	self.specializations[12][7].upgrades = {
		"player_suppressed_health_ratio_multiplier"
	}
	self.specializations[12][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_resistance_damage_health_ratio_multiplier"
	}
-----------------------------------------------------------
-- Daredevil
-----------------------------------------------------------
    self.specializations[13].category = "offensive"
	self.specializations[13][1].upgrades = {
		"player_passive_dodge_chance_1",
		--"player_passive_dodge_chance_2",
		"player_passive_dodge_chance_2",
		"player_tier_dodge_chance_1",
		"player_tier_dodge_chance_2"
    }
    self.specializations[13][3].upgrades = {
		"player_passive_health_multiplier_1",
		"player_passive_health_multiplier_2"
    }	
	self.specializations[13][5].upgrades = {
		"player_armor_health_store_amount_1",
		"player_armor_health_store_amount_2",
		"player_armor_health_store_amount_3",
		"player_armor_max_health_store_multiplier"
	}
	self.specializations[13][7].upgrades = {
		"player_level_2_armor_multiplier_1",
		"player_level_2_armor_multiplier_2",
		"player_level_3_armor_multiplier_1",
		"player_level_3_armor_multiplier_2",
		"player_level_4_armor_multiplier_1",
		"player_level_4_armor_multiplier_2"
	}
	self.specializations[13][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_kill_change_regenerate_speed"
	}
-----------------------------------------------------------
-- Maniac
-----------------------------------------------------------
    self.specializations[14].category = "supportive"
	self.specializations[14][1].upgrades = {
		"player_cocaine_stacking_1",
		"player_cocaine_stacks_decay_multiplier_1",
		"player_sync_cocaine_upgrade_level_1"
    }
    self.specializations[14][3].upgrades = {
		"player_sync_cocaine_stacks"
    }
    self.specializations[14][5].upgrades = {
		"player_cocaine_stack_absorption_multiplier_1"
    }
    self.specializations[14][7].upgrades = {
		"player_damage_absorption_addend"
	}
	self.specializations[14][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_cocaine_armor_regen_timer"
		--"player_kill_change_regenerate_speed"
	}
-----------------------------------------------------------
-- Anarchist
-----------------------------------------------------------
    self.specializations[15].category = "offensive"
	self.specializations[15][1].upgrades = {
		"player_armor_grinding_1" 
    }
	self.specializations[15][3].upgrades = {
		"player_uncover_multiplier"
	}
    self.specializations[15][5].upgrades = {
		"player_health_decrease",
		"player_armor_increase_1",
		"player_armor_increase_2"
    }
	self.specializations[15][7].upgrades = {
		"temporary_armor_break_chaos",  
		"player_panic_when_chaos" 
    }
	self.specializations[15][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_damage_to_chaos"
	}
-----------------------------------------------------------
-- Nomad
-----------------------------------------------------------
	self.specializations[16].category = "supportive"
	self.specializations[16][1].upgrades = {
		"player_wild_health_amount_1",
		"player_wild_armor_amount_1"
	}
	self.specializations[16][3].upgrades = {
		"player_less_health_wild_armor_1",
		"player_less_armor_wild_health_1"
	}
	self.specializations[16][5].upgrades = {
		"player_wild_invulnerable"
		--"temporary_wild_dis_revive"
	}
	self.specializations[16][7].upgrades = {
		"team_passive_health_multiplier",
		"team_passive_armor_multiplier"		
	}
	self.specializations[16][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_wild_damage_2"
	}
-----------------------------------------------------------
-- Kingpin
-----------------------------------------------------------
	self.specializations[17].category = "versatile"
	self.specializations[17][3].icon_xy = {2,0}
	self.specializations[17][5].icon_xy = {1,0}
	self.specializations[17][1].upgrades = {
		"temporary_chico_injector_1",
		"chico_injector"
	}
	self.specializations[17][3].upgrades = {
		"player_chico_preferred_target"
	}
	self.specializations[17][5].upgrades = {
		"player_armor_regen_time_mul_1"
	}
	self.specializations[17][7].upgrades = {
		"player_chico_armor_multiplier_1",
		"player_chico_armor_multiplier_2"
	}
	self.specializations[17][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_immune_to_suppression"
		--"player_chico_injector_health_to_speed"
	}
-----------------------------------------------------------
-- Sicario
-----------------------------------------------------------
    self.specializations[18].category = "versatile"
	self.specializations[18][1].icon_xy = {2,0}
    self.specializations[18][3].icon_xy = {0,0}
    self.specializations[18][5].icon_xy = {3,0}
    self.specializations[18][7].icon_xy = {1,0}
	self.specializations[18][1].upgrades = {
		--"player_passive_dodge_chance_1",
		--"player_passive_dodge_chance_2",
		"player_tier_dodge_chance_1",
		"player_tier_dodge_chance_2"
		--"player_level_2_dodge_addend_1",
		--"player_level_3_dodge_addend_1",
		--"player_level_4_dodge_addend_1"
    }
	self.specializations[18][3].upgrades = {
		"smoke_screen_grenade",
		"player_smoke_screen_ally_dodge_bonus",
		"player_sicario_multiplier"
	}
    self.specializations[18][5].upgrades = {
		"player_passive_replenish_armor"
    }
    self.specializations[18][7].upgrades = {
		"player_dodge_shot_gain"
    }
	self.specializations[18][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",	
		"player_level_2_less_dodge_penalty_sicario"
	}
-----------------------------------------------------------
-- Stoic
-----------------------------------------------------------
    self.specializations[19].category = "versatile"
	self.specializations[19][1].upgrades = {
		"damage_control",
		"player_damage_control_passive",
		"player_damage_control_cooldown_drain_1"
    }
	self.specializations[19][3].upgrades = {
		"player_armor_to_health_conversion"
	}
    self.specializations[19][5].upgrades = {
		"player_damage_control_auto_shrug"
    }
    self.specializations[19][7].upgrades = {
		"player_damage_control_cooldown_drain_2"
    }	
	self.specializations[19][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",		
		"player_damage_control_healing"
	}
-----------------------------------------------------------
-- Handler
-----------------------------------------------------------
    self.specializations[20].category = "supportive"
	self.specializations[20][1].upgrades = {
		"tag_team",
		"player_tag_team_base"	
    }
    self.specializations[20][3].upgrades = {
		"player_perk_armor_regen_timer_multiplier_2"
    }
	self.specializations[20][5].upgrades = {
		"player_tag_team_damage_absorption"
	}
	self.specializations[20][7].upgrades = {
		"player_tag_team_end_damage_absorption_user"		
	}
    self.specializations[20][9].upgrades = {
        --"passive_player_xp_multiplier",
        --"player_xp_multiplier",
        "team_xp_multiplier",
		"player_tag_team_cooldown_drain_1"
    }
-----------------------------------------------------------
-- Hacker
-----------------------------------------------------------
    self.specializations[21].category = {
		"versatile",
		"stealth"
	}
	self.specializations[21][1].upgrades = {
		"player_dodge_replenish_health"
    }
	self.specializations[21][5].upgrades = {
		"player_passive_health_multiplier_1",
		"player_passive_health_multiplier_2"
    }
	self.specializations[21][3].upgrades = {
		"pocket_ecm_jammer",
		"player_pocket_ecm_jammer_base"
	}
    self.specializations[21][7].upgrades = {
		"player_equipment_hack_speed_multiplier"
    }
	self.specializations[21][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_pocket_ecm_activate_dodge",
		"player_pocket_ecm_heal_on_kill_1",
		"team_pocket_ecm_heal_on_kill_1"
	}
-----------------------------------------------------------
-- Leech
-----------------------------------------------------------
    self.specializations[22].category = "offensive"
	self.specializations[22][1].upgrades = {
		"temporary_copr_ability_1",
		"copr_ability",
		"player_copr_static_damage_ratio_1",
		"player_copr_static_damage_ratio_2",
		"player_copr_kill_life_leech_1",
		"player_copr_kill_life_leech_2"
		--"player_copr_activate_bonus_health_ratio_1",
		--"player_copr_teammate_heal_1"
    }
	self.specializations[22][5].upgrades = {
		"player_copr_out_of_health_move_slow_1"
    }
	self.specializations[22][3].upgrades = {
		"player_passive_health_multiplier_1"
	}
    self.specializations[22][7].upgrades = {
		"player_copr_teammate_heal_1",
		"player_copr_teammate_heal_2"
    }
	self.specializations[22][9].upgrades = {
		--"passive_player_xp_multiplier",
		--"player_xp_multiplier",
		"team_xp_multiplier",
		"player_activate_ability_downed",
		"temporary_copr_risen"
	}
-----------------------------------------------------------
-- Disciple
	--"mrwi_armor_multiplier_x", "mrwi_health_multiplier_x", "mrwi_dodge_chance_x", "mrwi_crouch_speed_multiplier_x", "mrwi_carry_speed_multiplier_x"
	--"player_secondary_reload_primary_1", "player_headshot_regen_health_bonus_1", "temporary_mrwi_health_invulnerable_1"
-----------------------------------------------------------	
	local deck23_card1 = {{	desc_id = "menu_deck23_card1_pull1_desc",
	short_id = "menu_deck23_card1_pull1_short",
	name_id = "menu_deck23_card1_pull1",
	upgrades = {
		"team_damage_reduction_1"
	}},
	{
	desc_id = "menu_deck23_card1_pull2_desc",
	short_id = "menu_deck23_card1_pull2_short",
	name_id = "menu_deck23_card1_pull2",
	upgrades = {
		"player_level_2_dodge_addend_1",
		"player_level_2_dodge_addend_2",
		"player_level_2_dodge_addend_3",
		"player_level_2_dodge_addend_4",
		"player_level_3_dodge_addend_1",
		"player_level_3_dodge_addend_2",
		"player_level_3_dodge_addend_3",
		"player_level_3_dodge_addend_4",
		"player_level_4_dodge_addend_1",
		"player_level_4_dodge_addend_2",
		"player_level_4_dodge_addend_3",
		"player_level_4_dodge_addend_4"
	}},
	{
	desc_id = "menu_deck23_card1_pull3_desc",
	short_id = "menu_deck23_card1_pull3_short",
	name_id = "menu_deck23_card1_pull3",
	upgrades = {
		"player_armor_regen_damage_health_ratio_threshold_multiplier",
		"player_movement_speed_damage_health_ratio_threshold_multiplier",
		"player_movement_speed_damage_health_ratio_multiplier"
	}},
	{
	desc_id = "menu_deck23_card1_pull4_desc",
	short_id = "menu_deck23_card1_pull4_short",
	name_id = "menu_deck23_card1_pull4",
	upgrades = {
		"player_cocaine_stacking_1",
		"player_cocaine_stacks_decay_multiplier_1",
		"player_sync_cocaine_upgrade_level_1"
	}},
	{
	desc_id = "menu_deck23_card1_pull5_desc",
	short_id = "menu_deck23_card1_pull5_short",
	name_id = "menu_deck23_card1_pull5",
	upgrades = {
		"player_armor_grinding_1" 
	}},
	{
	desc_id = "menu_deck23_card1_pull6_desc",
	short_id = "menu_deck23_card1_pull6_short",
	name_id = "menu_deck23_card1_pull6",
	upgrades = {
		"player_wild_health_amount_1",
		"player_wild_armor_amount_1"
	}},
	{
	desc_id = "menu_deck23_card1_pull7_desc",
	short_id = "menu_deck23_card1_pull7_short",
	name_id = "menu_deck23_card1_pull7",
	upgrades = {
		"player_tier_dodge_chance_1"
	}},
	{
	desc_id = "menu_deck23_card1_pull8_desc",
	short_id = "menu_deck23_card1_pull8_short",
	name_id = "menu_deck23_card1_pull8",
	upgrades = {
		--"player_temp_health_addend"
		"mrwi_health_multiplier_1"
	}}}			
	local deck23_card2 = {{	desc_id = "menu_deck23_card2_pull1_desc",
	short_id = "menu_deck23_card2_pull1_short",
	name_id = "menu_deck23_card2_pull1",
	upgrades = {
		"player_melee_instant_kill"
	}},
	{
	desc_id = "menu_deck23_card2_pull2_desc",
	short_id = "menu_deck23_card2_pull2_short",
	name_id = "menu_deck23_card2_pull2",
	upgrades = {
		"player_perk_armor_regen_timer_multiplier_2"
	}},
	{
	desc_id = "menu_deck23_card2_pull3_desc",
	short_id = "menu_deck23_card2_pull3_short",
	name_id = "menu_deck23_card2_pull3",
	upgrades = {
		"player_armor_absorption"
	}},
	{
	desc_id = "menu_deck23_card2_pull4_desc",
	short_id = "menu_deck23_card2_pull4_short",
	name_id = "menu_deck23_card2_pull4",
	upgrades = {
		"player_camouflage_multiplier"
	}},
	{
	desc_id = "menu_deck23_card2_pull5_desc",
	short_id = "menu_deck23_card2_pull5_short",
	name_id = "menu_deck23_card2_pull5",
	upgrades = {
		"tag_team",
		"player_tag_team_base",
		"damage_control",
		"player_damage_control_passive",
		"player_damage_control_cooldown_drain_1"
	}},
	{
	desc_id = "menu_deck23_card2_pull6_desc",
	short_id = "menu_deck23_card2_pull6_short",
	name_id = "menu_deck23_card2_pull6",
	upgrades = {
		"smoke_screen_grenade",
		"player_smoke_screen_ally_dodge_bonus",
		"player_sicario_multiplier",
		"pocket_ecm_jammer",
		"player_pocket_ecm_jammer_base"
	}},
	{
	desc_id = "menu_deck23_card2_pull7_desc",
	short_id = "menu_deck23_card2_pull7_short",
	name_id = "menu_deck23_card2_pull7",
	upgrades = {
		"player_stamina_multiplier"
	}}}
	local deck23_card3 = {{
			desc_id = "menu_deck23_card3_pull1_desc",
			short_id = "menu_deck23_card3_pull1_short",
			name_id = "menu_deck23_card3_pull1",
			upgrades = {
				"player_passive_health_multiplier_1"
			}},
			{
			desc_id = "menu_deck23_card3_pull2_desc",
			short_id = "menu_deck23_card3_pull2_short",
			name_id = "menu_deck23_card3_pull2",
			upgrades = {
				"player_killshot_combo_meter",
				"player_killshot_combo_regen_armor"
			}},
			{
			desc_id = "menu_deck23_card3_pull3_desc",
			short_id = "menu_deck23_card3_pull3_short",
			name_id = "menu_deck23_card3_pull3",
			upgrades = {
				"player_armor_health_store_amount_1",
				"player_armor_health_store_amount_2",
				"player_armor_health_store_amount_3",
				"player_armor_max_health_store_multiplier"
			}},
			{
			desc_id = "menu_deck23_card3_pull4_desc",
			short_id = "menu_deck23_card3_pull4_short",
			name_id = "menu_deck23_card3_pull4",
			upgrades = {
				"player_loose_ammo_damage_absorption"
			}},
			{
			desc_id = "menu_deck23_card3_pull5_desc",
			short_id = "menu_deck23_card3_pull5_short",
			name_id = "menu_deck23_card3_pull5",
			upgrades = {
				"temporary_chico_injector_1",
				"chico_injector",
				"temporary_copr_ability_1",
				"copr_ability",
				"player_copr_static_damage_ratio_1",
				"player_copr_static_damage_ratio_2",
				"player_copr_kill_life_leech_1",
				"player_copr_kill_life_leech_2"
			}},
			{
			desc_id = "menu_deck23_card3_pull6_desc",
			short_id = "menu_deck23_card3_pull6_short",
			name_id = "menu_deck23_card3_pull6",
			upgrades = {
				"player_headshot_regen_health_bonus_1"
			}}}			
	local deck23_card4 = {{
			desc_id = "menu_deck23_card4_pull1_desc",
			short_id = "menu_deck23_card4_pull1_short",
			name_id = "menu_deck23_card4_pull1",
			upgrades = {
				"player_panic_when_kill"
			}},
			{
			desc_id = "menu_deck23_card4_pull2_desc",
			short_id = "menu_deck23_card4_pull2_short",
			name_id = "menu_deck23_card4_pull2",
			upgrades = {
				"player_chico_armor_multiplier_1",
				"player_chico_armor_multiplier_2"
			}},
			{
			desc_id = "menu_deck23_card4_pull3_desc",
			short_id = "menu_deck23_card4_pull3_short",
			name_id = "menu_deck23_card4_pull3",
			upgrades = {
				"player_level_2_armor_multiplier_1",
				"player_level_2_armor_multiplier_2",
				"player_level_3_armor_multiplier_1",
				"player_level_3_armor_multiplier_2",
				"player_level_4_armor_multiplier_1",
				"player_level_4_armor_multiplier_2"
			}},
			{
			desc_id = "menu_deck23_card4_pull4_desc",
			short_id = "menu_deck23_card4_pull4_short",
			name_id = "menu_deck23_card4_pull4",
			upgrades = {
				"player_dodge_shot_gain"
			}},
			{
			desc_id = "menu_deck23_card4_pull5_desc",
			short_id = "menu_deck23_card4_pull5_short",
			name_id = "menu_deck23_card4_pull5",
			upgrades = {
				"player_equipment_hack_speed_multiplier"
			}},
			{
			desc_id = "menu_deck23_card4_pull6_desc",
			short_id = "menu_deck23_card4_pull6_short",
			name_id = "menu_deck23_card4_pull6",
			upgrades = {
				"player_copr_teammate_heal_1",
				"player_wild_damage_1"
			}},
			{
			desc_id = "menu_deck23_card4_pull7_desc",
			short_id = "menu_deck23_card4_pull7_short",
			name_id = "menu_deck23_card4_pull7",
			upgrades = {
				"player_secondary_reload_primary"
			}}}			
	local deck23_card5 = {{
			desc_id = "menu_deck23_card5_pull1_desc",
			short_id = "menu_deck23_card5_pull1_short",
			name_id = "menu_deck23_card5_pull1",
			upgrades = {
				"player_kill_change_regenerate_speed"
			}},
			{
			desc_id = "menu_deck23_card5_pull2_desc",
			short_id = "menu_deck23_card5_pull2_short",
			name_id = "menu_deck23_card5_pull2",
			upgrades = {
				"player_level_2_less_dodge_penalty_sicario"
			}},
			{
			desc_id = "menu_deck23_card5_pull3_desc",
			short_id = "menu_deck23_card5_pull3_short",
			name_id = "menu_deck23_card5_pull3",
			upgrades = {
				"player_immune_to_suppression"
			}},
			{
			desc_id = "menu_deck23_card5_pull4_desc",
			short_id = "menu_deck23_card5_pull4_short",
			name_id = "menu_deck23_card5_pull4",
			upgrades = {
				"player_corpse_dispose_speed_multiplier",
				"player_pick_lock_speed_multiplier",
				"player_crouch_speed_multiplier_2",
				"player_alarm_pager_speed_multiplier"
			}},
			{
			desc_id = "menu_deck23_card5_pull5_desc",
			short_id = "menu_deck23_card5_pull5_short",
			name_id = "menu_deck23_card5_pull5",
			upgrades = {
				"player_damage_to_hot_1",
				"player_damage_to_hot_2",
				"player_damage_to_armor_1",
				"player_wildcard_hotandarmor"
			}},
			{
			desc_id = "menu_deck23_card5_pull6_desc",
			short_id = "menu_deck23_card5_pull6_short",
			name_id = "menu_deck23_card5_pull6",
			upgrades = {
				"temporary_mrwi_health_invulnerable_1"
			}},
			{
			desc_id = "menu_deck23_card5_pull7_desc",
			short_id = "menu_deck23_card5_pull7_short",
			name_id = "menu_deck23_card5_pull7",
			upgrades = {
				"player_temp_dodge"
			}},
			{
			desc_id = "menu_deck23_card5_pull8_desc",
			short_id = "menu_deck23_card5_pull8_short",
			name_id = "menu_deck23_card5_pull8",
			upgrades = {
				"player_armor_ricochet_bullets"
			}}}
		
    self.specializations[23].category = {
		"versatile",
		"stealth"
	}
	self.specializations[23][1].multi_choice = deck23_card1
	self.specializations[23][1].upgrades = {}
	self.specializations[23][3].multi_choice = deck23_card2
	self.specializations[23][3].upgrades = {}
	self.specializations[23][5].multi_choice = deck23_card3
	self.specializations[23][5].upgrades = {}
	self.specializations[23][7].multi_choice = deck23_card4
	self.specializations[23][7].upgrades = {}
	self.specializations[23][9].multi_choice = deck23_card5
	self.specializations[23][9].upgrades = {
		"team_xp_multiplier"
	}
-----------------------------------------------------------
-- CATEGORIES INIT
-----------------------------------------------------------	
	self.specialization_category = {
		{
			name_id = "menu_st_category_all",
			category = "all"
		},
		{
			name_id = "menu_st_category_offensive",
			category = "offensive"
		},
		{
			name_id = "menu_st_category_defensive",
			category = "defensive"
		},
		{
			name_id = "menu_st_category_covert",
			category = "covert"
		},
		{
			name_id = "menu_st_category_supportive",
			category = "supportive"
		},
		{
			name_id = "menu_st_category_versatile",
			category = "versatile"
		},
		{
			name_id = "menu_st_category_stealth",
			category = "stealth"
		},
		{
			name_id = "menu_st_category_favorites",
			category = "favorites"
		}
	}
end
if not (BLT.Mods:GetModByName("OriginalPack") or BLT.Mods:GetModByName("Freyah's Skills Overhaul") or BLT.Mods:GetModByName("Hinaomi's Rebalance - Skills & Perk Decks") or BLT.Mods:GetModByName("Gilza. Weapons & Skills rebalance") or BLT.Mods:GetModByName("[] Vehrimon's Skilltree Rework") or BLT.Mods:GetModByName("Payday 2 Hyper Heisting Shin Shootout") or BLT.Mods:GetModByName("Crackdown") or BLT.Mods:GetModByName("RestorationMod") or BLT.Mods:GetModByName("Streamlined Heisting Complements")) and sydchSO.settings.skillOVERHAUL == 1 then
	local card1_multi_choice = {{
			desc_id = "menu_deck23_1_1_desc",
			short_id = "menu_deck23_1_1_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_1_1",
			upgrades = {
				"mrwi_health_multiplier_1"
			},
			icon_xy = {
				0,
				0
			}},
		{
			desc_id = "menu_deck23_1_2_desc",
			short_id = "menu_deck23_1_2_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_1_2",
			upgrades = {
				"mrwi_armor_multiplier_1"
			},
			icon_xy = {
				6,
				0
			}},
		{
			desc_id = "menu_deck23_1_3_desc",
			short_id = "menu_deck23_1_3_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_1_3",
			upgrades = {
				"mrwi_dodge_chance_1"
			},
			icon_xy = {
				1,
				2
			}},
		{
			desc_id = "menu_deck23_1_4_desc",
			texture_bundle_folder = "mrwi",
			icon_atlas = "icons_atlas",
			short_id = "menu_deck23_1_4_short",
			name_id = "menu_deck23_1_4",
			upgrades = {
				"mrwi_crouch_speed_multiplier_1",
				"mrwi_carry_speed_multiplier_1"
			},
			icon_xy = {
				1,
				1
		}}}
	local card3_multi_choice = {{
			desc_id = "menu_deck23_3_1_desc",
			short_id = "menu_deck23_3_1_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_3_1",
			upgrades = {
				"mrwi_health_multiplier_2"
			},
			icon_xy = {
				0,
				0
			}},
		{
			desc_id = "menu_deck23_3_2_desc",
			short_id = "menu_deck23_3_2_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_3_2",
			upgrades = {
				"mrwi_armor_multiplier_2"
			},
			icon_xy = {
				6,
				0
			}},
		{
			desc_id = "menu_deck23_3_3_desc",
			short_id = "menu_deck23_3_3_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_3_3",
			upgrades = {
				"mrwi_dodge_chance_2"
			},
			icon_xy = {
				1,
				2
			}},
		{
			desc_id = "menu_deck23_3_4_desc",
			texture_bundle_folder = "mrwi",
			icon_atlas = "icons_atlas",
			short_id = "menu_deck23_3_4_short",
			name_id = "menu_deck23_3_4",
			upgrades = {
				"mrwi_crouch_speed_multiplier_2",
				"mrwi_carry_speed_multiplier_2"
			},
			icon_xy = {
				1,
				1
		}}}
	local card5_multi_choice = {{
			desc_id = "menu_deck23_5_1_desc",
			short_id = "menu_deck23_5_1_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_5_1",
			upgrades = {
				"mrwi_health_multiplier_3"
			},
			icon_xy = {
				0,
				0
			}},
		{
			desc_id = "menu_deck23_5_2_desc",
			short_id = "menu_deck23_5_2_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_5_2",
			upgrades = {
				"mrwi_armor_multiplier_3"
			},
			icon_xy = {
				6,
				0
			}},
		{
			desc_id = "menu_deck23_5_3_desc",
			short_id = "menu_deck23_5_3_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_5_3",
			upgrades = {
				"mrwi_dodge_chance_3"
			},
			icon_xy = {
				1,
				2
			}},
		{
			desc_id = "menu_deck23_5_4_desc",
			texture_bundle_folder = "mrwi",
			icon_atlas = "icons_atlas",
			short_id = "menu_deck23_5_4_short",
			name_id = "menu_deck23_5_4",
			upgrades = {
				"mrwi_crouch_speed_multiplier_3",
				"mrwi_carry_speed_multiplier_3"
			},
			icon_xy = {
				1,
				1
		}}}
	local card7_multi_choice = {{
			desc_id = "menu_deck23_7_1_desc",
			short_id = "menu_deck23_7_1_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_7_1",
			upgrades = {
				"mrwi_health_multiplier_4"
			},
			icon_xy = {
				0,
				0
			}},
		{
			desc_id = "menu_deck23_7_2_desc",
			short_id = "menu_deck23_7_2_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_7_2",
			upgrades = {
				"mrwi_armor_multiplier_4"
			},
			icon_xy = {
				6,
				0
			}},
		{
			desc_id = "menu_deck23_7_3_desc",
			short_id = "menu_deck23_7_3_short",
			icon_atlas = "icons_atlas",
			name_id = "menu_deck23_7_3",
			upgrades = {
				"mrwi_dodge_chance_4"
			},
			icon_xy = {
				1,
				2
			}},
		{
			desc_id = "menu_deck23_7_4_desc",
			texture_bundle_folder = "mrwi",
			icon_atlas = "icons_atlas",
			short_id = "menu_deck23_7_4_short",
			name_id = "menu_deck23_7_4",
			upgrades = {
				"mrwi_crouch_speed_multiplier_4",
				"mrwi_carry_speed_multiplier_4"
			},
			icon_xy = {
				1,
				1
		}}}
	self.specializations[23][1].multi_choice = card1_multi_choice
	self.specializations[23][3].multi_choice = card3_multi_choice
	self.specializations[23][5].multi_choice = card5_multi_choice
	self.specializations[23][7].multi_choice = card7_multi_choice
end
Hooks:Call("sso_skilltweak_init_complete", self)
end