dofile(ModPath .. "lua/core/sydchSO.lua")

local data = WeaponTweakData.init
function WeaponTweakData:init(tweak_data)
data(self, tweak_data)
	for i, weap in pairs(self) do
		if weap.ignore_damage_upgrades then
			weap.ignore_damage_upgrades = nil
		end
	end
	for _, weapon in pairs(self) do
        if weapon.desc_id and sydchSO.settings.variousTEXT == true then
            weapon.has_description = true
        end
    end
	self.x_legacy.global_value = nil
	self.m95.global_value = nil
	self.m134.global_value = nil
	self.shuno.global_value = nil
	self.rpg7.global_value = nil
	self.ray.global_value = nil
	self.flamethrower_mk2.global_value = nil
	self.system.global_value = nil
	self.ecp.global_value = nil
	self.elastic.global_value = nil
	self.hunter.global_value = nil
	self.plainsrider.global_value = nil
	self.long.global_value = nil
	self.frankish.global_value = nil
	self.arblast.global_value = nil
	self.china.global_value = nil
	self.m32.global_value = nil
	self.gre_m79.global_value = nil
	self.x_stech.global_value = nil
	self.x_holt.global_value = nil
	self.x_czech.global_value = nil
	self.x_beer.global_value = nil
	self.x_packrat.global_value = nil
	self.x_model3.global_value = nil
	self.x_m1911.global_value = nil
	self.x_vityaz.global_value = nil
	self.x_pm9.global_value = nil
	self.x_korth.global_value = nil
	self.x_sko12.global_value = nil
	self.x_type54.global_value = nil
	self.x_maxim9.global_value = nil
	self.new_m4.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.glock_17.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.mp9.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.r870.categories = {
		"shotgun",
		"primary",
		"pump_action",
		"shell"
	}
	self.glock_18c.categories = {
		"pistol",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.amcar.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.m16.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.olympic.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.ak74.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.akm.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.akm_gold.categories = {
		"assault_rifle",		
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.akmsu.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.saiga.categories = {
		"shotgun",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.ak5.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.aug.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.g36.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.p90.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.new_m14.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.deagle.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.new_mp5.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.colt_1911.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.mac10.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.serbu.categories = {
		"shotgun",
		"secondary",
		"pump_action",
		"shell"
	}
	self.huntsman.categories = {
		"shotgun",
		"primary",
		"single_fire",
		"shell"
	}
	self.b92fs.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.new_raging_bull.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.saw.categories = {
		"saw",
		"primary",
		"full_auto"
	}
	self.usp.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.g22c.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.judge.categories = {
		"shotgun",
		"secondary",
		"single_fire",
		"cartridge"
	}
	self.s552.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.ppk.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.mp7.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.scar.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.p226.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.hk21.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.m249.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.rpk.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.m95.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.msr.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.r93.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.fal.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.benelli.categories = {
		"shotgun",
		"primary",
		"single_fire",
		"shell"
	}
	self.striker.categories = {
		"shotgun",
		"primary",
		"single_fire",
		"shell"
	}
	self.ksg.categories = {
		"shotgun",
		"primary",
		"pump_action",
		"shell"
	}
	self.gre_m79.categories = {
		"grenade_launcher",
		"primary",
		"one_shot",
		"shell"
	}
	self.g3.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.galil.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.famas.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.scorpion.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.tec9.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.uzi.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.jowi.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_1911.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_b92fs.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_deagle.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.g26.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.spas12.categories = {
		"shotgun",
		"primary",
		"single_fire",
		"shell"
	}
	self.mg42.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.c96.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"cartridge"
	}
	self.sterling.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.mosin.categories = {
		"snp",
		"primary",
		"single_fire",
		"cartridge"
	}
	self.m1928.categories = {
		"smg",
		"secondary",
		"full_auto",
		"magazine"
	}
	self.l85a2.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.vhs.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.hs2000.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.m134.categories = {
		"minigun",
		"primary",
		"full_auto",
		"magazine"
	}
	self.rpg7.categories = {
		"rocket_launcher",
		"grenade_launcher",
		"secondary",
		"one_shot",
		"shell"
	}
	self.cobray.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.b682.categories = {
		"shotgun",
		"primary",
		"single_fire",
		"shell"
	}
	self.x_g22c.categories = {
		"akimbo",
		"pistol",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_g17.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_usp.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.flamethrower_mk2.categories = {
		"flamethrower",
		"primary",
		"full_auto",
		"magazine"
	}
	self.m32.categories = {
		"grenade_launcher",
		"primary",
		"single_fire",
		"shell"
	}
	self.aa12.categories = {
		"shotgun",
		"primary",
		"single_fire",
		"full_auto",
		"magazine"
	}
	self.peacemaker.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.winchester1874.categories = {
		"snp",
		"primary",
		"single_fire",
		"shell"
	}
	self.sbl.categories = {
		"snp",
		"primary",
		"single_fire",
		"shell"
	}
	--self.bessy.categories = {
	--	"snp",
	--	"primary",
	--	"single_fire",
	--	"shell"
	--}
	self.plainsrider.categories = {
		"bow",
		"primary",
		"one_shot",
		"shell"
	}
	self.mateba.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.asval.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.sub2000.categories = {
		"assault_rifle",
		"primary",
		"single_fire",
		"magazine"
	}
	self.wa2000.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.polymer.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.hunter.categories = {
		"crossbow",
		"secondary",
		"one_shot",
		"shell"
	}
	self.baka.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_pm9.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.pm9.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.groza.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"underbarrel",
		"magazine"
	}
	self.groza_underbarrel.categories = {
		"grenade_launcher",
		"primary",
		"one_shot",
		"underbarrel",
		"shell"
	}
	self.qbu88.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.arblast.categories = {
		"crossbow",
		"primary",
		"one_shot",
		"shell"
	}
	self.frankish.categories = {
		"crossbow",
		"primary",
		"one_shot",
		"shell"
	}
	self.long.categories = {
		"bow",
		"primary",
		"one_shot",
		"shell"
	}
	self.par.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.sparrow.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.model70.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.m37.categories = {
		"shotgun",
		"primary",
		"pump_action",
		"shell"
	}
	self.china.categories = {
		"grenade_launcher",
		"primary",
		"pump_action",
		"shell"
	}
	self.sr2.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_sr2.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.pl14.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.m1911.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.x_m1911.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.vityaz.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_vityaz.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.m590.categories = {
		"shotgun",
		"primary",
		"pump_action",
		"shell"
	}
	self.x_mp5.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_akmsu.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.tecci.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.hajk.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.boot.categories = {
		"shotgun",
		"primary",
		"pump_action",
		"shell"
	}
	self.packrat.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.schakal.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.desertfox.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"	
	}
	self.x_packrat.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.rota.categories = {
		"shotgun",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.arbiter.categories = {
		"grenade_launcher",
		"secondary",
		"single_fire",
		"shell"
	}
	self.contraband.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"underbarrel",
		"magazine"
	}
	self.contraband_m203.categories = {
		"grenade_launcher",
		"primary",
		"one_shot",
		"underbarrel",
		"shell"
	}
	self.ray.categories = {
		"rocket_launcher",
		"grenade_launcher",
		"secondary",
		"single_fire",
		"cartridge"
	}
	self.tti.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"	
	}
	self.siltstone.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"	
	}
	self.flint.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.coal.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.lemming.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.chinchilla.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.x_chinchilla.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"revolver"
	}
	self.model3.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.x_model3.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"revolver"
	}
	self.m1897.categories = {
		"shotgun",
		"primary",
		"pump_action",
		"shell"
	}
	self.supernova.categories = {
		"shotgun",
		"primary",
		"pump_action",
		"single_fire",
		"shell"
	}
	self.shepheard.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_shepheard.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.breech.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.ching.categories = {
		"assault_rifle",
		"primary",
		"single_fire",
		"cartridge"
	}
	self.erma.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.ecp.categories = {
		"crossbow",
		"primary",
		"one_shot",
		"shell"
	}
	self.shrew.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.x_shrew.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.basset.categories = {
		"shotgun",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_basset.categories = {
		"akimbo",
		"shotgun",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.corgi.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.slap.categories = {
		"grenade_launcher",
		"secondary",
		"one_shot",
		"shell"
	}
	self.x_coal.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_baka.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_cobray.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_erma.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_hajk.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_m45.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_m1928.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.x_mac10.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_mp7.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_mp9.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_olympic.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_p90.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_polymer.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_schakal.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_scorpion.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_sterling.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_tec9.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_uzi.categories = {
		"akimbo",
		"smg",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_2006m.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"revolver"
	}
	self.x_breech.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_c96.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"cartridge"
	}
	self.x_g18c.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"full_auto",
		"magazine"
	}
	self.x_hs2000.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_p226.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_pl14.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_ppk.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_rage.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"revolver"
	}
	self.x_sparrow.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.x_judge.categories = {
		"akimbo",
		"shotgun",
		"primary",
		"single_fire",
		"cartridge"
	}
	self.x_rota.categories = {
		"akimbo",
		"shotgun",
		"primary",
		"single_fire",
		"magazine"
	}
	self.shuno.categories = {
		"minigun",
		"secondary",
		"full_auto",
		"magazine"
	}
	self.system.categories = {
		"flamethrower",
		"secondary",
		"full_auto",
		"magazine"
	}
	--self.money.categories = {
	--	"flamethrower",
	--	"secondary",
	--	"full_auto",
	--	"magazine"
	--}
	self.komodo.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.elastic.categories = {
		"bow",
		"primary",
		"one_shot",
		"shell"
	}
	self.legacy.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.x_legacy.categories = {
		"akimbo",
		"pistol",
		"primary",
		"single_fire",
		"magazine"
	}
	self.coach.categories = {
		"shotgun",
		"secondary",
		"single_fire",
		"shell"
	}
	self.beer.categories = {
		"pistol",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_beer.categories = {
		"akimbo",
		"pistol",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.czech.categories = {
		"pistol",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_czech.categories = {
		"akimbo",
		"pistol",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.stech.categories = {
		"pistol",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_stech.categories = {
		"akimbo",
		"pistol",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.holt.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.x_holt.categories = {
		"akimbo",
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.m60.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.r700.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.rsh12.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.type54.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.x_type54.categories = {
		"akimbo",
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.shak12.categories = {
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.sko12.categories = {
		"shotgun",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.x_sko12.categories = {
		"akimbo",
		"shotgun",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.ultima.categories = {
		"shotgun",
		"primary",
		"single_fire",
		"shell"
	}
	self.hk51b.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.kacchainsaw.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.scout.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.awp.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.victor.categories = {
		"snp",
		"primary",
		"single_fire",
		"magazine"
	}
	self.ms3gl.categories = {
		"grenade_launcher",
		"primary",
		"one_shot",
		"shell"
	}
	self.hailstorm.categories = {
		"minigun",
		"primary",
		"full_auto",
		"magazine"
	}
	self.korth.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.x_korth.categories = {
		"akimbo",
		"pistol",
		"secondary",
		"single_fire",
		"revolver"
	}
	self.maxim9.categories = {
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.x_maxim9.categories = {
		"akimbo",
		"pistol",
		"secondary",
		"single_fire",
		"magazine"
	}
	self.fmg9.categories = {
		"smg",
		"secondary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.tkb.categories = {
		"unique",
		"assault_rifle",
		"primary",
		"full_auto",
		"single_fire",
		"magazine"
	}
	self.hcar.categories = {
		"lmg",
		"primary",
		"full_auto",
		"magazine"
	}
	self.contender.categories = {
		"pistol",
		"unique",
		"snp",
		"secondary",
		"single_fire",
		"one_shot",
		"shell"
	}
	self.sentry_gun.SUPPRESSION = 5
	self.sentry_gun.auto.fire_rate = 0.2
	local function kick_standing(val)
		return val * 1.15
	end
	local function kick_crouching(val)
		return val * 0.95
	end
	local function kick_steelsight(val)
		return val * 0.95
	end
	for _, v in pairs(self) do
		if type(v) == "table" and v.autohit then
			local c = table.list_to_set(v.categories)

			if c.akimbo then
				v.stats.spread = math.max(1, math.floor(v.stats.spread * 0.75))
			end

			if v.can_shoot_through_shield then
				v.NR_CLIPS_MAX = math.max(2, math.floor(15 / math.max(2, v.CLIP_AMMO_MAX)))
				v.AMMO_MAX = v.CLIP_AMMO_MAX * v.NR_CLIPS_MAX
			end

			if v.spread then
				v.spread.standing = c.snp and 12 or 3
				v.spread.crouching = c.snp and 8 or 2
				v.spread.steelsight = c.snp and 1.875 or 1.5
				v.spread.moving_standing = c.snp and 24 or 4
				v.spread.moving_crouching = c.snp and 18 or 3
				v.spread.moving_steelsight = c.snp and 1.875 or 1.5
			end

			if v.kick then
				local standing = v.kick.standing
				v.kick.standing = table.collect(standing, kick_standing)
				v.kick.crouching = table.collect(standing, kick_crouching)
				v.kick.steelsight = table.collect(standing, kick_steelsight)
			end

			if v.AMMO_PICKUP and v.AMMO_PICKUP[2] > 0 then
				local ref = self.stats.damage[math.min(v.stats.damage, #self.stats.damage)] * (v.stats_modifiers and v.stats_modifiers.damage or 1)
				ref = (ref ^ 1.2) * (v.can_shoot_through_shield and 3 or 1) * (v.rays and 2 or 1)
				if c.flamethrower then
					ref = ref * 3
				elseif c.grenade_launcher then
					ref = ref * 2
				elseif c.pistol then
					ref = ref * 1.5
				end
				v.AMMO_PICKUP = { 35 / ref, 70 / ref }
			end
		end
	end
	self.m14_sniper_npc.trail = "effects/particles/weapons/sniper_trail"
	self.svd_snp_npc.trail = "effects/particles/weapons/sniper_trail"
	self.svdsil_snp_npc.trail = "effects/particles/weapons/sniper_trail"
	self.heavy_snp_npc.trail = "effects/particles/weapons/sniper_trail"
	self.dmr_npc.trail = "effects/particles/weapons/sniper_trail"
end

function WeaponTweakData:_set_normal()
	self.sentry_gun.DAMAGE = 1
	self.trip_mines.damage = 9223372036854775807
end
function WeaponTweakData:_set_hard()
	self.sentry_gun.DAMAGE = 2
	self.trip_mines.damage = 9223372036854775807
end
function WeaponTweakData:_set_overkill()
	self.sentry_gun.DAMAGE = 2
	self.trip_mines.damage = 9223372036854775807
end
function WeaponTweakData:_set_overkill_145()
	self.sentry_gun.DAMAGE = 3
	self.trip_mines.damage = 9223372036854775807
end
function WeaponTweakData:_set_easy_wish()
	self.sentry_gun.DAMAGE = 4
	self.trip_mines.damage = 9223372036854775807
end
function WeaponTweakData:_set_overkill_290()
	self.sentry_gun.DAMAGE = 4
	self.trip_mines.damage = 9223372036854775807
end
function WeaponTweakData:_set_sm_wish()
	self.sentry_gun.DAMAGE = 5
	self.trip_mines.damage = 9223372036854775807
end

Hooks:PostHook( WeaponTweakData, "_init_new_weapons", "sydchSO", function(self)	
	local one_in_the_chamber = {
		'deagle', 'colt_1911', 'usp', 'p226', 'holt', 'g22c', 'glock_17', 'glock_18c', 'b92fs', 'ppk', 'mp9', 'new_mp5',
		'mp7', 'p90', 'olympic', 'akmsu', 'akm', 'akm_gold', 'ak74', 'm16', 'amcar', 'new_m4', 'ak5', 's552', 'g36', 'aug',
		'saiga', 'new_m14', 'scar', 'fal', 'rpk', 'msr', 'r93', 'm95', 'famas', 'galil', 'g3', 'scorpion', 'benelli',
		'serbu', 'r870', 'ksg', 'g26', 'spas12', 'l85a2', 'vhs', 'hs2000', 'tec9', 'sub2000', 'asval', 'wa2000', 'polymer',
		'winchester1874', 'sparrow', 'model70', 'm37', 'china', 'sr2', 'pl14', 'tecci', 'hajk', 'boot', 'schakal',
		'desertfox', 'packrat', 'arbiter', 'contraband', 'tti', 'coal', 'flint', 'siltstone', 'lemming', 'breech',
		'shrew', 'legacy', 'shepheard', 'corgi', 'komodo', 'basset', 'r700', 'groza', 'shak12', 'type54', 'maxim9', 'holt',
		'stech', 'czech', 'beer', 'm1897', 'm590', 'sbl', 'qbu88', 'vityaz', 'fmg9'
	}
	
	for i, wep_id in pairs(one_in_the_chamber) do
		self[wep_id].tactical_reload = 1
		local akimbo_wep_id = "x_" .. wep_id
		if self[akimbo_wep_id] then
			self[akimbo_wep_id].tactical_reload = 2
		end
	end
	self.jowi.tactical_reload = 2
end)

local weapons = {
    "x_b92fs", "x_basset", "x_chinchilla", "x_g17", "jowi", "x_g22c",
    "x_mp5", "x_packrat", "x_1911", "x_shrew", "x_deagle", "x_sr2",
    "x_usp", "x_akmsu", "x_sparrow", "x_rage", "x_c96", "x_ppk",
    "x_hs2000", "x_2006m", "x_breech", "x_p226", "x_g18c", "x_pl14",
    "x_legacy", "x_rota", "x_judge", "x_tec9", "x_m1928", "x_mp9",
    "x_scorpion", "x_hajk", "x_schakal", "x_cobray", "x_p90",
    "x_polymer", "x_mac10", "x_baka", "x_erma", "x_olympic",
    "x_sterling", "x_shepheard", "x_mp7", "x_m45", "x_coal",
    "x_uzi", "x_beer", "x_czech", "x_stech", "x_holt", "x_model3",
    "x_m1911", "x_vityaz", "x_pm9", "x_type54", "x_maxim9", "x_korth",
    "x_sko12", "ak74", "akm", "ak5", "flint", "amcar", "m16", "tecci", "new_m4",
    "sub2000", "famas", "s552", "scar", "fal", "ching", "galil", "g3",
    "akm_gold", "g36", "contraband", "vhs", "new_m14", "l85a2", "aug",
    "corgi", "asval", "komodo", "groza", "shak12", "hk21", "mg42",
    "m249", "par", "rpk", "m60", "hk51b", "lemming", "sparrow",
    "b92fs", "new_raging_bull", "c96", "chinchilla", "glock_17", "g26",
    "g22c", "packrat", "colt_1911", "shrew", "deagle", "ppk", "usp",
    "hs2000", "mateba", "breech", "peacemaker", "p226", "glock_18c",
    "pl14", "legacy", "beer", "czech", "stech", "holt", "model3",
    "m1911", "type54", "rsh12", "maxim9", "korth", "boot", "saiga",
    "b682", "benelli", "huntsman", "spas12", "ksg", "r870", "aa12",
    "m1897", "m590", "sko12", "basset", "m37", "rota", "serbu",
    "striker", "judge", "coach", "ultima", "tti",
    "desertfox", "siltstone", "wa2000", "mosin", "model70", "r93",
    "msr", "ms3gl", "winchester1874", "m95", "r700", "sbl", "qbu88",
    "scout", "tec9", "m1928", "mp9", "scorpion", "new_mp5", "hajk", "sr2",
    "schakal", "cobray", "p90", "akmsu", "polymer", "mac10", "baka",
    "erma", "olympic", "sterling", "mp7", "m45", "coal", "uzi",
    "shepheard", "vityaz", "pm9", "fmg9", "victor", "tkb",
    "hcar", "hailstorm", "contender", "awp", "kacchainsaw", "supernova"
}

Hooks:PostHook(WeaponTweakData, "init", "sydchSO", function(self)
	for _, id in ipairs(weapons) do
		if self[id] and self[id].stats.spread then
			self[id].stats.spread = math.floor(self[id].stats.spread * 0.9)
		end
		if self[id] and self[id].stats.recoil then
			self[id].stats.recoil = math.floor(self[id].stats.recoil * 0.7)
		end
	end
end)