local old_start_jammer_effect = PlayerInventory._start_jammer_effect
function PlayerInventory:_start_jammer_effect(...)

	if Network:is_server() and self._jammer_data and self._jammer_data.effect == "jamming" then
		managers.enemy:remove_delayed_clbk(self._jammer_data.stop_jamming_callback_key, true)
	end
	
	local is_player = managers.player:player_unit() == self._unit
	local unit = managers.player:player_unit()
	local data = self._jammer_data
	local dodge = is_player and alive(self._unit) and data and self._unit:base():upgrade_value("temporary", "pocket_ecm_activate_dodge")
	
	if dodge then
		managers.player:activate_temporary_upgrade("temporary", "pocket_ecm_activate_dodge")
	end

	return old_start_jammer_effect(self, ...)
end

local old_sync_net_event = PlayerInventory.sync_net_event
function PlayerInventory:sync_net_event(event_id, peer, ...)
	local net_events = self._NET_EVENTS

	if event_id == net_events.jammer_stop then
		if not Network:is_server() then
			if managers.network:session()._server_peer and peer and managers.network:session()._server_peer == peer then
				self:_stop_jammer_effect()
			end
		end
	else
		old_sync_net_event(self, event_id, peer, ...)
	end
end