dofile(ModPath .. "lua/core/sydchSO.lua")

function PlayerTased:clbk_exit_to_fatal()
	self._fatal_delayed_clbk = nil
	self._unit:character_damage():damage_incap(tweak_data.player.damage.INCAP_DAMAGE)
	managers.player:set_player_state("incapacitated")
end

-- Counter Tase Animation Restore
Hooks:PostHook( PlayerTased, "on_tase_ended", "sydchskilloverhaul", function(self)
	self._tase_ended = true
end)

Hooks:PostHook( PlayerTased, "exit", "sydchskilloverhaul", function(self, state_data, enter_data)
	self._tase_ended = nil
end)

function PlayerTased:call_teammate(line, t, no_gesture, skip_alert)
	local voice_type, plural, prime_target = self:_get_unit_intimidation_action(true, false, false, true, false)
	local interact_type, queue_name
	if voice_type == "stop_cop" or voice_type == "mark_cop" then
		local prime_target_tweak = tweak_data.character[prime_target.unit:base()._tweak_table]
		local shout_sound = prime_target_tweak.priority_shout
		shout_sound = managers.groupai:state():whisper_mode() and prime_target_tweak.silent_priority_shout or shout_sound
		if shout_sound then
			interact_type = "cmd_point"
			queue_name = "s07x_sin"
			if managers.player:has_category_upgrade("player", "special_enemy_highlight") then
				prime_target.unit:contour():add(managers.player:get_contour_for_marked_enemy(), true, managers.player:upgrade_value("player", "mark_enemy_time_multiplier", 1))
			end
			if not self._tase_ended and managers.player:has_category_upgrade("player", "escape_taser") then
				self:_start_action_counter_tase(t, prime_target)
			end
		end
	end
	if interact_type then
		if not no_gesture then
		else
		end
	end
end

if not Network:is_server() or not sydchSO.settings.expandedCREW == 3 then
	return
end

-- AI IMPROVEMENTS: hoppips glorious special objectives
function PlayerTased:_register_revive_SO()
	if self._SO_id or not managers.navigation:is_data_ready() then
		return
	end

	self._SO_id = "PlayerTased_assistance"
	managers.groupai:state():add_special_objective(self._SO_id, sydchSO:get_assist_SO(self._unit))
end

Hooks:PostHook(PlayerTased, "exit", "sydchSO", function (self)
	sydchSO:stop_assist_objective(self._unit)
	self._SO_id = nil
end)