dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.assaultTWEAKS == 3 then
Hooks:PreHook(CopMovement, "team", "sydchSO", function(self)
    if not self._team then
        self:set_team(managers.groupai:state()._teams[tweak_data.levels:get_default_team_ID(self._unit:base():char_tweak().access == "gangster" and "gangster" or "combatant")])
    end
end)
end

if sydchSO.settings.weaponOVERHAUL == true then
function CopMovement:add_dismemberment(part)
	self._dismemberments = self._dismemberments or {}
	self._dismemberments[part] = true
	self._unit:set_extension_update_enabled(Idstring("movement"), true)
end

Hooks:PreHook(CopMovement, "update", "sydchSO", function(self, unit, t, dt)
	if self._dismemberments then
		if self._dismemberments.Head then
			if not self._dismemberments.t then self._dismemberments.t = t + 5 end
			
			local l = {
				[1] = unit:get_object(Idstring("Neck")):rotation(),
				[2] = unit:get_object(Idstring("Neck")):rotation():y()
			}
			local s = {
				[1] = unit:get_object(Idstring("Neck")):rotation(),
				[2] = unit:movement():m_head_rot():x()
			}
			
			self._dismemberments.fx = World:effect_manager():spawn({
				effect = Idstring("effects/payday2/particles/impacts/blood/blood_tendrils"),
				position = unit:get_object(Idstring("Neck")):position()
			})
			
			local splatter_from = unit:get_object(Idstring("Neck")):position()
			local splatter_to = splatter_from + unit:get_object(Idstring("Neck")):rotation():y() * 100
			local splatter_ray = unit:raycast("ray", splatter_from, splatter_to, "slot_mask", managers.slot:get_mask("world_geometry"))
			
			if splatter_ray then
				self._dismemberments.splatter = World:project_decal(Idstring("blood_spatter"), splatter_ray.position, splatter_ray.ray, splatter_ray.unit, nil, splatter_ray.normal)
			end
		end
		if self._dismemberments.leftarm then
			self._unit:get_object(Idstring("leftarm")):m_position(self._unit:get_object(Idstring("leftshoulder")):position())
			self._unit:get_object(Idstring("leftarm")):set_position(self._unit:get_object(Idstring("leftshoulder")):position())
			self._unit:get_object(Idstring("leftarm")):set_rotation(self._unit:get_object(Idstring("leftshoulder")):rotation())
			self._unit:get_object(Idstring("leftforearm")):m_position(self._unit:get_object(Idstring("leftarm")):position())
			self._unit:get_object(Idstring("leftforearm")):set_position(self._unit:get_object(Idstring("leftarm")):position())
			self._unit:get_object(Idstring("leftforearm")):set_rotation(self._unit:get_object(Idstring("spine1")):rotation())
			self._unit:get_object(Idstring("lefthand")):m_position(self._unit:get_object(Idstring("spine1")):position())
			self._unit:get_object(Idstring("lefthand")):set_position(self._unit:get_object(Idstring("spine1")):position())
			self._unit:get_object(Idstring("lefthand")):set_rotation(self._unit:get_object(Idstring("spine1")):rotation())
		end
		if self._dismemberments.rightarm then
			self._unit:get_object(Idstring("rightarm")):m_position(self._unit:get_object(Idstring("rightshoulder")):position())
			self._unit:get_object(Idstring("rightarm")):set_position(self._unit:get_object(Idstring("rightshoulder")):position())
			self._unit:get_object(Idstring("rightarm")):set_rotation(self._unit:get_object(Idstring("rightshoulder")):rotation())
			self._unit:get_object(Idstring("rightforearm")):m_position(self._unit:get_object(Idstring("rightarm")):position())
			self._unit:get_object(Idstring("rightforearm")):set_position(self._unit:get_object(Idstring("rightarm")):position())
			self._unit:get_object(Idstring("rightforearm")):set_rotation(self._unit:get_object(Idstring("spine1")):rotation())
			self._unit:get_object(Idstring("righthand")):m_position(self._unit:get_object(Idstring("spine1")):position())
			self._unit:get_object(Idstring("righthand")):set_position(self._unit:get_object(Idstring("spine1")):position())
			self._unit:get_object(Idstring("righthand")):set_rotation(self._unit:get_object(Idstring("spine1")):rotation())
		end
		if self._dismemberments.leftleg then
			self._unit:get_object(Idstring("leftleg")):m_position(self._unit:get_object(Idstring("leftupleg")):position())
			self._unit:get_object(Idstring("leftleg")):set_position(self._unit:get_object(Idstring("leftupleg")):position())
			self._unit:get_object(Idstring("leftleg")):set_rotation(self._unit:get_object(Idstring("leftupleg")):rotation())
			self._unit:get_object(Idstring("leftfoot")):m_position(self._unit:get_object(Idstring("hips")):position())
			self._unit:get_object(Idstring("leftfoot")):set_position(self._unit:get_object(Idstring("hips")):position())
			self._unit:get_object(Idstring("leftfoot")):set_rotation(self._unit:get_object(Idstring("hips")):rotation())
		end
		if self._dismemberments.rightleg then
			self._unit:get_object(Idstring("rightleg")):m_position(self._unit:get_object(Idstring("rightupleg")):position())
			self._unit:get_object(Idstring("rightleg")):set_position(self._unit:get_object(Idstring("rightupleg")):position())
			self._unit:get_object(Idstring("rightleg")):set_rotation(self._unit:get_object(Idstring("rightupleg")):rotation())
			self._unit:get_object(Idstring("rightfoot")):m_position(self._unit:get_object(Idstring("hips")):position())
			self._unit:get_object(Idstring("rightfoot")):set_position(self._unit:get_object(Idstring("hips")):position())
			self._unit:get_object(Idstring("rightfoot")):set_rotation(self._unit:get_object(Idstring("hips")):rotation())
		end
	end
	
	if self._dismemberments and self._dismemberments.t and t >= self._dismemberments.t then
		self._dismemberments = nil
	end
end)
end