dofile(ModPath .. "lua/core/sydchSO.lua")

if not Network:is_server() or not sydchSO.settings.expandedCREW == 3 then
	return
end

-- AI IMPROVEMENTS: AI movement speed checks
function CriminalActionWalk:init(...)
	return CriminalActionWalk.super.init(self, ...)
end

function CriminalActionWalk:_get_max_walk_speed(...)
	local speed = deep_clone(CriminalActionWalk.super._get_max_walk_speed(self, ...))
	
	if self._ext_movement:carrying_bag() then
		local carry_modifier = tweak_data.carry.types[tweak_data.carry[self._ext_movement:carry_id()].type].move_speed_modifier
		local speed_modifier = (carry_modifier * 1.5) > 1 and 1 or carry_modifier
		
		for k = 1, #speed do
			speed[k] = v * speed_modifier
		end
	end
	
	return speed
end

function CriminalActionWalk:_get_current_max_walk_speed(move_dir, ...)
	local speed = CriminalActionWalk.super._get_current_max_walk_speed(self, move_dir, ...)
	
	if self._ext_movement:carrying_bag() then
		local carry_modifier = tweak_data.carry.types[tweak_data.carry[self._ext_movement:carry_id()].type].move_speed_modifier
		local speed_modifier = (carry_modifier * 1.5) > 1 and 1 or carry_modifier
		speed = speed * speed_modifier
	end
	
	return speed
end