if not Network:is_client() then
	local _set_jamming_values_default = TimerGui._set_jamming_values
	function TimerGui:_set_jamming_values(...)
		_set_jamming_values_default(self, ...)
		if not self._can_jam then
			return
		end
	
		self._jamming_intervals = {}
		self._jamming_chances = self._timer / math.random(125, 250)
	
		if managers.player:has_category_upgrade("team", "crew_kickstarter") then
			self._jamming_chances = self._timer / math.random(155, 310)
		end
	
		local interval = self._timer / self._jamming_chances
	
		for i = 1, self._jamming_chances do
			local start = interval / 2
			self._jamming_intervals[i] = start + math.rand(start / 1.25)
		end
	
		self._current_jam_timer = table.remove(self._jamming_intervals, 1)
	end
end