dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.restorePROJOB == true then
function QuickFlashGrenade:_beep()
	if not Global.game_settings.one_down then
		self._unit:sound_source():post_event("pfn_beep")
		self._beep_t = self:_get_next_beep_time()
		self._light_multiplier = tweak_data.group_ai.flash_grenade.beep_multi
	end
end

function QuickFlashGrenade:_state_bounced()
	self._unit:damage():run_sequence_simple("activate")
	local bounce_point = Vector3()
	mvector3.lerp(bounce_point, self._shoot_position, self._unit:position(), 0.65)
	local sound_source = SoundDevice:create_source("grenade_bounce_source")
	sound_source:set_position(bounce_point)
	sound_source:post_event("flashbang_bounce", callback(self, self, "sound_playback_complete_clbk"), sound_source, "end_of_event")
	local light = World:create_light("omni|specular")
	light:set_far_range(tweak_data.group_ai.flash_grenade.light_range)
	light:set_color(tweak_data.group_ai.flash_grenade.light_color)
	light:set_position(self._unit:position())
	light:set_specular_multiplier(tweak_data.group_ai.flash_grenade.light_specular)
	light:set_enable(true)
	light:set_multiplier(0)
	light:set_falloff_exponent(0.5)
	self._light = light
	self._light_multiplier = 0
	if Global.game_settings.one_down then
		self:remove_light()
	end
end
end