dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.weaponOVERHAUL == true then
function DOTManager:_damage_dot(dot_info)
	local attacker_unit = managers.player:player_unit()
	local col_ray = {
		unit = dot_info.enemy_unit
	}
	local damage = dot_info.dot_damage
	local ignite_character = false
	local weapon_unit = dot_info.weapon_unit
	local weapon_id = dot_info.weapon_id

	if dot_info.variant then 
		if dot_info.variant == "poison" or dot_info.variant == "bleed" then
			local result = PoisonBulletBase:give_damage_dot(col_ray, weapon_unit, attacker_unit, damage, dot_info.hurt_animation, weapon_id)
	
			if result and alive(weapon_unit) and weapon_unit:base() and weapon_unit:base().thrower_unit then
				local is_dead = result.type == "death"
	
				weapon_unit:base():_check_achievements(dot_info.enemy_unit, is_dead, result.damage_percent or 0, 1, is_dead and 1 or 0, dot_info.variant)
			end
	
			if dot_info.hurt_animation and dot_info.apply_hurt_once then
				dot_info.hurt_animation = false
			end
		end
	end
end

function DOTManager:create_dot_data(type, custom_data)
	local dot_data = deep_clone(tweak_data:get_dot_type_data(type))

	if custom_data then
		dot_data.dot_length = custom_data.dot_length or dot_data.dot_length
		dot_data.hurt_animation_chance = custom_data.hurt_animation_chance or dot_data.hurt_animation_chance
		dot_data.dot_damage = custom_data.dot_damage or dot_data.dot_damage
		dot_data.use_weapon_damage_falloff = custom_data.use_weapon_damage_falloff or dot_data.use_weapon_damage_falloff or false
	end

	return dot_data
end
end