dofile(ModPath .. "lua/core/sydchSO.lua")

--learned how to do this from TDLQ's code
if Network:is_client() then
	return
end

if sydchSO.settings.expandedCREW == 2 or sydchSO.settings.expandedCREW == 3 then
sydchSO.filter_ability = false
sydchSO.shocknawe_ability_name = 'crew_shock_n_awe'
sydchSO.diehard_ability_name = 'crew_die_hard'
sydchSO.heavyimpact_ability_name = 'crew_heavy_impact'
sydchSO.feigndeath_ability_name = 'crew_feign_death'
sydchSO.sixthsense_ability_name = 'crew_sixth_sense'
sydchSO.cableguy_ability_name = 'crew_cable_guy'
sydchSO.ninelives_ability_name = 'crew_nine_lives'
sydchSO.fullyloaded_ability_name = 'crew_fully_loaded'
sydchSO.thickskin_ability_name = 'crew_thick_skin'
sydchSO.kickstarter_ability_name = 'crew_kickstarter'
sydchSO.controlfreak_ability_name = 'crew_control_freak'
sydchSO.packmule_ability_name = 'crew_pack_mule'

sydchSO.filter_skill = false
sydchSO.tier_skill_name = 'crew_tier'
sydchSO.absorption_skill_name = 'crew_absorption'
sydchSO.hard_skill_name = 'crew_hard'
sydchSO.reducespeedpenalty_skill_name = 'crew_reduce_speed_penalty'
sydchSO.fasterswap_skill_name = 'crew_faster_swap'
sydchSO.aimer_skill_name = 'crew_aimer'
sydchSO.meleemultiplier_skill_name = 'crew_melee_multiplier'
sydchSO.stabilizer_skill_name = 'crew_stabilizer'

function sydchSO:current_profile_has_ability()
	local profile = managers.multi_profile and managers.multi_profile:current_profile()
	if profile then
		for _, loadout in ipairs(profile.henchmen_loadout or {}) do
			if loadout.ability == self.ability_name then
				return true
			end
		end
	end
end

function sydchSO:current_profile_has_skill()
	local profile = managers.multi_profile and managers.multi_profile:current_profile()
	if profile then
		for _, loadout in ipairs(profile.henchmen_loadout or {}) do
			if loadout.skill == self.skill_name then
				return true
			end
		end
	end
end

function sydchSO:has_mod(peer)
	for _, mod in pairs(peer:synced_mods()) do
		if mod.name == 'Skill Overhaul' then
			return true
		end
	end
end

function sydchSO:setup()
   local old_send_to_peers_synched = HostNetworkSession.send_to_peers_synched
   function HostNetworkSession:send_to_peers_synched(typ, ...)
		if typ == 'set_unit' then
			local params = {...}
			local loadout = params[3]
			
			-- ABILITIES
			if loadout:find(sydchSO.shocknawe_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.shocknawe_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.diehard_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.diehard_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.heavyimpact_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.heavyimpact_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.feigndeath_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.feigndeath_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.sixthsense_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.sixthsense_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.cableguy_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.cableguy_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.ninelives_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.ninelives_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.fullyloaded_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.fullyloaded_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.thickskin_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.thickskin_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.kickstarter_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.kickstarter_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.controlfreak_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.controlfreak_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.packmule_ability_name) then
				local patched_loadout = loadout:gsub(sydchSO.packmule_ability_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			
			-- SKILLS/BOOSTS
			if loadout:find(sydchSO.tier_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.tier_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.absorption_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.absorption_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.hard_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.hard_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.reducespeedpenalty_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.reducespeedpenalty_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.fasterswap_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.fasterswap_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.aimer_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.aimer_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.meleemultiplier_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.meleemultiplier_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			if loadout:find(sydchSO.stabilizer_skill_name) then
				local patched_loadout = loadout:gsub(sydchSO.stabilizer_skill_name, 'nil')
				for peer_id, peer in pairs(self._peers) do
					params[3] = sydchSO:has_mod(peer) and loadout or patched_loadout
					peer:send_queued_sync(typ, unpack(params))
				end
				return
			end
			
		end
        old_send_to_peers_synched(self, typ, ...)
    end
    sydchSO.setup = function() end
end

local old_populate_custom = CrewManagementGui.populate_custom
function CrewManagementGui:populate_custom(category, henchman_index, tweak, list, ...)
	
	if category == 'ability' and not table.contains(list, sydchSO.shocknawe_ability_name) then
		table.insert(list, sydchSO.shocknawe_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.diehard_ability_name) then
		table.insert(list, sydchSO.diehard_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.heavyimpact_ability_name) then
		table.insert(list, sydchSO.heavyimpact_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.feigndeath_ability_name) then
		table.insert(list, sydchSO.feigndeath_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.sixthsense_ability_name) then
		table.insert(list, sydchSO.sixthsense_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.cableguy_ability_name) then
		table.insert(list, sydchSO.cableguy_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.ninelives_ability_name) then
		table.insert(list, sydchSO.ninelives_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.fullyloaded_ability_name) then
		table.insert(list, sydchSO.fullyloaded_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.thickskin_ability_name) then
		table.insert(list, sydchSO.thickskin_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.kickstarter_ability_name) then
		table.insert(list, sydchSO.kickstarter_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.controlfreak_ability_name) then
		table.insert(list, sydchSO.controlfreak_ability_name)
	end
	if category == 'ability' and not table.contains(list, sydchSO.packmule_ability_name) then
		table.insert(list, sydchSO.packmule_ability_name)
	end
	
	if category == 'skill' and not table.contains(list, sydchSO.tier_skill_name) then
		table.insert(list, sydchSO.tier_skill_name)
	end
	if category == 'skill' and not table.contains(list, sydchSO.absorption_skill_name) then
		table.insert(list, sydchSO.absorption_skill_name)
	end
	if category == 'skill' and not table.contains(list, sydchSO.hard_skill_name) then
		table.insert(list, sydchSO.hard_skill_name)
	end
	if category == 'skill' and not table.contains(list, sydchSO.reducespeedpenalty_skill_name) then
		table.insert(list, sydchSO.reducespeedpenalty_skill_name)
	end
	if category == 'skill' and not table.contains(list, sydchSO.fasterswap_skill_name) then
		table.insert(list, sydchSO.fasterswap_skill_name)
	end
	if category == 'skill' and not table.contains(list, sydchSO.aimer_skill_name) then
		table.insert(list, sydchSO.aimer_skill_name)
	end
	if category == 'skill' and not table.contains(list, sydchSO.meleemultiplier_skill_name) then
		table.insert(list, sydchSO.meleemultiplier_skill_name)
	end
	if category == 'skill' and not table.contains(list, sydchSO.stabilizer_skill_name) then
		table.insert(list, sydchSO.stabilizer_skill_name)
	end
	
	return old_populate_custom(self, category, henchman_index, tweak, list, ...)
end
end