dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.crimeWAVE == false then
	return
end

function ModifierShieldPhalanx:init(data)
	ModifierShieldPhalanx.super.init(data)
	
	tweak_data.group_ai.unit_categories.CS_shield = deep_clone(tweak_data.group_ai.unit_categories.Phalanx_minion)
	tweak_data.group_ai.unit_categories.CS_shield.is_captain = nil
	tweak_data.group_ai.unit_categories.CS_shield.special_type = "phalanx_minion"
	tweak_data.group_ai.unit_categories.FBI_shield = tweak_data.group_ai.unit_categories.CS_shield

	DelayedCalls:Add( "ModifierShieldPhalanx_init_phalanx_minions", 1, function()
		if not tweak_data.group_ai.special_unit_spawn_limits.phalanx_minion then
			tweak_data.group_ai.special_unit_spawn_limits.phalanx_minion = tweak_data.group_ai.special_unit_spawn_limits.shield
			if managers.groupai then
				managers.groupai:state()._special_unit_types.phalanx_minion = true
			end
		end
		local limits_table = tweak_data.skirmish.special_unit_spawn_limits
		for _, t in ipairs(limits_table) do
			if not t.phalanx_minion then
				t.phalanx_minion = t.shield
			end
		end
	end )

end