dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.crimeWAVE == false then
	return
end

function sydchSO:make_tables_unique(table_table)
	for name1, tbl1 in pairs(table_table) do
		for name2, tbl2 in pairs(table_table) do
			if tbl1 == tbl2 and name1 ~= name2 then
				table_table[name2] = deep_clone(tbl1)
			end
		end
	end
end

function ModifierSkulldozers:init(data)
	ModifierSkulldozers.super.init(self, data)
	local difficulty = Global.game_settings and Global.game_settings.difficulty
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	if difficulty_index > 5 then
		return
	end
	local unit_types = tweak_data.group_ai.unit_categories.FBI_tank.unit_types
	sydchSO:make_tables_unique(unit_types)

	table.insert(unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3"))
	table.insert(unit_types.russia, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_tank_rpk_lmg/ene_akan_fbi_tank_rpk_lmg"))
	table.insert(unit_types.zombie, Idstring("units/pd2_dlc_hvh/characters/ene_bulldozer_hvh_3/ene_bulldozer_hvh_3"))
	table.insert(unit_types.murkywater, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_4/ene_murkywater_bulldozer_4"))
	table.insert(unit_types.federales, Idstring("units/pd2_dlc_bex/characters/ene_swat_dozer_policia_federale_m249/ene_swat_dozer_policia_federale_m249"))
end