PlayerAction.ExpertHandling = {
Priority = 1,
Function = function (player_manager, accuracy_bonus, max_stacks, max_time)
	local co = coroutine.running()
	local current_time = Application:time()
	local current_stacks = 0
	local add_time = player_manager:upgrade_value("player", "stacked_accuracy_bonus", nil).max_time

	local function on_hit()
		local attacker_unit = attack_data.attacker_unit
		local variant = attack_data.variant

		if attacker_unit == player_manager:player_unit() and variant == "bullet" then
			current_stacks = current_stacks + 1
			max_time = current_time + add_time

			if current_stacks <= max_stacks then
				player_manager:mul_to_property("desperado", accuracy_bonus)
			end
		end

		on_hit()
		player_manager:register_message(Message.OnEnemyShot, co, on_hit)

		while current_time < max_time do
			current_time = Application:time()
			coroutine.yield(co)
		end

		player_manager:remove_property("desperado")
		player_manager:unregister_message(Message.OnEnemyShot, co)
	end
end
}