dofile(ModPath .. "lua/core/sydchSO.lua")

local old_init = WeaponFactoryTweakData.init
function WeaponFactoryTweakData:init(tweak_data)
old_init(self, tweak_data)
self.parts.wpn_fps_smg_p90_m_strap.stats.reload = 4
self.parts.wpn_fps_ass_aug_m_quick.stats.reload = 4
self.parts.wpn_fps_m4_upg_m_quick.stats.reload = 4
self.parts.wpn_fps_upg_ak_m_quick.stats.reload = 4
self.parts.wpn_fps_ass_g36_m_quick.stats.reload = 4
self.parts.wpn_fps_smg_mac10_m_quick.stats.reload = 4
self.parts.wpn_fps_smg_sr2_m_quick.stats.reload = 4
self.parts.wpn_fps_upg_a_slug.custom_stats.ammo_pickup_min_mul = 0.8
self.parts.wpn_fps_upg_a_slug.custom_stats.ammo_pickup_max_mul = 0.8
self.parts.wpn_fps_upg_a_custom.custom_stats.ammo_pickup_min_mul = 0.8
self.parts.wpn_fps_upg_a_custom.custom_stats.ammo_pickup_max_mul = 0.8
self.parts.wpn_fps_upg_a_custom_free.custom_stats.ammo_pickup_min_mul = 0.8
self.parts.wpn_fps_upg_a_custom_free.custom_stats.ammo_pickup_max_mul = 0.8
self.parts.wpn_fps_upg_a_piercing.custom_stats.ammo_pickup_min_mul = 0.8
self.parts.wpn_fps_upg_a_piercing.custom_stats.ammo_pickup_max_mul = 0.8
self.parts.wpn_fps_upg_a_explosive.custom_stats.ammo_pickup_min_mul = 0.6
self.parts.wpn_fps_upg_a_explosive.custom_stats.ammo_pickup_max_mul = 0.6
self.parts.wpn_fps_upg_a_dragons_breath.custom_stats.ammo_pickup_min_mul = 0.6
self.parts.wpn_fps_upg_a_dragons_breath.custom_stats.ammo_pickup_max_mul = 0.6
self.parts.wpn_fps_upg_a_rip.custom_stats.ammo_pickup_min_mul = 0.6
self.parts.wpn_fps_upg_a_rip.custom_stats.ammo_pickup_max_mul = 0.6
end

if not WeaponFactoryTweakData then return end
if sydchSO.settings.weaponOVERHAUL == true then
local old_dlc2_init = WeaponFactoryTweakData._init_content_dlc2
function WeaponFactoryTweakData:_init_content_dlc2()
    old_dlc2_init(self)
	self.parts.wpn_fps_upg_i_singlefire = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "custom",
		sub_type = "singlefire",
		name_id = "bm_wp_upg_i_singlefire",
		a_obj = "a_body",
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		stats = {
			damage = 2,
			spread = 1,
			recoil = 2
		},
		custom_stats = {rof_mult = 0.9},
		perks = {},
		internal_part = true,
		dlc = "gage_pack"
	}
	self.parts.wpn_fps_upg_i_autofire = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "custom",
		sub_type = "autofire",
		name_id = "bm_wp_upg_i_autofire",
		a_obj = "a_body",
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		stats = {
			damage = 2,
			recoil = -2
		},
		custom_stats = {rof_mult = 1.2},
		perks = {},
		internal_part = true,
		dlc = "gage_pack"
	}
end 

local old_init = WeaponFactoryTweakData.init
function WeaponFactoryTweakData:init(tweak_data)
    old_init(self, tweak_data)

	self.parts.wpn_fps_smg_mp5_fg_mp5a5 = {
		pcs = {
			20,
			30,
			40
		},
		type = "foregrip",
		name_id = "bm_wp_mp5_fg_mp5a5",
		a_obj = "a_fg",
		unit = "units/payday2/weapons/wpn_fps_smg_mp5_pts/wpn_fps_smg_mp5_fg_mp5a5",
		stats = {
			value = 5,
			spread = 2,
			concealment = -3
		},
		adds = {
			"wpn_fps_smg_mp5_b_mp5a5"
		},
		animations = {reload = "reload"},
		forbids = {
			"wpn_fps_addon_ris"
		}
	}
	
	self.parts.wpn_fps_smg_mp5_m_straight = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "magazine",
		name_id = "bm_wp_mp5_m_straight",
		a_obj = "a_m",
		bullet_objects = {prefix = "g_bullet_", amount = 2},
		unit = "units/pd2_dlc_butcher_mods/weapons/wpn_fps_smg_mp5_m_straight/wpn_fps_smg_mp5_m_straight",
		stats = {
			value = 1,
			damage = 4,
			spread = 2,
			recoil = -2
		},
		texture_bundle_folder = "butcher_pack_mods",
		dlc = "butch_pack_free",
		animations = {
			reload = "reload",
			reload_not_empty = "reload_not_empty"
		}
	}
end

function WeaponFactoryTweakData:create_bonuses(tweak_data, weapon_skins)
    self.parts.wpn_fps_upg_bonus_concealment_p1 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_concealment_basic",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, concealment = 2},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_concealment_p2 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_concealment_advanced",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, concealment = 3, suppression = 8},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_concealment_p3 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_concealment_master",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, concealment = 4, suppression = 8, total_ammo_mod = -4},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_spread_p1 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_spread_perk",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, spread = 2, recoil = -1},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_spread_n1 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_recoil_ace",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, spread = -1, recoil = 2},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_recoil_p1 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_recoil_basic",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, recoil = 1, spread = 1},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_damage_p1 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_damage_basic",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, damage = 4, suppression = -2, total_ammo_mod = -4},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_damage_p2 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_damage_ace",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, damage = 8, suppression = -4, total_ammo_mod = -8},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_total_ammo_p1 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_total_ammo_basic",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, total_ammo_mod = 2},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_total_ammo_p3 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_menu_bonus_total_ammo_ace",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1, total_ammo_mod = 5, damage = -4},
        internal_part = true,
        perks = {"bonus"},
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_stats",
        exclude_from_challenge = true
    }
    self.parts.wpn_fps_upg_bonus_team_exp_money_p3 = {
        pcs = {
            10,
            20,
            30,
            40
        },
        type = "bonus",
        name_id = "bm_wp_upg_bonus_team_exp_money_p3",
        desc_id = "bm_wp_upg_bonus_team_exp_money_p3_desc",
        a_obj = "a_body",
        unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
        stats = {value = 1},
        custom_stats = {exp_multiplier = 1.15, money_multiplier = 1.15},
        internal_part = true,
        perks = {"bonus"},
        has_description = true,
        texture_bundle_folder = "boost_in_lootdrop",
        sub_type = "bonus_team",
        exclude_from_challenge = true
    }
    if weapon_skins then
        local uses_parts = {
            wpn_fps_upg_bonus_team_exp_money_p3 = {},
            wpn_fps_upg_bonus_concealment_p1 = {},
            wpn_fps_upg_bonus_recoil_p1 = {},
            wpn_fps_upg_bonus_spread_p1 = {},
            wpn_fps_upg_bonus_spread_n1 = {},
            wpn_fps_upg_bonus_damage_p1 = {},
            wpn_fps_upg_bonus_total_ammo_p1 = {},
            wpn_fps_upg_bonus_concealment_p2 = {},
            wpn_fps_upg_bonus_concealment_p3 = {},
            wpn_fps_upg_bonus_damage_p2 = {},
            wpn_fps_upg_bonus_total_ammo_p3 = {},
        }
        local all_pass, weapon_pass, exclude_weapon_pass, category_pass, exclude_category_pass
        for id, data in pairs(tweak_data.upgrades.definitions) do
            if data.weapon_id and tweak_data.weapon[data.weapon_id] and data.factory_id and self[data.factory_id] then
                for part_id, params in pairs(uses_parts) do
                    weapon_pass = not params.weapon or table.contains(params.weapon, data.weapon_id)
                    exclude_weapon_pass = not params.exclude_weapon or not table.contains(params.exclude_weapon, data.weapon_id)
                    category_pass = not params.category or table.contains(params.category, tweak_data.weapon[data.weapon_id].category)
                    exclude_category_pass = not params.exclude_category or not table.contains(params.exclude_category, tweak_data.weapon[data.weapon_id].category)
                    all_pass = weapon_pass and exclude_weapon_pass and category_pass and exclude_category_pass
                    if all_pass then
                        table.insert(self[data.factory_id].uses_parts, part_id)
                        table.insert(self[data.factory_id .. "_npc"].uses_parts, part_id)
                    end
                end
            end
        end
    end
end

local old_hornet_init = WeaponFactoryTweakData._init_hornet_grenade
function WeaponFactoryTweakData:_init_hornet_grenade()
	old_hornet_init(self)
	local hornet_unit_folder = "units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/"
	self.parts.wpn_fps_upg_a_grenade_launcher_hornet = {
		is_a_unlockable = true,
		texture_bundle_folder = "pxp3",
		type = "ammo",
		a_obj = "a_body",
		third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		internal_part = true,
		muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
		sub_type = "ammo_hornet",
		name_id = "bm_wp_upg_a_grenade_launcher_hornet",
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		pcs = {},
		stats = {
			value = 4
		},
		custom_stats = {
			ammo_pickup_min_mul = 6.8,
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			ammo_pickup_max_mul = 5.4
		},
		override = {
			wpn_fps_gre_m32_mag = {
				unit = "units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_m32_mag_hornet",
				material_config = Idstring("units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_m32_mag_hornet")
			},
			wpn_fps_gre_m79_grenade = {
				unit = "units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_hornet",
				material_config = Idstring("units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_hornet")
			},
			wpn_fps_gre_m79_grenade_whole = {
				unit = "units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_hornet",
				material_config = Idstring("units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_hornet")
			},
			wpn_fps_gre_ms3gl_grenade = {
				unit = "units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_hornet",
				material_config = Idstring("units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_gre_hornet")
			}
		}
	}
	self.parts.wpn_fps_upg_a_underbarrel_hornet = {
		is_a_unlockable = true,
		texture_bundle_folder = "pxp3",
		third_unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		a_obj = "a_body",
		type = "underbarrel_ammo",
		internal_part = true,
		muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
		sub_type = "ammo_hornet",
		name_id = "bm_wp_upg_a_grenade_launcher_hornet",
		unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy",
		pcs = {},
		stats = {
			value = 2
		},
		custom_stats = {
			ammo_pickup_min_mul = 6.8,
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			ammo_pickup_max_mul = 5.4
		},
		override = {
			wpn_fps_ass_groza_gl_gp25 = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				model = Idstring("units/pd2_dlc_pxp3/weapons/wpn_fps_grenade_launcher_hornet/wpn_fps_ass_groza_gl_gp25_hornet"),
				unit = hornet_unit_folder .. "wpn_fps_ass_groza_gl_gp25_hornet"
			},
			wpn_fps_ass_contraband_gl_m203 = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				unit = hornet_unit_folder .. "wpn_fps_ass_contraband_gl_m203_hornet"
			}
		}
	}
	local grenade_launchers = {
		wpn_fps_gre_arbiter = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -8,
				spread = -10
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		},
		wpn_fps_gre_china = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -16,
				spread = -10
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		},
		wpn_fps_gre_m32 = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -24,
				spread = -10
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		},
		wpn_fps_gre_m79 = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -24,
				spread = -10
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		},
		wpn_fps_gre_ms3gl = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -4,
				spread = 0
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		},
		wpn_fps_gre_slap = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -24,
				spread = -10
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		}
	}
	local grenade_underbarrels = {
		wpn_fps_ass_groza = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -8,
				spread = -10
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		},
		wpn_fps_ass_contraband = {
			muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
			stats = {
				damage = -16,
				spread = -10
			},
			custom_stats = {
				muzzleflash = "effects/payday2/particles/weapons/shotgun/sho_muzzleflash_hornet",
				can_shoot_through_shield = true,
				ignore_damage_upgrades = false,
				sounds = {
					fire_single = "hornet_fire"
				}
			}
		}
	}
	local launcher_value = self.parts.wpn_fps_upg_a_grenade_launcher_hornet.stats.value
	local launcher_pickup_min = self.parts.wpn_fps_upg_a_grenade_launcher_hornet.custom_stats.ammo_pickup_min_mul
	local launcher_pickup_max = self.parts.wpn_fps_upg_a_grenade_launcher_hornet.custom_stats.ammo_pickup_max_mul
	local fps_data, npc_data, hornet_override = nil

	for factory_id, override in pairs(grenade_launchers) do
		fps_data = self[factory_id]
		npc_data = self[factory_id .. "_npc"]

		if fps_data and npc_data and fps_data.uses_parts and npc_data.uses_parts then
			table.insert(fps_data.uses_parts, "wpn_fps_upg_a_grenade_launcher_hornet")
			table.insert(npc_data.uses_parts, "wpn_fps_upg_a_grenade_launcher_hornet")

			hornet_override = override
			hornet_override.stats.value = launcher_value
			hornet_override.custom_stats.weapon_unit = hornet_unit_folder .. factory_id
			hornet_override.custom_stats.ammo_pickup_min_mul = launcher_pickup_min
			hornet_override.custom_stats.ammo_pickup_max_mul = launcher_pickup_max
			fps_data.override = fps_data.override or {}
			fps_data.override.wpn_fps_upg_a_grenade_launcher_hornet = hornet_override
			npc_data.override = npc_data.override or {}
			npc_data.override.wpn_fps_upg_a_grenade_launcher_hornet = hornet_override
		end
	end

	local underbarrel_launcher_pickup_min = self.parts.wpn_fps_upg_a_underbarrel_hornet.custom_stats.ammo_pickup_min_mul
	local underbarrel_launcher_pickup_max = self.parts.wpn_fps_upg_a_underbarrel_hornet.custom_stats.ammo_pickup_max_mul

	for factory_id, override in pairs(grenade_underbarrels) do
		fps_data = self[factory_id]
		npc_data = self[factory_id .. "_npc"]

		if fps_data and npc_data and fps_data.uses_parts and npc_data.uses_parts then
			table.insert(fps_data.uses_parts, "wpn_fps_upg_a_underbarrel_hornet")
			table.insert(npc_data.uses_parts, "wpn_fps_upg_a_underbarrel_hornet")

			hornet_override = override
			hornet_override.custom_stats.base_stats_modifiers = hornet_override.stats
			hornet_override.custom_stats.ammo_pickup_min_mul = underbarrel_launcher_pickup_min
			hornet_override.custom_stats.ammo_pickup_max_mul = underbarrel_launcher_pickup_max
			hornet_override.stats = nil
			fps_data.override = fps_data.override or {}
			fps_data.override.wpn_fps_upg_a_underbarrel_hornet = hornet_override
			npc_data.override = npc_data.override or {}
			npc_data.override.wpn_fps_upg_a_underbarrel_hornet = hornet_override
		end
	end
end

Hooks:PostHook(WeaponFactoryTweakData, "create_bonuses", "sydchSO", function(self)
	for k,v in pairs(self.wpn_fps_smg_x_coal.default_blueprint) do
		if v=="wpn_fps_smg_coal_s_standard" then
			table.remove(self.wpn_fps_smg_x_coal.default_blueprint,k)
		end
	end
	for k,v in pairs(self.wpn_fps_smg_x_cobray.default_blueprint) do
		if v=="wpn_fps_smg_cobray_s_standard" then
			table.remove(self.wpn_fps_smg_x_cobray.default_blueprint,k)
		end
	end
	for k,v in pairs(self.wpn_fps_smg_x_hajk.default_blueprint) do
		if v=="wpn_fps_smg_hajk_s_standard" or v=="wpn_fps_smg_hajk_vg_moe" then
			table.remove(self.wpn_fps_smg_x_hajk.default_blueprint,k)
		end
	end
	for k,v in pairs(self.wpn_fps_smg_x_mac10.default_blueprint) do
		if v=="wpn_fps_smg_mac10_s_fold" then
			table.remove(self.wpn_fps_smg_x_mac10.default_blueprint,k)
		end
	end
	for k,v in pairs(self.wpn_fps_smg_x_mp9.default_blueprint) do
		if v=="wpn_fps_smg_mp9_s_fold" then
			table.remove(self.wpn_fps_smg_x_mp9.default_blueprint,k)
		end
	end
	for k,v in pairs(self.wpn_fps_smg_x_mp9.uses_parts) do
		if v=="wpn_fps_upg_vg_ass_smg_verticalgrip" then
			table.remove(self.wpn_fps_smg_x_mp9.uses_parts,k)
		elseif v=="wpn_fps_upg_vg_ass_smg_stubby" then
			table.remove(self.wpn_fps_smg_x_mp9.uses_parts,k)
		elseif v=="wpn_fps_upg_vg_ass_smg_afg" then
			table.remove(self.wpn_fps_smg_x_mp9.uses_parts,k)
		end
	end
	for k,v in pairs(self.wpn_fps_smg_x_polymer.default_blueprint) do
		if v=="wpn_fps_smg_polymer_fg_standard" or v=="wpn_fps_smg_polymer_extra_sling" or v=="wpn_fps_smg_polymer_s_standard" then
			table.remove(self.wpn_fps_smg_x_polymer.default_blueprint,k)
		end
	end
	for k,v in pairs(self.wpn_fps_sho_x_rota.default_blueprint) do	
		if v=="wpn_fps_smg_hajk_vg_moe" then	
			table.remove(self.wpn_fps_sho_x_rota.default_blueprint,k)
		end
	end	
end)
end