dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.copBEHAVIOR == false then
	return
end

local damage_melee_original = HuskPlayerDamage.damage_melee
function HuskPlayerDamage:damage_melee(attack_data)

	if Network and Network:is_client() then
		return damage_melee_original(self, attack_data)
	end

	local peer = managers.network:session():peer_by_unit(self._unit)
	if peer and sydchSO.peersWithMod[peer:id()] then
		return damage_melee_original(self, attack_data)
	end

	local result = sydchSO.CopUtils:CheckClientMeleeDamageArrest(self._unit, attack_data.attacker_unit, true)

	if result == "counterarrest" then
		return sydchSO.CopUtils:CounterArrestAttacker(self._unit, attack_data.attacker_unit)
	elseif result == "countered" then
		return sydchSO.CopUtils:KnockDownAttacker(self._unit, attack_data.attacker_unit)
	elseif result == "arrested" then
		self._unit:movement():on_cuffed()
		attack_data.attacker_unit:sound():say("i03", true, false)
		return
	else
		return damage_melee_original(self, attack_data)
	end
end

