function CivilianDamage:damage_bullet(attack_data)
	local vanilla_check = managers.player:has_category_upgrade("player", "civ_harmless_bullets") and self.no_intimidation_by_dmg and not self:no_intimidation_by_dmg()
	if Network:is_server() then
		local modded_check = self._unit:brain() and self._unit:brain():is_tied()
		local final_check = modded_check or vanilla_check
	else
		local final_check = vanilla_check
	end
	
	if final_check then
		if not self._survive_shot_t or self._survive_shot_t < TimerManager:game():time() then
			self._survive_shot_t = TimerManager:game():time() + 2
			self._unit:brain():on_intimidated(1, attack_data.attacker_unit)
			return
		end
	end

	attack_data.damage = 10

	return CopDamage.damage_bullet(self, attack_data)
end

function CivilianDamage:damage_bullet(attack_data)
	local vanilla_check = managers.player:has_category_upgrade("player", "civ_harmless_bullets") and self.no_intimidation_by_dmg and not self:no_intimidation_by_dmg()
	if Network:is_server() then
		local modded_check = self._unit:brain() and self._unit:brain():is_tied()
		local final_check = modded_check or vanilla_check
	else
		local final_check = vanilla_check
	end
	
	if final_check then
		if not self._survive_shot_t or self._survive_shot_t < TimerManager:game():time() then
			self._survive_shot_t = TimerManager:game():time() + 2
			self._unit:brain():on_intimidated(1, attack_data.attacker_unit)
			return
		end
	end

	attack_data.damage = 10

	return CopDamage.damage_bullet(self, attack_data)
end

function CivilianDamage:damage_explosion(attack_data)
	local vanilla_check = managers.player:has_category_upgrade("player", "civ_harmless_bullets") and self.no_intimidation_by_dmg and not self:no_intimidation_by_dmg()
	if Network:is_server() then
		local modded_check = self._unit:brain() and self._unit:brain():is_tied()
		local final_check = modded_check or vanilla_check
	else
		local final_check = vanilla_check
	end
	
	if final_check then
		if not self._survive_shot_t or self._survive_shot_t < TimerManager:game():time() then
			self._survive_shot_t = TimerManager:game():time() + 2
			self._unit:brain():on_intimidated(1, attack_data.attacker_unit)
			return
		end
	end
	
	if attack_data.variant == "explosion" then
		attack_data.damage = 10
	end

	return CopDamage.damage_explosion(self, attack_data)
end

function CivilianDamage:damage_fire(attack_data)
	local vanilla_check = managers.player:has_category_upgrade("player", "civ_harmless_bullets") and self.no_intimidation_by_dmg and not self:no_intimidation_by_dmg()
	if Network:is_server() then
		local modded_check = self._unit:brain() and self._unit:brain():is_tied()
		local final_check = modded_check or vanilla_check
	else
		local final_check = vanilla_check
	end
	
	if final_check then
		if not self._survive_shot_t or self._survive_shot_t < TimerManager:game():time() then
			self._survive_shot_t = TimerManager:game():time() + 2
			self._unit:brain():on_intimidated(1, attack_data.attacker_unit)
			return
		end
	end
	
	if attack_data.variant == "fire" then
		attack_data.damage = 10
	end

	return CopDamage.damage_fire(self, attack_data)
end

function CivilianDamage:damage_melee(attack_data)
	local modded_check = self._unit:brain() and self._unit:brain():is_tied() and not Network:is_server()
	local vanilla_check = managers.player:has_category_upgrade("player", "civ_harmless_bullets") and self.no_intimidation_by_dmg and not self:no_intimidation_by_dmg()
	if final_check then
		if not self._survive_shot_t or self._survive_shot_t < TimerManager:game():time() then
			self._survive_shot_t = TimerManager:game():time() + 2
			self._unit:brain():on_intimidated(1, attack_data.attacker_unit)
			return
		end
	end
	
	if _G.IS_VR and attack_data.damage == 0 then
		return
	end

	attack_data.damage = 10

	return CopDamage.damage_melee(self, attack_data)
end

function CivilianDamage:damage_tase(attack_data)
	local vanilla_check = managers.player:has_category_upgrade("player", "civ_harmless_bullets") and self.no_intimidation_by_dmg and not self:no_intimidation_by_dmg()
	if Network:is_server() then
		local modded_check = self._unit:brain() and self._unit:brain():is_tied()
		local final_check = modded_check or vanilla_check
	else
		local final_check = vanilla_check
	end
	
	if final_check then
		if not self._survive_shot_t or self._survive_shot_t < TimerManager:game():time() then
			self._survive_shot_t = TimerManager:game():time() + 2
			self._unit:brain():on_intimidated(1, attack_data.attacker_unit)
			return
		end
	end
	
	if self._dead or self._invulnerable or self._char_tweak.is_escort then
		return
	end

	self._unit:brain():on_intimidated(1, attack_data.attacker_unit)
	self:_play_civilian_tase_effect()
	self:_send_tase_attack_result(attack_data, 0, 0)
end