dofile(ModPath .. "lua/core/sydchSO.lua")

if sydchSO.settings.vocalHEISTERS == 1 or sydchSO.settings.vocalHEISTERS == 2 then
	return
end

local function _is_bag_stolen(parent_unit)
    return parent_unit and managers.enemy and managers.enemy:all_enemies()[parent_unit:key()] and true or false
end

Hooks:PostHook(CarryData, "link_to", "sydchSO_linkbag_bagpickedupbyenemy", function(self, parent_unit, keep_collisions)

    if not _is_bag_stolen(parent_unit) then
        return
    end

    if last_steal_speak_time and (os.clock() - last_steal_speak_time) > 10 then
        DelayedCalls:Add("sydchSO_copsarestealingloot", 1.5 + math.random(), function()
            if not _is_bag_stolen(parent_unit) then
                return
            end
            sydchSO:_say_once("p31")
        end)
        last_steal_speak_time = os.clock()
    end
end)