local old_start_tape_loop_by_upgrade_level = SecurityCamera._start_tape_loop_by_upgrade_level
function SecurityCamera:_start_tape_loop_by_upgrade_level(time_upgrade_level)
	local difficulty = Global.game_settings and Global.game_settings.difficulty or "normal"
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	local has_upgrade = managers.player:has_category_upgrade("player", "tape_loop_duration")
	if difficulty_index > 4 and not has_upgrade then
		local time_upgrade_level = managers.player:upgrade_level("player", "tape_loop_duration", 1)
		local tape_loop_t = managers.player:upgrade_value_by_level("player", "tape_loop_duration", time_upgrade_level)
		self:_start_tape_loop(tape_loop_t)
	else
		old_start_tape_loop_by_upgrade_level(self, time_upgrade_level)
	end
end